var AreaHPrice = {
    CITYID : GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid'),
    checkDrive : function(){
       if (uexWidgetOne.platformName == "iOS"){
           AreaHPrice.initChartForIOS();
       } else{ 
           AreaHPrice.initChartForANDROID();
       }
       AreaHPrice.topData();
    },
    initChartForANDROID : function(){
        Highcharts.setOptions({ 
            colors: ['#f6be1a', '#00abeb'] 
        });
           $('#main').highcharts({
            chart: {
                borderColor: '#ACD6FF',
                borderRadius: 20,
                borderWidth: 4,
                type: 'line'
            },
            title: {
                text: '',
                style: {
                    fontWeight: 'bold'
                }
            },
            exporting: {
                enabled: false
            },
            xAxis: {
                lineColor: '#66B3FF',
                categories: GetLS("chart").months,
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:'23px'  //字体
                    }
                },
                gridLineWidth: 1,       //网格线
                gridLineColor: '#efefef',
                gridLineDashStyle: 'solid',
                tickmarkPlacement : 'on'
            },
            yAxis: {
                lineColor: '#66B3FF',
                allowDecimals: false,
                gridLineDashStyle: 'solid',
                tickPixelInterval:100,
                title: {
                    text: ''
                },
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:'23px'  //字体
                    },
                    formatter: function () {
                        return this.value/10000+'万';
                    }
                },
                plotLines: [{
                    value: 0,
                    width: 2,
                    color: '#808080'
                }],
                lineWidth: 1
                
            },
            tooltip: {
                    shared: true,
                    crosshairs: true,
                    useHTML: true,
                    valueSuffix: '元',
                    style: {
                        padding: 5,
                        fontWeight: 'bold',
                        fontSize: '24px'
                    },
                    crosshairs: [{            // 设置准星线样式
                        width: 3,
                        color: '#00abeb'
                    }]
            },
            
            legend: {
                 borderColor: '#84C1FF',
                 itemDistance: 50,
                 align: 'left',
                 verticalAlign: 'top',
                 x: 5,
                 y: 5,
                 itemStyle: {
                    fontSize: '23px'
                }
            },
            // plotOptions: {
            //     series: {
            //         animation: true,
            //         borderColor: '#303030',
            //         marker: {
            //             radius: 13,  //曲线点半径，默认是4
            //             symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
            //         }
            //     }
            // },
            
            series: [{
                name: '挂牌均价',
                lineWidth: 10,
                animation: true,
                borderColor: '#303030',
                marker: {
                    radius: 8,  //曲线点半径，默认是4
                    symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                },
                data: GetLS("chart").gpAvgPrice
            }, {
                name: '成交均价',
                lineWidth: 10,
                animation: true,
                borderColor: '#303030',
                marker: {
                    radius: 8,  //曲线点半径，默认是4
                    symbol: 'square' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                },
                data: GetLS("chart").cjAvgPrice
            }]
        });
       },
       
       initChartForIOS : function(){
        Highcharts.setOptions({ 
           colors: ['#f6be1a', '#00abeb']
        });
           $('#main').highcharts({
            chart: {        //边框线
                borderColor: '#ACD6FF',
                borderRadius: 20,
                borderWidth: 1,
                type: 'line'
                // marginLeft: 40
            },
            title: {
                text: '',
                style: {
                    fontWeight: 'bold',
                    fontSize: "10px"
                }
            },
            exporting: {
                enabled: false
            },
            xAxis: {
                lineColor: '#66B3FF',
                categories: GetLS("chart").months,
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:7
                    }
                },
                gridLineWidth: 1,       //网格线
                gridLineColor: '#efefef',
                gridLineDashStyle: 'solid',
                tickmarkPlacement : 'on'
            },
            yAxis: {
                lineColor: '#66B3FF',
                allowDecimals: false,
                tickPixelInterval:100,//y轴数据密度
                gridLineDashStyle: 'solid',
                title: {
                    text: ''
                },
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:8
                    },
                    formatter: function () {
                        return this.value/10000+'万';
                    }
                },
                plotLines: [{
                    value: 0,
                    width: 2,
                    color: '#808080'
                }],
                lineWidth: 1
                
            },
            tooltip: {
                    shared: true,
                    crosshairs: true,
                    useHTML: true,
                    valueSuffix: '元',
                    style: {
                        padding: 5,
                        fontWeight: 'bold'
                    },
                    crosshairs: [{            // 设置准星线样式
                        width: 1,
                        color: '#00abeb'
                    }]
            },
            
            legend: {
                 borderColor: '#84C1FF',
                 itemDistance: 50,
                 align: 'left',
                 verticalAlign: 'top',
                 x: 5,
                 y: 5
            },
            // plotOptions: {
            //     series: {
            //         animation: true,
            //         borderColor: '#303030',
            //         marker: {
            //             radius: 3,  //曲线点半径，默认是4
            //             symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
            //         }
            //     }
            // },
            
            series: [{
                    name: '挂牌均价',
                    lineWidth: 1,
                    animation: true,
                    borderColor: '#303030',
                    marker: {
                        radius: 3,  //曲线点半径，默认是4
                        symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                    },
                    data: GetLS("chart").gpAvgPrice
                }, {
                    name: '成交均价',
                    lineWidth: 1,
                    animation: true,
                    borderColor: '#303030',
                    marker: {
                        radius: 3,  //曲线点半径，默认是4
                        symbol: 'square' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                    },
                    data: GetLS("chart").cjAvgPrice
                }
            ]
        });
       },
       
       getPriceData : function(){
            var communityid = GetLS("assesscommunityid");
            var pageFrom = GetLS("other_from");
            var url = '/v1/community/'+AreaHPrice.CITYID+"/chartv2";
            if (pageFrom == "search") {
                var type = GetLS("assess_type");
                if (type == "CONMMUNITY") {
                    url = '/v1/community/'+AreaHPrice.CITYID+"/chartv2?communityid="+communityid;
                }else if (type == "BUSINESS") {
                    url = '/v1/community/'+AreaHPrice.CITYID+"/chartv2?sqid="+communityid;
                }else if (type == "REGION") {
                    url = '/v1/community/'+AreaHPrice.CITYID+"/chartv2?qyid="+communityid; 
                }else{
                    url = '/v1/community/'+AreaHPrice.CITYID+"/chartv2?communityid="+communityid;                  
                }
            }
            $ajax({
                url : url,
                type : 'get',
                data : {},
                success : function(data) {
                    if(data.status=='200'){
                        var arrData = data.data;
                        SetLS("chart",arrData);
                        AreaHPrice.checkDrive();
                    }
                }
            });
       },
       
       topData : function(){
           if(GetLS("chart") != ''){
               var cjArray = new Array();
               cjArray = GetLS("chart").cjAvgPrice;
               var cj1 = cjArray[10];
               var cj2 = cjArray[11];
               var hb = (((parseInt(cj2) - parseInt(cj1))/parseInt(cj1))*100).toFixed(2);
               hb = isNaN(hb)?"0":hb;
               //赋值top数据
               if(hb >0){
                   $("#hb").html("环比上月涨"+hb+"%");
                   $("#hb-arrow").removeClass("down-arrow");
                   $("#hb-arrow").addClass("ssjt-icon");
               }else if (hb <0){
                    $("#hb-arrow").addClass("down-arrow");
                    $("#hb-arrow").removeClass("ssjt-icon");
                    $("#hb").html("环比上月跌"+(0-hb)+"%");
               }else{
                    $("#hb").html("环比上月涨"+hb+"%");
                   $("#hb-arrow").removeClass("down-arrow");
                   $("#hb-arrow").removeClass("ssjt-icon");
               }
               $("#lastprice").html(cj2);
               if (cj2 == 0) {
                    $("#hasdata").removeClass("ub");
                    $("#hasdata").hide();
                    $("#nodata").addClass("ub");
                    $("#nodata").show();
               }else{
                    $("#hasdata").addClass("ub");
                    $("#hasdata").show();
                    $("#nodata").removeClass("ub");
                    $("#nodata").hide();
               };
               //赋值城市区域商圈
               var city = AreaHPrice.CITYID;
               var cityname = '';
                for(var i=0;i<City.city.length;i++){
                    if(city == City.city[i].cityid){
                        cityname = City.city[i].cityname;
                        break;
                    }else{
                        continue;
                    }
                }
                var pageFrom = GetLS("other_from");
                if (pageFrom == "search") {
                    var communityname = GetLS("assesscommunityname");
                    var communitynameslice = (communityname.length>8)?communityname.slice(0,8):communityname;
                    $("#cityname").html(communitynameslice);
                }else{
                    $("#cityname").html(cityname);
                };
                var monthNow = new Date().getMonth();
                $("#monthBPrice").text("参考均价");
                $("#sale-now").text(GetLS("chart").houseCount);
                $("#seven-add").text(GetLS("chart").latestWeekAddCount||0);
                SetLS("other_from","");
           }
       },
       
       clearHistory : function(){
            ClearLS('conditiondistrctname');
            ClearLS('conditiondistrct');
            ClearLS('conditionareaname');
            ClearLS('conditionarea');
        }
}