var AssessResult = {
    CITYID : GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid'),
    checkDrive : function(){
       if (uexWidgetOne.platformName == "iOS"){
           AssessResult.initChartForIOS();
       } else{
           AssessResult.initChartForANDROID();
       }
    },
    initChartForANDROID : function(){
        Highcharts.setOptions({ 
            colors: ['#f6be1a', '#00abeb'] 
        });
           $('#main').highcharts({
            chart: {
                borderColor: '#ACD6FF',
                borderRadius: 20,
                borderWidth: 4,
                type: 'line'
            },
            title: {
                text: '',
                style: {
                    fontWeight: 'bold'
                }
            },
            exporting: {
                enabled: false
            },
            xAxis: {
                lineColor: '#66B3FF',
                categories: GetLS("chart").months,
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:'23px'  //字体
                    }
                },
                gridLineWidth: 1,       //网格线
                gridLineColor: '#efefef',
                gridLineDashStyle: 'solid',
                tickmarkPlacement : 'on'
            },
            yAxis: {
                lineColor: '#66B3FF',
                allowDecimals: false,
                gridLineDashStyle: 'solid',
                tickPixelInterval:100,
                title: {
                    text: ''
                },
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:'23px'  //字体
                    },
                    formatter: function () {
                        return this.value/10000+'万';
                    }
                },
                plotLines: [{
                    value: 0,
                    width: 2,
                    color: '#808080'
                }],
                lineWidth: 1
                
            },
            tooltip: {
                    shared: true,
                    crosshairs: true,
                    useHTML: true,
                    valueSuffix: '元',
                    style: {
                        padding: 5,
                        fontWeight: 'bold',
                        fontSize: '24px'
                    },
                    crosshairs: [{            // 设置准星线样式
                        width: 3,
                        color: '#00abeb'
                    }]
            },
            
            legend: {
                 borderColor: '#84C1FF',
                 itemDistance: 50,
                 align: 'left',
                 verticalAlign: 'top',
                 x: 5,
                 y: 5,
                 itemStyle: {
                    fontSize: '23px'
                }
            },
            // plotOptions: {
            //     series: {
            //         animation: true,
            //         borderColor: '#303030',
            //         marker: {
            //             radius: 13,  //曲线点半径，默认是4
            //             symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
            //         }
            //     }
            // },
            
            series: [{
                name: '挂牌均价',
                lineWidth: 10,
                animation: true,
                borderColor: '#303030',
                marker: {
                    radius: 8,  //曲线点半径，默认是4
                    symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                },
                data: GetLS("chart").gpAvgPrice
            }, {
                name: '成交均价',
                lineWidth: 10,
                animation: true,
                borderColor: '#303030',
                marker: {
                    radius: 8,  //曲线点半径，默认是4
                    symbol: 'square' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                },
                data: GetLS("chart").cjAvgPrice
            }]
        });
       },
       
       initChartForIOS : function(){
        Highcharts.setOptions({ 
           colors: ['#f6be1a', '#00abeb']
        });
           $('#main').highcharts({
            chart: {        //边框线
                borderColor: '#ACD6FF',
                borderRadius: 20,
                borderWidth: 1,
                type: 'line'
                // marginLeft: 40
            },
            title: {
                text: '',
                style: {
                    fontWeight: 'bold',
                    fontSize: "10px"
                }
            },
            exporting: {
                enabled: false
            },
            xAxis: {
                lineColor: '#66B3FF',
                categories: GetLS("chart").months,
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:7
                    }
                },
                gridLineWidth: 1,       //网格线
                gridLineColor: '#efefef',
                gridLineDashStyle: 'solid',
                tickmarkPlacement : 'on'
            },
            yAxis: {
                lineColor: '#66B3FF',
                allowDecimals: false,
                tickPixelInterval:100,//y轴数据密度
                gridLineDashStyle: 'solid',
                title: {
                    text: ''
                },
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:8
                    },
                    formatter: function () {
                        return this.value/10000+'万';
                    }
                },
                plotLines: [{
                    value: 0,
                    width: 2,
                    color: '#808080'
                }],
                lineWidth: 1
                
            },
            tooltip: {
                    shared: true,
                    crosshairs: true,
                    useHTML: true,
                    valueSuffix: '元',
                    style: {
                        padding: 5,
                        fontWeight: 'bold'
                    },
                    crosshairs: [{            // 设置准星线样式
                        width: 1,
                        color: '#00abeb'
                    }]
            },
            
            legend: {
                 borderColor: '#84C1FF',
                 itemDistance: 50,
                 align: 'left',
                 verticalAlign: 'top',
                 x: 5,
                 y: 5
            },
            // plotOptions: {
            //     series: {
            //         animation: true,
            //         borderColor: '#303030',
            //         marker: {
            //             radius: 3,  //曲线点半径，默认是4
            //             symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
            //         }
            //     }
            // },
            
            series: [{
                    name: '挂牌均价',
                    lineWidth: 1,
                    animation: true,
                    borderColor: '#303030',
                    marker: {
                        radius: 3,  //曲线点半径，默认是4
                        symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                    },
                    data: GetLS("chart").gpAvgPrice
                }, {
                    name: '成交均价',
                    lineWidth: 1,
                    animation: true,
                    borderColor: '#303030',
                    marker: {
                        radius: 3,  //曲线点半径，默认是4
                        symbol: 'square' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                    },
                    data: GetLS("chart").cjAvgPrice
                }
            ]
        });
       },
       
       getPriceData : function(){
            AssessResult.getConmmunityData();
            AssessResult.getCharData();
       },
       
       topData : function(){
           $("#conmmunityname").text(GetLS("assesscommunityname")); 
           if(GetLS("conmmunitdata")){
                var sumprice = GetLS("conmmunitdata").sumprice||"";
                $("#total").text(sumprice);
                var avgprice = GetLS("conmmunitdata").avgprice||"";
                
                $("#per").html(avgprice + "元/m&sup2");
                var area = GetLS("assess_area");
                var direction = GetLS("assess_direction");
                var mineFloor = GetLS("assess_mineFloor");
                var maxFloor = GetLS("assess_maxFloor");
                $("#area").html(area+"m&sup2");
                $("#direction").text(AssessResult.direction[direction-1]);
                $("#floor").text(mineFloor+"/"+maxFloor);
           }
       },
       
       clearHistory : function(){
            ClearLS('conditiondistrctname');
            ClearLS('conditiondistrct');
            ClearLS('conditionareaname');
            ClearLS('conditionarea');
        },

        getConmmunityData:function(){
            var area = GetLS("assess_area");
            var direction = GetLS("assess_direction");
            var mineFloor = GetLS("assess_mineFloor");
            var maxFloor = GetLS("assess_maxFloor");
            var conmmunityid = GetLS("assesscommunityid");
            var url = '/v1/community/'+AssessResult.CITYID+'/calculatehouseprice?communityid='+conmmunityid+"&buildarea="+area+"&heading="+direction+"&floor="+mineFloor+"&totalfloor="+maxFloor;
            $ajax({
                url : url,
                type : 'get',
                data : {},
                success : function(data) {
                    if(data.status=='200'){
                        var arrData = data.data;
                        SetLS("conmmunitdata",arrData);
                        AssessResult.topData();
                    }
                }
            });
        },

        getCharData:function(){
            var communityid = GetLS("assesscommunityid");
            $ajax({
                url : '/v1/community/'+AssessResult.CITYID+"/chartv2?communityid="+communityid,
                type : 'get',
                data : {},
                success : function(data) {
                    if(data.status=='200'){
                        var arrData = data.data;
                        SetLS("chart",arrData);
                        AssessResult.checkDrive();
                    }
                }
            });
        },

        direction:["东","西","南","北","东南","西南","东北","西北","东西","南北"]
}