	var test=priceFormula(50000,8,8,10,1);
	var houseCondition=[];
	houseCondition['giveaway']=[];
	houseCondition['decoration']=[];
	//houseCondition['giveaway']['garden']=40;
	//houseCondition['giveaway']['basement']=40;
	houseCondition['decoration']['price']=10000;
	houseCondition['decoration']['year']=2;
	var testA=priceAccurateFormula(100,test,houseCondition);

	document.write(testA);
	//房价评估计算公式
	function priceFormula(price,floor,floorTotal,orientation,cityId){
		if(floor<0||floor>floorTotal){
			return price;
		}
		var accuratePrice=price;
		if(floorTotal>0 && floorTotal<=6){
			//总楼层高度在6层以下（含6层）时
			switch(floor){
				case 1:
					accuratePrice=price*0.98;
					break;
				case 2:
					accuratePrice=price*0.99;
					break;
				case 3:
					break;
				case 4:
					accuratePrice=price*0.99;
					break;
				case 5:
					accuratePrice=price*0.98;
					break;
				case 6:
					accuratePrice=price*0.97;
					break;
			}
		} //总楼层高度在6层—18层时总楼层变化时均价计算公式
		else if(floorTotal>6&&floorTotal<=18){
			accuratePrice=price*0.98*Math.pow(1.0013,(18-floorTotal));
			if(floor==floorTotal){
				//顶层均价计算公式
				accuratePrice=accuratePrice*Math.pow(1.0026,(floor/2));
			} else{
				//楼层变化时均价计算公式
				accuratePrice=accuratePrice*Math.pow(1.0026,(floor-1));
			}
		} //总楼层高度在18层—34层时总楼层变化时均价计算公式
		else if(floorTotal>18&&floorTotal<35){
			accuratePrice=(price*0.98)/pow(1.0013,(floorTotal-18));
			if(floor==floorTotal){
				//顶层均价计算公式
				accuratePrice=accuratePrice*Math.pow(1.0026,(floor/2));
			} else{
				//楼层变化时均价计算公式
				accuratePrice=accuratePrice*Math.pow(1.0026,(floor-1));
			}
		} //总楼层高度在35层以上时总楼层变化时均价计算公式
		else if(floorTotal>=35){
			accuratePrice=(price*0.98)/pow(1.0013,16);
			if(floor==floorTotal){
				//顶层均价计算公式
				accuratePrice=accuratePrice*Math.pow(1.0026,(floor/2));
			} else{
				//楼层变化时均价计算公式
				accuratePrice=accuratePrice*Math.pow(1.0026,(floor-1));
			}
		}
		switch(orientation){
			case 2:
				break;//西
			case 8:
				accuratePrice-=accuratePrice*0.005;
				break;//西北
			case 4:
				accuratePrice-=accuratePrice*0.01;
				break;//北
			case 7:
				accuratePrice+=accuratePrice*0.005;
				break;//东北
			case 1:
				accuratePrice+=accuratePrice*0.005;
				break;//东
			case 9:
				accuratePrice+=accuratePrice*0.01;
				break;//东西
			case 6:
				accuratePrice+=accuratePrice*0.01;
				break;//西南
			case 5:
				accuratePrice+=accuratePrice*0.015;
				break;//东南
			case 3:
				accuratePrice+=accuratePrice*0.02;
				break;//南
			case 10:
				accuratePrice+=accuratePrice*0.025;
				break;//南北
		}
		if(cityId==9){
			accuratePrice=accuratePrice*0.95;
		}
		return accuratePrice;
	}

	function priceAccurateFormula(area,price,condition){
		var accuratePrice=price;
		for(var mode in condition){
			var type=condition[mode];
			switch(mode){
				//赠送面积
				case 'giveaway':
					giveawayPrice=0;
					//赠送花园面积
					if(type.hasOwnProperty('garden') && type['garden']){
						giveawayPrice+=0.003*accuratePrice*type['garden'];
					}
					//赠送地下室面积
					if(type.hasOwnProperty('basement') && type['basement']){
						giveawayPrice+=0.005*accuratePrice*type['basement'];
					}
					accuratePrice+=giveawayPrice;
					break;

				//产权年限
				case 'property':
					switch(type){
						case 1:
							break;//70年
						case 2:
							accuratePrice-=accuratePrice*0.1;
							break;//50年
						case 3:
							accuratePrice-=accuratePrice*0.15;
							break;//40年
					}
					break;

				//采光通风
				case 'daylighting':
					switch(type){
						case 1:
							accuratePrice+=accuratePrice*0.02;
							break;//无暗房
						case 2:
							accuratePrice+=accuratePrice*0.01;
							break;//南北通风
						case 3:
							break;//一般
						case 4:
							accuratePrice-=accuratePrice*0.02;
							break;//差
					}
					break;

				//景观影响
				case 'landscape':
					switch(type){
						case 1:
							accuratePrice+=accuratePrice*0.04;
							break;//景观房
						case 2:
							accuratePrice+=accuratePrice*0.02;
							break;//侧景观房
						case 3:
							break;//一般
						case 4:
							accuratePrice-=accuratePrice*0.04;
							break;//有遮挡
					}
					break;

				//车位
				case 'parking':
					switch(type){
						case 1:
							accuratePrice+=accuratePrice*0.03;
							break;//有车位
						case 2:
							break;//无车位
					}
					break;

				//楼栋位置
				case 'buldingLocation':
					switch(type){
						case 1:
							accuratePrice+=accuratePrice*0.01;
							break;//离小区出口近
						case 2:
							accuratePrice-=accuratePrice*0.01;
							break;//离小区出口远
						case 3:
							break;//离出口距离适中
					}
					break;

				//建筑类型
				case 'buldingType':
					switch(type){
						case 1:
							accuratePrice+=accuratePrice*0.01;
							break;//洋房
						case 2:
							accuratePrice+=accuratePrice*0.005;
							break;//高层
						case 3:
							break;//小高层
						case 4:
							break;//公寓
						case 5:
							accuratePrice+=accuratePrice*0.005;
							break;//跃层
						case 6:
							accuratePrice+=accuratePrice*0.01;
							break;//复式
						case 7:
							accuratePrice+=accuratePrice*0.005;
							break;//错层
					}
					break;

				//噪音影响
				case 'noise':
					switch(type){
						case 1:
							break;//无噪音
						case 2:
							accuratePrice-=accuratePrice*0.02;
							break;//噪音较小
						case 3:
							accuratePrice-=accuratePrice*0.04;
							break;//噪声较大
					}
					break;

				//小区配套
				case 'supporting':
					accuratePrice+=accuratePrice*0.005;//有配套,配套数量变化不影响系数变化
					break;

				//厌恶设施距离
				case 'disagreeableRange':
					switch(type){
						case 1:
							accuratePrice-=accuratePrice*0.005;
							break;//较近
						case 2:
							accuratePrice-=accuratePrice*0.01;
							break;//很近
					}
					break;
				case 'disagreeable':
					switch(type){
						case 1:
							accuratePrice-=accuratePrice*0.05;
							break;//变电站
						case 2:
							accuratePrice-=accuratePrice*0.02;
							break;//垃圾场
						case 3:
							accuratePrice-=accuratePrice*0.03;
							break;//发射塔
					}
					break;
			}
		}
		if(condition.hasOwnProperty('decoration') &&  condition['decoration'].hasOwnProperty('year') &&  condition['decoration'].hasOwnProperty('price') &&  condition['decoration']['price']>0){
			switch(condition['decoration']['year']){
				case 1:
					accuratePrice+=condition['decoration']['price']/area;
					break;//1年以内
				case 2:
					accuratePrice+=0.9*condition['decoration']['price']/area;
					break;//2年以内
				case 3:
					accuratePrice+=0.8*condition['decoration']['price']/area;
					break;//3年以内
				case 4:
					accuratePrice+=0.7*condition['decoration']['price']/area;
					break;//4年以内
				case 5:
					accuratePrice+=0.6*condition['decoration']['price']/area;
					break;//5年以内
				case 6:
					accuratePrice+=0.5*condition['decoration']['price']/area;
					break;//6年以内
				case 7:
					accuratePrice+=0.4*condition['decoration']['price']/area;
					break;//7年以内
				case 8:
					accuratePrice+=0.3*condition['decoration']['price']/area;
					break;//8年以内
				case 9:
					accuratePrice+=0.2*condition['decoration']['price']/area;
					break;//9年以内
				case 10:
					accuratePrice+=0.1*condition['decoration']['price']/area;
					break;//10年以内
				case 11:
					break;//10年以上
			}
		}
		return accuratePrice;
	}