var ChatContent = {
    PAGE : 0,
    init : function() {
        //初始化
        //默认为正式环境环信,根据实际数据库连接来改变为对应的环信环境
        var appKey = "5i5j#5i5j";
        var apnsCertName = "push";
        if(Core.API_VER != 'http://app.5i5j.com'){
            appKey = "5i5j#5i5jbeta";
            apnsCertName = "push5i5j";
        }
        //是否开启自动登录功能 1-开启 2-关闭      自动登录功能Android SDK 默认开启，iOS SDK默认关闭。
        var isAutoLoginEnabled = "1";
        //uexEasemob.initEasemob('{"appKey":"' + appKey + '","isAutoLoginEnabled":"' + isAutoLoginEnabled + '"}');
        uexEasemob.initEasemob('{"appKey":"' + appKey + '","apnsCertName":"' + apnsCertName + '","isAutoLoginEnabled":"' + isAutoLoginEnabled + '"}');
        //消息提醒相关配置
        var param = {
            enable : 1, //0-关闭，1-开启。默认为1 开启新消息提醒
            soundEnable : 1, // 0-关闭，1-开启。默认为1 开启声音提醒
            vibrateEnable : 1, // 0-关闭，1-开启。默认为1 开启震动提醒
            userSpeaker : 1, // 0-关闭，1-开启。默认为1 开启扬声器播放（仅Android可用）
            showNotificationInBackgroud : 1, // 0-关闭，1-开启。默认为1。设置后台接收新消息时是否通过通知栏提示 （仅Android可用）
            acceptInvitationAlways : 0, // 0-关闭，1-开启。默认添加好友时为1，是不需要验证的，改成需要验证为W0（仅Android可用）
            deliveryNotification : 0// 0-关闭 1-开启  默认为1 开启消息送达通知   （仅iOS可用）
        }
        var params = JSON.stringify(param);
        uexEasemob.setNotifyBySoundAndVibrate(params);

        //登录回调
        uexEasemob.cbLogin = function(data) {
            //alert(data);
            var data = eval('(' + data + ')');
            ChatContent.getFriendList();
            //apns
            uexEasemob.registerRemoteNotification('');
        }
        //获取好友列表回调
        uexEasemob.cbGetContactUserNames = function(data) {
            //alert('获取好友列表回调:' + data);
            SetLS('friends', data);
            //获取好友信息
            //uexEasemob.getChatterInfo();
            uexEasemob.getRecentChatters();
        }
        //获取聊天对象信息回调
        uexEasemob.cbGetChatterInfo = function(data) {
            //alert('获取聊天对象信息回调:' + data);
            SetLS('chatinfo', data);
            appcan.window.evaluateScript('index','Index.msgCount()');
            appcan.window.evaluatePopoverScript('index','content','ChatContent.msgCount()');
        }
        //获取聊天对象信息回调
        uexEasemob.cbGetRecentChatters = function(data) {
            //alert('获取近期聊天对象信息回调:' + data);
            SetLS('chatinfo', data);
            appcan.window.evaluateScript('index','Index.msgCount()');
            //现在未必在爱聊页 所以下面方法不一定执行成功，上面更新首页未读消息数量的方法需要先执行 防止不能执行
            appcan.window.evaluatePopoverScript('index','content','ChatContent.msgCount()');
        }
        //获取未读消息总数回调
        uexEasemob.cbGetTotalUnreadMsgCount = function(data) {
            var count = JSON.parse(data);
            //alert(count);
            SetLS('chatinfocount',count.count);
            appcan.window.evaluateScript('index','Index.msgCount()');
        }
        //已连接上
        uexEasemob.onConnected = function(data) {
            SetLS('chatState','on');
            //alert('已连接上');
        }
        //1-账号被移除，2-账号其他设备登陆，3-连接不到聊天服务器，4-当前网络不可用
        uexEasemob.onDisconnected = function(data) {
            SetLS('chatState','off');
            //alert('1-当前网络不可用,2-账号其他设备登陆,3-连接不到聊天服务器,4-账号被移除 :' + data);
        }
        ////1-成功，2-失败
        uexEasemob.cbRegisterUser = function(data) {
            //alert("cbRegisterUser:1-成功，2-失败" + data);
            var data = eval('(' + data + ')');
            if (data.result == 1) {
                //alert("注册成功！");
            } else {
                //alert(data.msg);
            }
        }
        //收到新消息监听
        uexEasemob.onNewMessage = function(data) {
            SetLS('receiveMsg',data);
            //根据新消息的发送人和当前好友列表做对比，如果不在列表中，则需要刷新一次列表
            var chatFriends = GetLS('chatFriends');
            if(IsDefine(chatFriends)){
                var json=JSON.parse(trimText(data));
                var arrData = chatFriends.data;
                var flag = true;
                for(var i=0;i<arrData.length;i++){
                    if(arrData[i].friendId == json.from){
                        flag = false;
                        uexEasemob.getRecentChatters();
                        break;
                    }
                }
                if(flag){
                    ChatContent.getFriendList();
                }
            }else{
                ChatContent.getFriendList();
            }
            appcan.window.evaluatePopoverScript('lovechat/chat_info','content','newMessage()');
        }
        ////透传消息监听
        uexEasemob.onCmdMessageReceive = function(data) {
            //alert('onCmdMessageReceive:' + data);
        }
        //消息已读监听
        uexEasemob.onAckMessage = function(data) {
            //alert('onAckMessage:' + data);
        }
        //消息送达监听
        uexEasemob.onDeliveryMessage = function(data) {
            //alert('已发送:' + data);
        }
        //[2.13]
        uexEasemob.cbGetMessageById = function(data) {
            //alert('cbGetMessageById:' + data);
        }
        // 获取聊天记录回调
        uexEasemob.cbGetMessageHistory = function(data) {
            //alert('cbGetMessageHistory:' + data);
            SetLS('historyMsg',data);
            //appcan.window.evaluateScript('lovechat/chat_info','','initHistory()');
            appcan.window.evaluatePopoverScript('lovechat/chat_info','content','initHistory()');
        };
        //接到好友申请
        uexEasemob.onContactInvited = function(data) {

        }
        //新增联系人监听（仅Android）
        uexEasemob.onContactAdded = function(data) {
            //alert('onContactAdded:' + data);
        }
        //删除联系人监听（仅Android）
        uexEasemob.onContactDeleted = function(data) {
            //alert('onContactDeleted:' + data);
        }
        //好友请求被同意
        uexEasemob.onContactAgreed = function(data) {
            //当用户从详情页联系经纪人时  附对应的房源信息给经纪人
            //alert('onContactAgreed:' + data);
            var friend = GetLS('friend'+JSON.parse(data).username);
            if(IsDefine(friend)){
                uexEasemob.sendText(friend);
            }
        }
        //好友请求被拒绝
        uexEasemob.onContactRefused = function(data) {
            //alert('onContactRefused:' + data);
        }
        uexEasemob.cbGetUnreadMsgCount = function(data){
            //alert(data.count);
        }
         //APNS
         uexEasemob.cbRegisterRemoteNotification= function(data){
             uexEasemob.updatePushOptions('{"nickname":"哈哈哈","displayStyle":"0","noDisturbingStyle":"2","noDisturbingStartH":"0","noDisturbingEndH":"0"}');
             //alert("cbRegisterRemoteNotification==="+data);
         };
         uexEasemob.cbUpdatePushOptions= function(data){
             //alert("cbUpdatePushOptions==="+data);
         };
         uexEasemob.cbIgnoreGroupPushNotification= function(data){
             //alert("cbIgnoreGroupPushNotification==="+data);
         };
         uexEasemob.onApnsLaunch=function(data){
             //alert("onApnsLaunch==="+data);
         };
    },
    getFriendList : function(){
        if(IsDefine(CurrentUser) && IsDefine(CurrentUser.usersid)){
            ChatContent.friends(formatUsersidByCity(CurrentUser.companysid,CurrentUser.usersid));
        }else{
            //获取手机唯一标识 登录匿名账号
            // if(IsDefine(GetLS('DeviceUniqueIdentifier'))){
                // ChatContent.friends(GetLS('DeviceUniqueIdentifier'));
            // }else{
                // if (uexWidgetOne.platformName == "android") {
                    // //获取手机唯一标识 登录匿名账号
                    // appcan.device.getInfo(10,function(err,data,dataType,optId){
                        // if(err){
                            // //alert('get device error');
                            // return;
                        // }
                        // if(IsDefine(data) && IsDefine(JSON.parse(data).imei) && JSON.parse(data).imei.length == 15){
                            // //全局唯一标识
                            // SetLS('DeviceUniqueIdentifier',JSON.parse(data).imei.toLowerCase());
                            // ChatContent.friends(GetLS('DeviceUniqueIdentifier'));
                        // }else{
                            // appcan.window.openToast({msg:'IMEI获取失败!请登陆后使用爱聊!',duration:1500,position:5,type:0});
                        // }
                    // });
                // }else if(uexWidgetOne.platformName == "iOS"){
                    // uexKeyChain.cbGetDeviceUniqueIdentifier = function(data){
                        // //全局唯一标识
                        // SetLS('DeviceUniqueIdentifier',JSON.parse(data).uid.toLowerCase());
                        // ChatContent.friends(GetLS('DeviceUniqueIdentifier'));
                    // }
                    // uexKeyChain.getDeviceUniqueIdentifier();
                // }else{
                    // appcan.window.openToast({msg:'手机唯一标识获取失败!请登陆后使用爱聊!',duration:1500,position:5,type:0});
                    // ClearLS('DeviceUniqueIdentifier');
                // }
            // }
        }
    },
    friends : function(userid){
         $ajax({
            url : '/v2/chat/friends?userid='+userid+'&role='+(IsDefine(CurrentUser)?CurrentUser.utype:'user'),
            type : 'get',
            data : {},
            success : function(data) {
                //showLoad();
                //alert(JSON.stringify(data));
                if(data.status=='200'){
                    SetLS('chatFriends',data);
                    if(data.data.length>0){
                        uexEasemob.getRecentChatters();
                    }else{
                        ClearLS('chatinfo');
                        ClearLS('chatFriends');
                        //更新首页消息数量和爱聊列表
                        appcan.window.evaluateScript('index','Index.msgCount()');
                        appcan.window.evaluatePopoverScript('index','content','ChatContent.msgCount()');
                    }
                }else if(data.status=='204'){
                    ClearLS('chatinfo');
                    ClearLS('chatFriends');
                    //更新首页消息数量和爱聊列表
                    appcan.window.evaluateScript('index','Index.msgCount()');
                    appcan.window.evaluatePopoverScript('index','content','ChatContent.msgCount()');
                }else if(data.status=='500'){
                    ClearLS('chatinfo');
                    ClearLS('chatFriends');
                    //更新首页消息数量和爱聊列表
                    appcan.window.evaluateScript('index','Index.msgCount()');
                    appcan.window.evaluatePopoverScript('index','content','ChatContent.msgCount()');
                }
            }
        });
    },
    openDetail : function(nickName,friendId,handset){
        //检查当前用户是否被禁（不等待检查登录）
        if(ChatContent.checkChatDisable()){
            return;
        }
        uexEasemob.resetUnreadMsgCount('{"username":"'+friendId+'","chatType":"0"}');//聊天类别 0-单聊 1-群聊(仅iOS需要，默认0)
        //当前聊天对象
        //SetLS('chatFriend',nickName);
        SetLS('chatFriend',nickName+'');
        SetLS('chatFriendId',friendId+'');
        SetLS('chatHandset',handset+'');
        //由主页面打开 防止在浮动窗口打开在iso与安卓不同平台的基准路径不同
        setTimeout(function () {
            appcan.window.evaluateScript('index','Index.openChat()');
        }, 200);
    },
    checkChatDisable : function(){
        //暂禁用用户状态检查功能
        // var myId = GetLS('DeviceUniqueIdentifier');
        // if(IsDefine(CurrentUser)){
            // myId = formatUsersidByCity(CurrentUser.companysid,CurrentUser.usersid);
        // }
        // var timestamp = Date.parse(new Date());
        // var hat_disable_date = GetLS('chat_disable_date_'+myId)?GetLS('chat_disable_date_'+myId):0;
        // if(timestamp < hat_disable_date+900000){
            // appcan.window.openToast({msg:'帐号已禁用，申诉请联系客服4008-515-515',duration:2000,position:5,type:0});
            // return true;
        // }
        return false;
    },
    checkChatState : function(){
        //需求改变，此处代码功能已改变或屏蔽，目前并无功能实现
        //检查当前用户是否被禁（不等待检查登录）
        if(ChatContent.checkChatDisable()){
            return;
        }
        //检查当前用户是否登录
        // var chatState = GetLS('chatState');
        // if(chatState != 'on'){
            // if(IsDefine(CurrentUser)){
                // ChatContent.login();
            // }else{
                // //appcan.window.openToast({msg:'手机唯一标识获取失败!请登陆后使用爱聊!',duration:1500,position:5,type:0});
            // }
        // }
    },
    //判断是否为好友
    isfriend : function(friendid,userid,friendname){
        $ajax({
            url : encodeURI('/v2/chat/isfriend?userid='+userid+'&friendid='+friendid+'&friendname='+friendname),
            type : 'get',
            data : {},
            success : function(data) {
                if(data.status=='200'){
                    //仅仅进行好友判断及加好友操作
                }else if(data.status=='204'){
                    appcan.window.openToast({msg:'没有更多数据了......',duration:1500,position:5,type:0});
                }else if(data.status=='500'){
                    appcan.window.openToast({msg:'获取数据失败!',duration:1500,position:5,type:0});
                }
            }
        });
    },
    deletefriend : function(userid,friendid,friendname){
        appcan.window.confirm({
            title:'提示',
            content:'您确定要与['+friendname+']解除好友关系吗?',
            buttons:['确定','取消'],
            callback:function(err,data,dataType,optId){
                if(err){
                    //如果出错了
                    return;
                }
                if(data == 0){
                    $ajax({
                        url : encodeURI('/v2/chat/deletefriend?userid='+userid+'&friendid='+friendid),
                        type : 'get',
                        data : {},
                        success : function(data) {
                            //alert(JSON.stringify(data));
                            if(data.status=='200'){
                                //$('#'+friendid).remove();
                                ChatContent.getFriendList();
                                appcan.window.openToast({msg:'好友解除成功!',duration:1500,position:5,type:0});
                            }else if(data.status=='204'){
                                appcan.window.openToast({msg:'解除好友失败!',duration:1500,position:5,type:0});
                            }else if(data.status=='500'){
                                appcan.window.openToast({msg:'系统处理异常!',duration:1500,position:5,type:0});
                            }
                        }
                    });
                }else if(data ==1){
                }
            }
        });
    },
    registerUser : function(username,companysid){
        //alert('开始给经纪人注册im'+username);
        uexEasemob.registerUser('{"username":"'+formatUsersidByCity(companysid,username)+'","password":"123456"}');
    },
    login : function(){
        if(CurrentUser.utype == 'broker'){
            uexEasemob.login('{"username":"'+formatUsersidByCity(CurrentUser.companysid,CurrentUser.usersid)+'","password":"123456"}');
        }else{
            uexEasemob.login('{"username":"'+CurrentUser.usersid+'","password":"123456"}');
        }
    },
    logout : function(){
        //退出环信服务器
        uexEasemob.logout();
        //清理聊天对象缓存，然后更新首页爱聊条数为空
        ClearLS('chatinfo');
        appcan.window.evaluateScript('index','Index.msgCount()');
    },
    //给图片绑定延迟加载
    lazyDelay : function(){
        $(".mypic").lazyload({
         placeholder : "img/loading.jpg",
         effect: "fadeIn"
        });
        $(".mypic").removeClass("mypic");
    },
    openStore : function(brokerid,companysid){
        if(IsDefine(companysid) && IsDefine(brokerid)){
            $ajaxList({
                url : '/v2/broker/'+companysid+'/list?page=0&pcount=10&brokerid='+brokerid,
                type : 'get',
                data : {},
                success : function(data) {
                    var str='';
                    //alert(JSON.stringify(data));
                    if(data.status=='200'){
                        if(data.data.length>0){
                            var str='';
                            //循环展示数据
                            var arrData = data.data;
                            SetLS('detailcityid',companysid);
                            SetLS('brokerDetails',arrData[0]);
                            OpenNewWin('../agent/broker_details',2,4,'broker_details',true);
                        }else{
                            appcan.window.openToast({msg:'抱歉!经纪人信息不全,无法打开店铺.',duration:2000,position:5,type:0});
                        }
                    }else{
                        appcan.window.openToast({msg:'抱歉!经纪人信息不全,无法打开店铺.',duration:2000,position:5,type:0});
                    }
                }
            });
        }else{
            appcan.window.openToast({msg:'抱歉!经纪人信息不全,无法打开店铺.',duration:2000,position:5,type:0});
        }
    },
    msgCount : function(){
        var chatinfos = GetLS('chatinfo');
        var chatFriends = GetLS('chatFriends');
         //alert(chatinfos);
         //alert(JSON.stringify(chatFriends));
        var str='';
        if(IsDefine(chatFriends)){
            $('#contentList').html('');
            var chatinfos = JSON.parse(chatinfos);
            var arrData = chatFriends.data;
            //排序前无未读消息
            var chatinfoReadMsg = [];
            var arrDataReadMsg = [];
            //排序前有未读消息
            var chatinfoUnreadMsg = [];
            var arrDataUnreadMsg = [];
            //排序后无未读消息
            var arrDataReadMsgE = [];
            //后台好友列表除去 有未读消息
            var arrDataList = [];
            //标志位flag
            var flag = 0;
            //过滤环信聊天对象信息中有未读消息的好友
            for(var m=0;m<chatinfos.length;m++){
                if(IsDefine(chatinfos[m].unreadMsgCount) && parseInt(chatinfos[m].unreadMsgCount) > 0){
                    chatinfoUnreadMsg[chatinfoUnreadMsg.length] = chatinfos[m];
                }else{
                    chatinfoReadMsg[chatinfoReadMsg.length] = chatinfos[m];
                }
            }
            //把后台好友list 拆分出有未读消息和没有未读消息两个list
            for(var i=0;i<arrData.length;i++){
                flag = 0;
                for(var j=0;j<chatinfoUnreadMsg.length;j++){
                    if(arrData[i].friendId == chatinfoUnreadMsg[j].chatter){
                        flag = 1;
                        arrDataUnreadMsg[arrDataUnreadMsg.length] = arrData[i];
                    }
                }
                if(flag == 0){
                    arrDataReadMsg[arrDataReadMsg.length] = arrData[i];
                }
            }
            //对有历史消息的记录进行按最后一条消息时间排序
            for(var i=0;i<chatinfoReadMsg.length;i++){
                for(var j=0;j<arrDataReadMsg.length;j++){
                    if(arrDataReadMsg[j].friendId == chatinfoReadMsg[i].chatter){
                        arrDataReadMsgE[arrDataReadMsgE.length] = arrDataReadMsg[j];
                        arrDataReadMsg.splice(j,1);
                        break;
                    }
                }
            }
            //循环展示好友列表  现在展示有未读消息的好友 然后展示有历史消息的排序的 再展示没有历史消息的
            for(var x=0;x<arrDataUnreadMsg.length;x++){
                  //组装列表信息

               str+='<div class="ub ub-f4 bc1-bg line-wrapper" id="'+arrDataUnreadMsg[x].friendId+'">'+
                        '<div class="ub ub-ac ub-fh line-scroll-wrapper">'+
                            '<div class="ub ubb b-d7 lissychat ub-fh line-normal-wrapper" data-companysid="'+arrDataUnreadMsg[x].companysid+'" data-agentid="'+arrDataUnreadMsg[x].friendId+'" onclick="ChatContent.openDetail(\''+arrDataUnreadMsg[x].friendName+'\',\''+arrDataUnreadMsg[x].friendId+'\')">'+
                                '<div class="ub uc-a2 umar-mar1">';
                                if(IsDefine(CurrentUser) && CurrentUser.utype != 'user'){
                                    str+='<img src="'+arrDataUnreadMsg[x].frinedPic+'" onerror="javascript:this.src=\'../img/comm/ailiao.png\';" class="ub allistjjr uc-a1 umar-fl1 mypic">';
                                }else{
                                    str+='<img src="'+arrDataUnreadMsg[x].frinedPic+'" onerror="javascript:this.src=\'../img/comm/ailiaoBroker.jpg\';" class="ub allistjjr uc-a1 umar-fl1 mypic">';
                                }
                           str+='</div>'+
                                '<div class="ub-f1 ub ub-ver">'+
                                    '<div class="ub ub-ac ub-f1 ut-s umh3 font-color2 ulev2-2">'+arrDataUnreadMsg[x].friendName+'</div>'+
                                    '<div class="ub-f1 ulev-4-2 alizs1 ut-s" id="msg'+arrDataUnreadMsg[x].friendId+'"></div>'+
                                '</div>'+
                                '<div class="ub ub-ver up-right">'+
                                    '<div class="ub datacolor ulev-4 up-t1 umh3" id="time'+arrDataUnreadMsg[x].friendId+'"></div>'+
                                    '<div class="ub ub-ae ub-pc xiaoxis ailsumbgcolor fontc-8 ulev-4 hide" id="number'+arrDataUnreadMsg[x].friendId+'">6</div>'+
                                '</div>'+
                            '</div>'+
                            '<div class="ub line-btn-delete">';
                            if(IsDefine(CurrentUser) && CurrentUser.utype == 'broker'){
                                //经纪人端不包含关注与店铺
                            }else{
                                str+='<div class="flagsty ub ub-ver ub-pc ub-ac showfang" id="guanzhu'+arrDataUnreadMsg[x].friendId+'" data-agentid="'+arrDataUnreadMsg[x].friendId+'" data-companysid="'+arrDataUnreadMsg[x].companysid+'">'+
                                        '<div class="fontc-8">关注</div>'+
                                    '</div>'+
                                    '<div class="flagsty ub ub-ver ub-pc ub-ac maifang"  onclick="ChatContent.openStore(\''+unformatUsersidByCity(arrDataUnreadMsg[x].friendId)+'\',\''+arrDataUnreadMsg[x].companysid+'\')">'+
                                         '<div class="fontc-8">店铺</div>'+
                                     '</div>';
                            }
                            str+='<div class="flagsty ub ub-ver ub-pc ub-ac xiangsi" onclick="ChatContent.deletefriend(\''+arrDataUnreadMsg[x].userId+'\',\''+arrDataUnreadMsg[x].friendId+'\',\''+arrDataUnreadMsg[x].friendName+'\')">'+
                                     '<div class="fontc-8">删除</div>'+
                                 '</div>'+
                             '</div>'+
                        '</div>'+
                    '</div>';
            }
            //展示排序后的
            for(var y=0;y<arrDataReadMsgE.length;y++){
                  //组装列表信息

                 str+='<div class="ub ub-f4 bc1-bg line-wrapper" id="'+arrDataReadMsgE[y].friendId+'">'+
                        '<div class="ub ub-ac ub-fh line-scroll-wrapper">'+
                            '<div class="ub ubb b-d7 lissychat ub-fh line-normal-wrapper" data-companysid="'+arrDataReadMsgE[y].companysid+'" data-agentid="'+arrDataReadMsgE[y].friendId+'" onclick="ChatContent.openDetail(\''+arrDataReadMsgE[y].friendName+'\',\''+arrDataReadMsgE[y].friendId+'\')">'+
                                '<div class="ub uc-a2 umar-mar1">';
                                if(IsDefine(CurrentUser) && CurrentUser.utype != 'user'){
                                    str+='<img src="'+arrDataReadMsgE[y].frinedPic+'" onerror="javascript:this.src=\'../img/comm/ailiao.png\';" class="ub allistjjr uc-a1 umar-fl1 mypic">';
                                }else{
                                    str+='<img src="'+arrDataReadMsgE[y].frinedPic+'" onerror="javascript:this.src=\'../img/comm/ailiaoBroker.jpg\';" class="ub allistjjr uc-a1 umar-fl1 mypic">';
                                }
                           str+='</div>'+
                                '<div class="ub-f1 ub ub-ver">'+
                                    '<div class="ub ub-ac ub-f1 ut-s umh3 font-color2 ulev2-2">'+arrDataReadMsgE[y].friendName+'</div>'+
                                    '<div class="ub-f1 ulev-4-2 alizs1 ut-s" id="msg'+arrDataReadMsgE[y].friendId+'"></div>'+
                                '</div>'+
                                '<div class="ub ub-ver up-right">'+
                                    '<div class="ub datacolor ulev-4 up-t1 umh3" id="time'+arrDataReadMsgE[y].friendId+'"></div>'+
                                    '<div class="ub ub-ae ub-pc xiaoxis ailsumbgcolor fontc-8 ulev-4 hide" id="number'+arrDataReadMsgE[y].friendId+'">6</div>'+
                                '</div>'+
                            '</div>'+
                            '<div class="ub line-btn-delete">';
                            if(IsDefine(CurrentUser) && CurrentUser.utype == 'broker'){
                                //经纪人端不包含关注与店铺
                            }else{
                                str+='<div class="flagsty ub ub-ver ub-pc ub-ac showfang" id="guanzhu'+arrDataReadMsgE[y].friendId+'" data-agentid="'+arrDataReadMsgE[y].friendId+'" data-companysid="'+arrDataReadMsgE[y].companysid+'">'+
                                        '<div class="fontc-8">关注</div>'+
                                    '</div>'+
                                    '<div class="flagsty ub ub-ver ub-pc ub-ac maifang"  onclick="ChatContent.openStore(\''+unformatUsersidByCity(arrDataReadMsgE[y].friendId)+'\',\''+arrDataReadMsgE[y].companysid+'\')">'+
                                         '<div class="fontc-8">店铺</div>'+
                                     '</div>';
                            }
                            str+='<div class="flagsty ub ub-ver ub-pc ub-ac xiangsi" onclick="ChatContent.deletefriend(\''+arrDataReadMsgE[y].userId+'\',\''+arrDataReadMsgE[y].friendId+'\',\''+arrDataReadMsgE[y].friendName+'\')">'+
                                     '<div class="fontc-8">删除</div>'+
                                 '</div>'+
                             '</div>'+
                        '</div>'+
                    '</div>';
            }
            //展示剩余未做排序的
            for(var y=0;y<arrDataReadMsg.length;y++){
                  //组装列表信息

                 str+='<div class="ub ub-f4 bc1-bg line-wrapper" id="'+arrDataReadMsg[y].friendId+'">'+
                        '<div class="ub ub-ac ub-fh line-scroll-wrapper">'+
                            '<div class="ub ubb b-d7 lissychat ub-fh line-normal-wrapper" data-companysid="'+arrDataReadMsg[y].companysid+'" data-agentid="'+arrDataReadMsg[y].friendId+'" onclick="ChatContent.openDetail(\''+arrDataReadMsg[y].friendName+'\',\''+arrDataReadMsg[y].friendId+'\')">'+
                                '<div class="ub uc-a2 umar-mar1">';
                                if(IsDefine(CurrentUser) && CurrentUser.utype != 'user'){
                                    str+='<img src="'+arrDataReadMsg[y].frinedPic+'" onerror="javascript:this.src=\'../img/comm/ailiao.png\';" class="ub allistjjr uc-a1 umar-fl1 mypic">';
                                }else{
                                    str+='<img src="'+arrDataReadMsg[y].frinedPic+'" onerror="javascript:this.src=\'../img/comm/ailiaoBroker.jpg\';" class="ub allistjjr uc-a1 umar-fl1 mypic">';
                                }
                           str+='</div>'+
                                '<div class="ub-f1 ub ub-ver">'+
                                    '<div class="ub ub-ac ub-f1 ut-s umh3 font-color2 ulev2-2">'+arrDataReadMsg[y].friendName+'</div>'+
                                    '<div class="ub-f1 ulev-4-2 alizs1 ut-s" id="msg'+arrDataReadMsg[y].friendId+'"></div>'+
                                '</div>'+
                                '<div class="ub ub-ver up-right">'+
                                    '<div class="ub datacolor ulev-4 up-t1 umh3" id="time'+arrDataReadMsg[y].friendId+'"></div>'+
                                    '<div class="ub ub-ae ub-pc xiaoxis ailsumbgcolor fontc-8 ulev-4 hide" id="number'+arrDataReadMsg[y].friendId+'">6</div>'+
                                '</div>'+
                            '</div>'+
                            '<div class="ub line-btn-delete">';
                            if(IsDefine(CurrentUser) && CurrentUser.utype == 'broker'){
                                //经纪人端不包含关注与店铺
                            }else{
                                str+='<div class="flagsty ub ub-ver ub-pc ub-ac showfang" id="guanzhu'+arrDataReadMsg[y].friendId+'" data-agentid="'+arrDataReadMsg[y].friendId+'" data-companysid="'+arrDataReadMsg[y].companysid+'">'+
                                        '<div class="fontc-8">关注</div>'+
                                    '</div>'+
                                    '<div class="flagsty ub ub-ver ub-pc ub-ac maifang"  onclick="ChatContent.openStore(\''+unformatUsersidByCity(arrDataReadMsg[y].friendId)+'\',\''+arrDataReadMsg[y].companysid+'\')">'+
                                         '<div class="fontc-8">店铺</div>'+
                                     '</div>';
                            }
                            str+='<div class="flagsty ub ub-ver ub-pc ub-ac xiangsi" onclick="ChatContent.deletefriend(\''+arrDataReadMsg[y].userId+'\',\''+arrDataReadMsg[y].friendId+'\',\''+arrDataReadMsg[y].friendName+'\')">'+
                                     '<div class="fontc-8">删除</div>'+
                                 '</div>'+
                             '</div>'+
                        '</div>'+
                    '</div>';
            }
            //把列表展示到页面上
            $('#contentList').html(str);
            $('#loading').remove();
            ChatContent.lazyDelay();
             var userid = GetLS("CurrentUser")?GetLS("CurrentUser").usersid:"";
             appcan.button(".showfang", "btn-act", function() {
                 var cityid = $(this).data("companysid");
                 var focusid =  $(this).attr("id");
                 var agentid = $(this).data("agentid");
                 var flag = $($("#"+focusid).children().get(0)).text() == "关注";
                 if (userid) {
                    if (agentid&&cityid) {
                        if ($($("#"+focusid).children().get(0)).text() == "关注") {
                            Focus.focus(userid, unformatUsersidByCity(agentid),cityid,function(flag){
                                if (flag) {
                                    $($("#"+focusid).children().get(0)).text("取消关注");
                                };
                            });
                        }else{
                            Focus.unfocus(userid,unformatUsersidByCity(agentid),cityid,function(flag){
                                if (flag) {
                                    $($("#"+focusid).children().get(0)).text("关注");
                                };
                            });
                        };
                    }else{
                        appcan.window.openToast({msg:'抱歉该经纪人信息不全无法关注',duration:1500,position:5,type:0});
                    };

                 }else{
                    SetLS("shoucangagentid",unformatUsersidByCity(agentid));
                    SetLS("shoucangcityid",cityid);
                    SetLS("shoucangflag",flag);
                    SetLS("shoucangid",focusid);
                    if (agentid&&cityid) {
                        SetLS('openMethod', 'appcan.window.evaluatePopoverScript("index", "content", "ChatContent.shoucang()")');
                        ClearLS('openPage');
                        openLoginPage(true, false);
                    }else{
                        appcan.window.openToast({msg:'抱歉该经纪人信息不全无法关注',duration:1500,position:5,type:0});
                    };

                 };
            });

            //用环信聊天对象信息list来更新列表中最后一条消息展示
            //可能会存在环信有的用户 而后台好友list存不存在的情况。。。。。。
            for(var n=0;n<chatinfos.length;n++){
                //更新未读消息数量
                if(IsDefine(chatinfos[n].unreadMsgCount) && parseInt(chatinfos[n].unreadMsgCount) > 0){
                    if(parseInt(chatinfos[n].unreadMsgCount) > 99){
                        $('#number'+chatinfos[n].chatter).html('99');
                        $('#number'+chatinfos[n].chatter).removeClass('hide');
                    }else{
                        $('#number'+chatinfos[n].chatter).html(chatinfos[n].unreadMsgCount);
                        $('#number'+chatinfos[n].chatter).removeClass('hide');
                    }
                }
                //更新好友最后一条消息展示
                if(IsDefine(chatinfos[n].lastMsg)){
                    if (chatinfos[n].lastMsg.messageType == 'text') {
                        if(IsDefine(chatinfos[n].lastMsg.ext) && chatinfos[n].lastMsg.ext == 'house'){
                            $('#msg'+chatinfos[n].chatter).html('[房源信息]');
                        }else if(IsDefine(chatinfos[n].lastMsg.ext) && chatinfos[n].lastMsg.ext == 'school'){
                            $('#msg'+chatinfos[n].chatter).html('[学区信息]');
                        }else{
                            //转化表情
                            var stremo = chatinfos[n].lastMsg.messageBody.text;
                            var reg = /\[([^\]]+)\]/g;
                            stremo = stremo.replace(reg, function($1){
                                return emoarr[$1] || $1;
                            });
                            $('#msg'+chatinfos[n].chatter).html(trimText(stremo));
                        }
                    }else if(chatinfos[n].lastMsg.messageType == 'image'){
                        $('#msg'+chatinfos[n].chatter).html('[图片]');
                    }else if(chatinfos[n].lastMsg.messageType == 'audio'){
                        $('#msg'+chatinfos[n].chatter).html('[语音]');
                    }
                }
                //更新最后一条消息时间
                if(IsDefine(chatinfos[n].lastMsg)){
                    $('#time'+chatinfos[n].chatter).html(Core.offsetDate(parseInt(chatinfos[n].lastMsg.messageTime)));
                }
            }
        }
        if(str == ''){
            str+='<div class="ub ub-ver ub-pc uptop50">'+
                    '<div class="ub ub-ac ub-pc">'+
                        '<img src="../img/comm/empty.png" class="ub ub-img emptywg">'+
                    '</div>'+
                    '<div class="ub ub-ac ub-pc ulev-1-1 wtstycolor umar-t1 umh4-5">'+
                        '爱聊列表为空'+
                    '</div>'+
                    '<div class="ub ub-ac ub-pc ulev-2 wtstycolor">'+
                        '联系几个经纪人或关注房源吧'+
                    '</div>'+
                '</div>';
            $('#contentList').html(str);
        }
        //延迟加载左滑功能 防止出现HTML错位
        setTimeout(function () {
            if(IsDefine(CurrentUser) && CurrentUser.utype == 'broker'){
                slider();
            }else{
                slider(function(dom){
                    var agentid = $(dom).data("agentid");
                    var userid = GetLS("CurrentUser")?GetLS("CurrentUser").usersid:"";
                    var cityid = $(dom).data("companysid");
                    if (userid&&cityid&&agentid) {
                        Focus.setfocus(userid,unformatUsersidByCity(agentid),cityid,function(flag){
                           if (flag)
                                $($("#guanzhu"+agentid).children().get(0)).text("取消关注");
                            else
                                $($("#guanzhu"+agentid).children().get(0)).text("关注");
                        });
                    }
                });
            };
        }, 1000);//延迟关闭
        hideLoading();
    },

    shoucang:function(){
        var shoucangflag = GetLS("shoucangflag");
        var agentid = GetLS("shoucangagentid");
        var cityid = GetLS("shoucangcityid");
        var focusid = GetLS("shoucangid");
        var userid = GetLS("CurrentUser")?GetLS("CurrentUser").usersid:"";
        if (shoucangflag) {
            Focus.focus(userid,agentid,cityid,function(flag){
                if (flag) {
                    $($("#"+focusid).children().get(0)).text("取消关注");
                };
            });
        }else{
            Focus.unfocus(userid,agentid,cityid,function(flag){
                if (flag) {
                    $($("#"+focusid).children().get(0)).text("关注");
                };
            });
        }
    }
}
