var Process = {
    CITYID : GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid'),
    userInit : function(){
        Process.clearHistory();
        Process.code();
    },
    init : function() {
        var cardtype = GetLS('cardtype');
        if(cardtype == 1){
            $("#cardtype").val('身份证');
        }else if(cardtype == 2){
            $("#cardtype").val('护照');
        }else if(cardtype == 3){
            $("#cardtype").val('港澳台居民往来内地通行证');
        }else if(cardtype == 4){
            $("#cardtype").val('军官证');
        }else if(cardtype == 5){
            $("#cardtype").val('其他');
        }
    },
    openCardType : function(methodName){
        SetLS('methodName',methodName);
        OpenNewWin('cardtype',2);
    },
    search : function(){
        var card = $.trim($("#card").val());
        var username = $.trim($('#username').val());
        var verifyPic = $.trim($("#verifyPic").val());
        var cardtype = GetLS("cardtype")?(GetLS("cardtype")):'';
        if(Process.CITYID == 2){
            //如果是杭州的合同查询，则默认给定cardtype为1
            cardtype = 1
        }
        if(checkAddCity()){
            cardtype = 1;
            if (card == "") {
                uexWindow.toast("0","5","请输入合同编号","2000");
                return false;
            }
            if(username == ''){
                uexWindow.toast("0","5","请输入客户姓名","2000");
                return false;
            }
            if (verifyPic == "") {
                uexWindow.toast("0","5","请输入验证码","2000");
                return false;
            }
        }else{
            //杭州不需要检查
            if (!IsDefine(cardtype)) {
                uexWindow.toast("0","5","请选择证件类型","2000");
                return false;
            }
            if (card == "") {
                uexWindow.toast("0","5","请填写证件号码","2000");
                return false;
            }
            if(username == ''){
                if(Process.CITYID == 2){
                    uexWindow.toast("0","5","请输入合同号","2000");
                }else{
                    uexWindow.toast("0","5","请输入真实姓名","2000");
                }
                return false;
            }
            if (verifyPic == "") {
                uexWindow.toast("0","5","请输入验证码","2000");
                return false;
            }
        }
        $ajax({
            url : '/verify/checkverify?tell='+encodeURI(card)+'&code='+verifyPic,
            type : 'get',
            data : {},
            success : function(msg) {
                if(msg.status=='200'){
                    //清除缓存合同信息
                    ClearLS('contractInfo');
                    //图片验证码校验通过,开始提交请求
                    $ajax({
                        url : '/contractentity/getcontract',
                        type : 'post',
                        data : {card:card,username:username,cardtype:cardtype,companysid:Process.CITYID},
                        success : function(data) {
                            if(data.status=='200'){
                                SetLS('contractInfo',data.data);
                                if(checkAddCity()){
                                    OpenNewWin('result_trace_league',2);
                                }else{
                                    //如果是杭州 单独处理
                                    if(Process.CITYID == 2){
                                        OpenNewWin('result_trace_hangzhou',2);
                                    }else{
                                        OpenNewWin('result_trace',2);
                                    }
                                }
                            }else if(data.status=='204'){
                                appcan.window.openToast({msg:'暂无相关合同信息!',duration:2000,position:5,type:0});
                                return false;
                            }else if(data.status=='404'){
                                appcan.window.openToast({msg:'号码或姓名有误!',duration:2000,position:5,type:0});
                                return false;
                            }else{
                                appcan.window.openToast({msg:'数据查询异常!',duration:2000,position:5,type:0});
                                return false;
                            }
                        }
                    });
                }else if(msg.status=='204'){
                    Process.code();
                    appcan.window.openToast({msg:'图片验证码校验失败!',duration:1500,position:5,type:0});
                    return false;
                }else{
                    appcan.window.openToast({msg:'数据查询异常!',duration:1500,position:5,type:0});
                    return false;
                }
            }
        });
        Event.EvtAgreementCourse();
    },
    code : function(){
        //重置图片验证码输入框
        $("#verifyPic").val('');
        var t=Math.round(new Date().getTime());
        var card = $.trim($('#card').val());
        $("#code").css('display','block !important');
        $("#code").attr("src",Core.API_VER+"/VerifyCodeServlet?type="+t+"&tell="+encodeURI(card));
    },
    closeWindow : function(){
        appcan.window.close(-1);
    },
    clearHistory : function(){
        ClearLS('cardtype');
    }
}