$("#my_gt").width($('body').width() - $('#widthDemo').width() * 2);
var initGeetest = (function(window, document) {
    var random = function() {
        return parseInt(Math.random() * 10000) + (new Date()).valueOf();
    };
    var callbacks = [];
    var status = "loading";
    // 加载Geetest库
    var cb = "geetest_" + random();
    window[cb] = function() {
        status = "loaded";
        window[cb] = undefined;
        try {
            delete window[cb];
        } catch (e) {}
        for (var i = 0, len = callbacks.length; i < len; i = i + 1) {
            callbacks[i]();
        }
    };
    var s = document.createElement("script");
    s.onerror = function() {
        status = "fail";
        for (var i = 0, len = callbacks.length; i < len; i = i + 1) {
            callbacks[i]();
        }
    };
    s.src = ("http:") + "//api.geetest.com/get.php?callback=" + cb;
    document.getElementsByTagName("head")[0].appendChild(s);
    return function(config, callback) {
        var protocol = config.https ? "https://" : "http://";
        var initGeetest = function() {
            callback(new window.Geetest(config));
        };
        var backendDown = function() {
            var s = document.createElement("script");
            s.id = "gt_lib";
            s.src = protocol + "static.geetest.com/js/geetest.0.0.0.js";
            s.charset = "UTF-8";
            s.type = "text/javascript";
            head.appendChild(s);
            s.onload = s.onreadystatechange = function() {
                if (!this.readyState || this.readyState === "loaded" || this.readyState === "complete") {
                    initGeetest();
                    s.onload = s.onreadystatechange = null;
                }
            };
        };
        if (status === "loaded") {
            // Geetest对象已经存在，则直接初始化
            initGeetest();
        } else if (status === "fail") {
            // 无法动态获取Geetest库，则去获取geetest.0.0.0.js
            backendDown();
        } else if (status === "loading") {
            // 之前已经去加载Geetest库了，将回调加入callbacks，等Geetest库好后去回调
            callbacks.push(function() {
                if (status === "fail") {
                    backendDown();
                } else {
                    initGeetest();
                }
            });
        } else {}
    };
}(window, document));
window.init = function(config) {
    $.ajax({
        // 获取id，challenge，success（是否启用failback）
        url: Core.API_VER + "/geetest/pre?t=" + (new Date()).getTime(), // 加随机数防止缓存
        type: "get",
        dataType: "json",
        success: function (data) {
            var init = eval('('+ data.data +')');
            initGeetest({
                gt: init.gt,
                challenge: init.challenge,
                // gt: config.gt,
                // challenge: config.challenge,
                product: "embed", // 产品形式，包括：float，embed，popup。注意只对PC版验证码有效
                offline: !data.success, // 表示用户后台检测极验服务器是否宕机，一般不需要关注
                https: true,
                width: '100%',
                mobile: true,
                theme: "simple",
                theme_version: "5.2.6",
                type: "slide"
            }, function(obj) {
                window.o = obj;
                o.appendTo("#my_gt");
                o.onReady(function() {
                    $('.preventFK').removeClass('hide');
                });
                o.onSuccess(function() {
                    validate(o, function(result) {
                        if (result.status == 0) {
                            goSuccess_yzm();
                        } else {
                            o.refresh();
                        }
                    });
                });
            });
        }
    });
};
var validate = function(captcha, cb) {
    var values = captcha.getValidate();
    $.ajax({
        url: Core.API_VER + "/geetest/verify?geetest_challenge="+values.geetest_challenge+"&geetest_validate="+values.geetest_validate+"&geetest_seccode="+values.geetest_seccode,
        type: "post",
        dataType: "json",
        success: function (data) {
            cb && cb(data);
        }
    });
};

window.init();
// var script = document.createElement("script");
// script.src = "http://webapi.geetest.com/apis/start-mobile-captcha/?callback=init";
// script.charset = "utf-8";
// document.body.appendChild(script);
