var JPush = {
    init : function(){
        //设置alias和tags
        JPush.setAliasAndTags();
        //关闭极光自带的IOS前台消息显示
        if(uexWidgetOne.platformName == "iOS"){
            uexJPush.disableLocalNotificationAlertView(1);
        }
        uexJPush.onReceiveNotificationOpen=function(data){
            //alert(data);
            var json = JSON.parse(data);
            var time = 3500;
            if(IsDefine(GetLS('indexopen'))){
                time = 500;
            }
            if(IsDefine(json.extras.mtype)){
                setTimeout(function () {
                    if(json.extras.mtype == 'OpenSaleDetail'){
                        SetLS('detailsId',json.extras.detailsId);
                        SetLS('detailcityid',json.extras.detailcityid);
                        OpenNewWin('sale/details',2,4,'../sale/details',true);
                    }else if(json.extras.mtype == 'OpenRentDetail'){
                        SetLS('detailsId',json.extras.detailsId);
                        SetLS('detailcityid',json.extras.detailcityid);
                        OpenNewWin('rent/details',2,4,'../rent/details',true);
                    }else if(json.extras.mtype == 'OpenCommunitySaleList'){
                        SetLS('detailsPageCommunityid',json.extras.detailsPageCommunityid);
                        SetLS('detailsPageCommunityname',json.extras.detailsPageCommunityname);
                        SetLS('detailcityid',json.extras.detailcityid);
                        OpenNewWin('sale/salesearchlist',2,4,'../sale/salesearchlist',true);
                    }else if(json.extras.mtype == 'OpenCommunityDetail'){
                        SetLS('detailsId',json.extras.detailsId);
                        SetLS('detailcityid',json.extras.detailcityid);
                        if(checkAddCity(json.extras.detailcityid)){
                            OpenNewWin('community/community_details_League',2,4,'community_details_League',true);
                        }else{
                            OpenNewWin('community/community_details',2,4,'community_details',true);
                        }
                    }else if(json.extras.mtype == 'OpenSchoolDetail'){
                        SetLS('detailsId',json.extras.detailsId);
                        SetLS('detailcityid',json.extras.detailcityid);
                        OpenNewWin('school/school_details',2,4,'school_details',true);
                    }else if(json.extras.mtype == 'OpenAgentStore'){
                        ClearLS('brokerDetails');
                        SetLS('detailcityid',json.extras.brokerDetailsCityId);
                        SetLS('brokerDetailsId',json.extras.brokerDetailsId);
                        OpenNewWin('agent/broker_details',2,4,'broker_details',true);
                    }else if(json.extras.mtype == 'OpenFocus'){
                        if(IsDefine(json.extras.focusType)){
                            SetLS('focusContentType',json.extras.focusType);
                            if (IsDefine(CurrentUser)) {
                                OpenNewWin('user/focus', 2);
                            } else {
                                SetLS('openPage', 'user/focus');
                                ClearLS('openMethod');
                                appcan.window.evaluateScript('index', 'Index.openLogin()');
                            }
                        }else{
                            if(IsDefine(CurrentUser)){
                                OpenNewWin('user/focus_housing',2);
                            }else{
                                SetLS('openPage','user/focus_housing');
                                ClearLS('openMethod');
                                appcan.window.evaluateScript('index','Index.openLogin()');
                            }
                        }
                    }else if(json.extras.mtype == 'OpenURL'){
                        SetLS('openUrl',json.extras.url);
                        uexWindow.open('webPopWin', '0', 'detailsindex.html', 0, '', '', 512,500);
                    }
                }, time);
                if(IsDefine(json.extras.msgid)){
                    $ajaxIndex({
                        url: '/user/updatePushViewFlag',
                        type: 'post',
                        data: {
                            id:json.extras.msgid
                        },
                        success: function(data) {
                            if (data.status == '200') {
                                //正常设置消息状态
                            }
                        }
                    });
                }
            }
            //IOS重置角标为0
            if(uexWidgetOne.platformName == "iOS"){
                uexJPush.setBadgeNumber(0);
            }
        }
    },
    setAliasAndTags : function(){
        var var_alias;
        var var_tags;
        var CurrentUser = GetLS("CurrentUser")?GetLS("CurrentUser"):'';
        if(IsDefine(CurrentUser)){
            var_alias = "alias_"+CurrentUser.usersid;
        }else{
            var_alias = '';
        }
        if(IsDefine(GetLS('cityid'))){
            var_tags=new Array("city_"+GetLS('cityid'));
        }else{
            var_tags = new Array();
        }
        var params = {
            alias:var_alias,
            tags:var_tags
        };
        var data = JSON.stringify(params);
        uexJPush.setAliasAndTags(data);
        uexJPush.cbGetRegistrationID=function(data){
            var json = JSON.parse(data);
            var userid = json.registrationID
            if(IsDefine(userid)){
                $ajaxIndex({
                    url : '/user/updateViewTime',
                    type : 'post',
                    data : {userid:userid},
                    success : function(data) {
                        if(data.status=='200'){
                            
                        }else{
                            appcan.window.openToast({msg:'登录时间更新异常!',duration:1000,position:5,type:0});
                            return false;
                        }
                    }
                });    
            }
        }
        uexJPush.getRegistrationID();
    }
}
