//校验手机号并提示
function ifCorrectPhoneToast(phoneNumber) {
    if(phoneNumber == '') {
        appcan.window.openToast({msg:'手机号不能为空!',duration:2000,position:5,type:0});
    }else if(!checkMobile(phoneNumber)) {
        appcan.window.openToast({msg:'请输入正确的手机号!',duration:2000,position:5,type:0});
    }
}
//登陆按钮相关提醒
function loginToast() {
    var phoneNumber = $.trim($("#phoneNumber").val()); //手机号
    var yzm = $.trim($('#yzm').val()); //验证码
    var password = $.trim($('#password').val()); //密码
    var loginType = GetLS('loginType') || 0; //登陆方式
    var ifCorrectPhone = false; //手机号是否正确的状态

    //校验手机号是否正确
    if(checkMobile(phoneNumber)) {
        ifCorrectPhone = true;
    }
    //正确的手机号并且不是经纪人登陆（经纪人的账号不是手机号）
    if(ifCorrectPhone && loginType != 2) {
        //验证码登陆
        if(loginType == 1) {
            if(yzm == '') {
                appcan.window.openToast({msg:'请输入短信验证码',duration:2000,position:5,type:0});
            }
        //普通登陆
        }else if(loginType == 0) {
            if(password == '') {
                appcan.window.openToast({msg:'请输入登录密码',duration:2000,position:5,type:0});
            }
        }
    //经纪人登陆
    }else if(loginType == 2){
        if (phoneNumber == "") {
            appcan.window.openToast({msg:'请输入用户名/员工编号',duration:2000,position:5,type:0});
        }else if (password == "") {
            appcan.window.openToast({msg:'请输入网经密码',duration:2000,position:5,type:0});
        }
    //手机号不符合规则
    }else {
        ifCorrectPhoneToast(phoneNumber);
    }
}
//隐藏/显示清除按钮
function showOrHideRemoveIcon($this) {
    var deleteDom = $this.parent().parent().find('.img_delete');
    if($this.val() == '') {
        deleteDom.addClass('hide');
    }else{
        deleteDom.removeClass('hide');
    }
}
//初始化登陆
function initLoginType() {
    appcan.select(".select",function(ele,value){
        SetLS('loginType', value);
        changeLoginType();
    });
    // setTimeout(function() {
        changeLoginType();
    // }, 500);
}
//登陆方式
function loginType() {
    var loginType = GetLS('loginType') || 0;
    if(loginType == 1) {
        Login.userLoginByCode();
    }else if(loginType == 2) {
        Login.brokerLogin();
    }else if(loginType == 0) {
        Login.userLogin();
    }
}
//初始化登陆方式的样式
function clearChangeLoginType() {
    $('#choiseCity').addClass('hide');
    $('#phoneNumber').attr('type', 'tel');
    $('#phoneNumber').attr('placeholder', '请输入手机号');
    $('#getYZMDiv').addClass('hide');
    $('#passwordDiv').removeClass('hide');
    $('#yzmInputDiv').addClass('hide');
    $('#pictrue').addClass('hide');
    $('.img_delete').addClass('hide');
    $('#phoneNumber').val('');
    $('#password').val('');
    $("#yzm").val('');

    CCall("$('#choiseCity').addClass('hide')");
    CCall("$('#phoneNumber').attr('type', 'tel')");
    CCall("$('#phoneNumber').attr('placeholder', '请输入手机号')");
    CCall("$('#getYZMDiv').addClass('hide')");
    CCall("$('#passwordDiv').removeClass('hide')");
    CCall("$('#yzmInputDiv').addClass('hide')");
    CCall("$('#pictrue').addClass('hide')");
    CCall("$('.img_delete').addClass('hide')");
    CCall("$('#phoneNumber').val('');");
    CCall("$('#password').val('');");
    CCall("$('#yzm').val('');");
}
//验证码登陆的样式
function yzmCss() {
    $('#passwordDiv').addClass('hide');
    $('#getYZMDiv').removeClass('hide');
    $('#yzmInputDiv').removeClass('hide');
    $('#pictrue').removeClass('hide');
    CCall("$('#passwordDiv').addClass('hide')");
    CCall("$('#getYZMDiv').removeClass('hide')");
    CCall("$('#yzmInputDiv').removeClass('hide')");
    CCall("$('#pictrue').removeClass('hide')");
}
//经纪人登陆的样式
function agentCss() {
    $('#phoneNumber').attr('type', 'text');
    $('#phoneNumber').attr('placeholder', '请输入用户名/员工编号');
    $('#choiseCity').removeClass('hide');
    CCall("$('#phoneNumber').attr('type', 'text')");
    CCall("$('#phoneNumber').attr('placeholder', '请输入用户名/员工编号')");
    CCall("$('#choiseCity').removeClass('hide')");
}
//切换登陆方式后的样式
function changeLoginType(ifiOS) {
    clearChangeLoginType();
    var loginType = GetLS('loginType') || 0;
    var selectText = '普通登录';
    $('select').val(loginType);
    if(loginType == 1) {
        //验证码登陆
        selectText = '验证码登录';
        if(!ifiOS) yzmCss();
    }else if(loginType == 2) {
        selectText = '经纪人登录';
        if(!ifiOS) agentCss();
    }else if(loginType == 0) {
        selectText = '普通登录';
    }
    $('.select .text').text(selectText);
}
//关闭当前页
function closeWindow(type){
    if (!type) {
        appcan.window.close(0);
    }else{
        appcan.window.close(type);
    };
}
//初始化经纪人城市
function initAgentCity(){
    //取首页城市
    var agentcityid = GetLS('cityid');
    var agentcityname = GetLS('cityname');
    if(agentcityid && agentcityname){
        $('#agentcityid').val(agentcityid);
        $('#agentcityname').val(agentcityname);
        SetLS('agentcityid',agentcityid);
        SetLS('agentcityname',agentcityname);
    }else{
        $('#agentcityid').val(1);
        $('#agentcityname').val('北京');
        SetLS('agentcityid',1);
        SetLS('agentcityname','北京');
    }
}
//重置经纪人城市
function resetAgentCity(){
    var agentcityid = GetLS('agentcityid');
    var agentcityname = GetLS('agentcityname');
    if(agentcityid && agentcityname){
        $('#agentcityid').val(agentcityid);
        $('#agentcityname').val(agentcityname);
    }else{
        $('#agentcityid').val(1);
        $('#agentcityname').val('北京');
        SetLS('agentcityid',1);
        SetLS('agentcityname','北京');
    }
}
//滑动验证后方法
function goSuccess_yzm_func() {
    Login.getUserLoginCode();
}
//打开验证码页面
function slideYZM(ifAndroid) {
    if(ifAndroid) {
        uexWindow.openPopover("header",0,"slideYZM.html","",0,0,"","","",512);
    }else {
        PCall('loginregister/login_new', 'uexWindow.openPopover("header",0,"slideYZM.html","",0,0,"","","",512);');
    }
}
//改变登陆按钮状态
function changeLoginButtonType() {
    var loginType = GetLS('loginType') || 0;
    var phoneNumber = $("#phoneNumber").val();
    var yzm = $("#yzm").val();
    // var password = $("#password").val();
    if(loginType == 0) {
        // if (checkMobile(phoneNumber) && password != '') {
        if (checkMobile(phoneNumber)) {
            $("#login").addClass("active");
        }else{
            $("#login").removeClass("active");
        }
    }
    if(loginType == 2){
        // if (phoneNumber != "" && password != '') {
        if (phoneNumber != "") {
            $("#login").addClass("active");
        }else{
            $("#login").removeClass("active");
        }
    }
    if(loginType == 1) {
        if (!checkMobile(phoneNumber)) {
            $("#getYZM").removeClass("active");
        }else{
            $("#getYZM").addClass("active");
        }
        if (checkMobile(phoneNumber) && yzm != "") {
            $("#login").addClass("active");
        }else{
            $("#login").removeClass("active");
        }
    }
}

//返回
appcan.button("#nav-left", "btn-act", function() {
    appcan.window.close(-1);
});
//忘记密码
appcan.button("#forgotpwd", "btn-act", function() {
    OpenNewWin('forgotpwd',2);
    //OpenNewWin('forgotpwd_new',2);
});
//注册
appcan.button("#register", "btn-act", function() {
    // OpenNewWin('register',2);
    OpenNewWin('register',2);
    Event.EvtRegisterImd();
});
//登陆
appcan.button("#login", "btn-act", function() {
    if($("#login").hasClass("active")) {
        loginType();
    }else {
        loginToast();
    }
});
//经纪人选择城市
appcan.button("#choiseCity", "btn-act", function() {
    OpenNewWin('agentcity',2);
});

//手机号校验
$('#phoneNumber').bind('input propertychange', function() {
    showOrHideRemoveIcon($("#phoneNumber"));
    changeLoginButtonType();
});
//验证码校验
$('#yzm').bind('input propertychange', function() {
    showOrHideRemoveIcon($("#yzm"));
    changeLoginButtonType();
});
//密码输入框
$('#password').focus(function() {
    $('#loginHeaderImg').addClass('active');
    PCall("loginregister/login_new", "$('#loginHeaderImg').addClass('active');");
});
$('#password').blur(function() {
    $('#loginHeaderImg').removeClass('active');
    PCall("loginregister/login_new", "$('#loginHeaderImg').removeClass('active');");
});
$('#password').bind('input propertychange', function() {
    showOrHideRemoveIcon($("#password"));
    changeLoginButtonType();
});
//清除按钮
$('.img_delete').click(function() {
    $(this).parent().find('input').val("");
    $(this).addClass('hide');
    $("#login").removeClass("active");
});
