var AreaSelect = {
	init:function(){
		var area = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
		var maptype = GetLS('maptype');
		var url = "/v1/exchange/"+area+"/areachooselist";
		if(maptype == "rent")
			url = "/v1/rent/"+area+"/areachooselist";
		AreaSelect.ajax(url,{},function(res){
			if (res.status == 200) {
				AreaSelect.showAreaResults(res.data)
			};
		})
	},

	showAreaResults:function(result){
		var html = '';
		var length = result&&result.length||0;
		var style1 = "red-style";
		var style2 = "yellow-style";
		for (var i = 0; i < length; i++) {
			var style = "";
			if (i%3 == 1) {
				style = style1;
			}else if (i%3 == 2) {
				style = style2;
			};


			html += '<div class="area-select-item">'+
						// '<div class="area-icon" data-x="'+result[i].lon+'" data-y="'+result[i].lat+'"><span class="outside  '+ style +'"><span class="ciycle"></span></span>'+
						'<div class="area-icon" data-x="'+result[i].lon+'" data-y="'+result[i].lat+'"><span class="outside  '+ style +'"></span>'+
							'<span class="inner  '+ style+'">'+result[i].qyName+'</span>'+
							'<span class="bottom-arrow"></span>'+
						'</div>';
			html += '<div class="area-info">';
			html += '<div class="second-hand-info">';
			html += '<div>';
			html += '<h3>'+(GetLS('maptype')=="rent"?"租房":"二手房")+'</h3>';
			html += '<p>共展示&nbsp;<button style="background:none;padding:0;border:0;color:#33bcf0;outline:none">'+checkZero(result[i].qyCount)+'</button>&nbsp;套房源</p>';
			html += '</div>'
            html += '<div><span></span><span>详情</span></div>';
            html += '</div>'
            html += '<div class="store-info"><div>'
            html += '<h3>门店</h3>';
            html +=  '<p>共存在&nbsp;<button style="background:none;padding:0;border:0;color:#33bcf0;outline:none">'+(result[i].physicalstoreCount?result[i].physicalstoreCount:0)+'</button>&nbsp;门店</p></div>'
            html += '<div><span></span><span>详情</span></div>'
            html += '</div></div></div>'
		};

		$(".area-select-list").html(html)

		appcan.button('.store-info', 'btn-act', function() {
			var x = $(this).parent().parent().find('.area-icon').data('x') || 11649674;
			var y = $(this).parent().parent().find('.area-icon').data('y') || 3993258;
			SetLS('locationBytype',{
				x: x,
				y: y,
				type: 1,
				storeLocation: true
			});
			SetLS('maptype', 'store');
			appcan.window.evaluatePopoverScript('map/mapfind', 'content', 'locationBytype()');
			appcan.window.evaluateScript('areaSelect', 'appcan.window.close();');
		});

		appcan.button('.second-hand-info', 'btn-act', function() {
			var x = $(this).parent().parent().find('.area-icon').data('x') || 11649674;
			var y = $(this).parent().parent().find('.area-icon').data('y') || 3993258;
			SetLS('locationBytype',{
				x: x,
				y: y,
				type: 1
			});
			SetLS('maptype', 'exchange');
			appcan.window.evaluatePopoverScript('map/mapfind', 'content', 'locationBytype()');
			appcan.window.evaluateScript('areaSelect', 'appcan.window.close();');
		});
	},

	ajax:function(url,data,callback){
		$.ajax({
			url: Core.API_VER + url,
			type:"get",
			data:data,
			beforeSend:function(){
				showLoad();
			},
			
			success:function(res){
				hideLoading();
				var status = res.status;
		        if (status == 200)
		           callback&&callback(res);
		        else if (status == 500)
		        	appcan.window.openToast({msg:'服务器错误',duration:1500,position:5,type:0});
				else  
					appcan.window.openToast({msg:'请检查您的网络。',duration:1500,position:5,type:0});
			},

			error:function(res){
				hideLoading();
		        var status = res.status;
		        if (status == 0)
		            return;
		        else if (status == 500)
		        	appcan.window.openToast({msg:'服务器错误',duration:1500,position:5,type:0});
		        else
					appcan.window.openToast({msg:'请检查您的网络。',duration:1500,position:5,type:0});
			},

			complete : function() {
		        hideLoading();
		        delete url;
		    }
		})
	},
}
