var AgentShare = {
	cityid: CurrentUser.companysid,
    exchangeJson: null,
    exchange: false,
    rentJson: null,
    rent: false,
    initPage: function() {
        if(IsDefine(CurrentUser.header)){
            $('#userphoto').attr('src',checkNull(CurrentUser.header));
        }else{
            $('#userphoto').attr('src',Core.IMG_VER+CurrentUser.usersid+'.jpg');
        }
        $('#exchangeNum').text(GetLS('brokerExchangeCount') || 0);
        $('#rentNum').text(GetLS('brokerRentCount') || 0);
        // //80租房，81二手房，85全能
        if('80' == CurrentUser.usertitle){
            AgentShare.getShareList('rent');
        }else if('81' == CurrentUser.usertitle){
            AgentShare.getShareList('exchange');
        }else if('85' == CurrentUser.usertitle || checkAddCity(AgentShare.cityid)){
            //如果是加盟站或者是全能经纪人 则显示切换
            $('#zkfangbtn').removeClass('hide');
            AgentShare.getShareList('exchange');
        }else{
            //其他非经纪人的员工登录
            AgentShare.getShareList('exchange');
        }
    },
	changeType: function(type, ifSearch) {
		$('#morecont').addClass('hide');
		SetLS('agentShareListType', type);
        if(ifSearch) {
            var val = $('#sear').val();
            val = val.replace(/\s+/g,"");
            if(!isNaN(val) && val != '') {
                AgentShare.search(type, val);
            }else if(val == ''){
                AgentShare.getShareList(type);
            }
        }else {
            AgentShare.getShareList(type);
        }
	},
	getShareList: function(type) {
        SetLS('agentShareListType', type);
		if(type == 'exchange' && AgentShare.exchange){
            AgentShare.detailHouse(AgentShare.exchangeJson,type);
        }else if(type == 'rent' && AgentShare.rent){
            AgentShare.detailHouse(AgentShare.rentJson,type);
        }else{
            AgentShare.getHouseJson(type);
        }
	},
	getHouseJson: function(type) {
		var inLat = GetLS("inLat") ? GetLS("inLat") : 0;
        var inLog = GetLS("inLog") ? GetLS("inLog") : 0;
        $ajax({
            url : '/v1/'+type+'/'+AgentShare.cityid+'/webhouselist?userid='+CurrentUser.usersid+'&distance='+inLat+','+inLog,
            // url : '/v1/'+type+'/'+AgentShare.cityid+'/webhouselist?userid=151248&distance='+inLat+','+inLog,
            type : 'get',
            data : {},
            success : function(data) {
                if(type == 'exchange'){
                    AgentShare.exchangeJson = data;
                    AgentShare.exchange = true;
                }else if(type == 'rent'){
                    AgentShare.rentJson = data;
                    AgentShare.rent = true;
                }
                AgentShare.detailHouse(data,type);
            }
        });
	},
    detailHouse: function(data, type, ifToast) {
        var str='';
        //console.log(data)
        if(data.status=='200'){
            if(data.data.length>0){
                var str='';
                var price = '万';
                //循环展示数据
                var arrData = data.data;
                if(type == 'rent'){
                    price = '元/月';
                }
                for(var i=0;i<arrData.length;i++){
                    str +=  '<div class="ub ub-ac bor-bs">'+
                            '   <div class="ub ub-f1" onclick="AgentShare.openDetailWith(\''+arrData[i].housesid+'\',\''+arrData[i].distance+'\',\''+type+'\')">';
                    if(checkAddCity(AgentShare.cityid)){
                        str+= '     <img src="'+arrData[i].imgurl+'" onerror="javascript:this.src=\'../img/nopic.jpg\';" class="ub fystylewh uc-a1 bor-k7 umar-at1 umar-bot1 umar-left mypic" />';
                    }else{
                        str+= '     <img src="'+Core.IMG_VER+arrData[i].imgurl+'" onerror="javascript:this.src=\'../img/nopic.jpg\';" class="ub fystylewh uc-a1 bor-k7 umar-at1 umar-bot1 umar-left mypic" />';
                    }
                    str +=  '       <div class="ub ub-ver ub-f1">'+
                            '           <div class="ub ub-ac umar-left umh3 umar-t-bus">'+
                            '               <span class="font-color2 ulev-4-0 uinl-ib">'+arrData[i].conmmunityname+'</span>&nbsp;&nbsp;'+
                            '               <div class="alizs ulev-2">('+arrData[i].housesid+')</div>'+
                            '           </div>'+
                            '           <div class="ub ub-ac umar-left umh3">'+
                            '               <b class="sc-text-hong ulev-4-0 uinl-ib">'+arrData[i].price+'</b>'+
                            '               <span class="sc-text-hong ulev-4-0 uinl-ib">'+price+'</span>&nbsp;&nbsp;'+
                            '               <div class="ub-f1 ut-s alizs ulev-4">'+arrData[i].bedroom+'室'+arrData[i].livingroom+'厅 '+arrData[i].buildarea+'平米</div>'+
                            '           </div>'+
                            '       </div>'+
                            '   </div>'+
                            '   <div class="ub-ac umar-mar1 b-d9 uba uc-a1">'+
                            '       <div class="ub ub-ac ub-pc umh7 bc1-bg font-color1 fxbtnw uc-a1" data-houseprice="'+arrData[i].price+price+'" data-housebedroom="'+arrData[i].bedroom+'室'+arrData[i].livingroom+'厅" data-housearea="'+arrData[i].buildarea+'㎡" data-housename="'+arrData[i].conmmunityname+'" data-houseid="'+arrData[i].id+'">分享</div>'+
                            '   </div>'+
                            '</div>';
                }
                $('#houses').html(str);
                // $(".fxbtnw").bind('touchstart', function(e) {
                //     e.stopPropagation();
                //     AgentShare.share('fy');
                // })
                $(".fxbtnw").click(function() {
                    SetLS('agentShareHouseId', $(this).data('houseid'));
                    SetLS('agentShareHouseName', $(this).data('housename'));
                    SetLS('agentShareHouseArea', $(this).data('housearea'));
                    SetLS('agentShareHouseBedroom', $(this).data('housebedroom'));
                    SetLS('agentShareHousePrice', $(this).data('houseprice'));
                    setTimeout(function() {
                        AgentShare.share('fy');
                    }, 300);
                })
                //设置图片异步加载
                AgentShare.lazyDelay();
            }else{
                str+='<div class="ub ub-ver ub-pc up-top3">'+
                        '<div class="ub ub-ac ub-pc">'+
                            '<img src="../img/comm/empty.png" class="ub ub-img emptywg">'+
                        '</div>'+
                        '<div class="ub ub-ac ub-pc ulev-1-1 wtstycolor umar-t1 umh4-5 up-b1p8">'+
                            '房源列表为空'+
                        '</div>'+
                    '</div>';
                $('#houses').html(str);
                appcan.window.openToast({msg:'没有更多数据了......',duration:1500,position:5,type:0});
            }
        }else if(data.status=='204'){
            str+='<div class="ub ub-ver ub-pc up-top3">'+
                    '<div class="ub ub-ac ub-pc">'+
                        '<img src="../img/comm/empty.png" class="ub ub-img emptywg">'+
                    '</div>'+
                    '<div class="ub ub-ac ub-pc ulev-1-1 wtstycolor umar-t1 umh4-5 up-b1p8">'+
                        '房源列表为空'+
                    '</div>'+
                '</div>';
            $('#houses').html(str);
            if(!ifToast)
                appcan.window.openToast({msg:'没有更多数据了......',duration:1500,position:5,type:0});
        }else if(data.status=='500'){
            str+='<div class="ub ub-ver ub-pc up-top3">'+
                    '<div class="ub ub-ac ub-pc">'+
                        '<img src="../img/comm/empty.png" class="ub ub-img emptywg">'+
                    '</div>'+
                    '<div class="ub ub-ac ub-pc ulev-1-1 wtstycolor umar-t1 umh4-5 up-b1p8">'+
                        '房源列表为空'+
                    '</div>'+
                '</div>';
            $('#houses').html(str);
            appcan.window.openToast({msg:'获取数据失败!',duration:1500,position:5,type:0});
        }
    },
    lazyDelay: function() {
        $(".mypic").lazyload({
            placeholder : "img/loading.jpg",
            effect: "fadeIn"
        });
        $(".mypic").removeClass("mypic");
    },
    share: function(type) {
        SetLS('agentShareType', type);
        $("#share").removeClass("fxqpsty").addClass("fxqpsty_block");
        $('#fenxgao').removeClass('shareBack').addClass('shareMove');
    },
    search: function(type, search) {
        var inLat = GetLS("inLat") ? GetLS("inLat") : 0;
        var inLog = GetLS("inLog") ? GetLS("inLog") : 0;
        var searchUrl = search ? '&erphousesid=' + search : '';
        if(searchUrl != ''){
            $ajaxIndex({
                url : '/v1/'+type+'/'+AgentShare.cityid+'/webhouselist?userid='+CurrentUser.usersid+'&distance='+inLat+','+inLog + searchUrl,
                // url : '/v1/'+type+'/'+AgentShare.cityid+'/webhouselist?userid=151248&distance='+inLat+','+inLog + searchUrl,
                type : 'get',
                data : {},
                success : function(data) {
                    //console.log(data)
                    // if(type == 'exchange'){
                    //     AgentShare.exchangeJson = data;
                    //     AgentShare.exchange = true;
                    // }else if(type == 'rent'){
                    //     AgentShare.rentJson = data;
                    //     AgentShare.rent = true;
                    // }
                    AgentShare.detailHouse(data,type,true);
                }
            });
        }
    },
    initShare: function(shareType) {
        var agentShareType = GetLS('agentShareType'); // md或者fy
        var cityid = AgentShare.cityid;
        var name = CurrentUser.loginname;
        var title = "我是我爱我家"+name+",这是我的移动店铺，请多多关照！";
        var content = "新出炉的房源都在这里，快来看看吧！买房卖房找我准没错";
        var imgUrl = CurrentUser.shareimg?CurrentUser.shareimg:"http://image.5i5j.com/picture/weixin_image/share_house/noperson.jpg";
        var shortname = 'bj';
        // if(IsDefine(CurrentUser.header)){
        //     imgUrl = checkNull(CurrentUser.header);
        // }else{
        //     imgUrl = Core.IMG_VER+'appimage/appimage/'+CurrentUser.usersid+'.jpg';
        // }
        for(var i=0;i<City.city.length;i++){
            if(cityid == City.city[i].cityid){
                shortname = City.city[i].shortname;
                break;
            }
        }
        var shareUrl = "m.5i5j.com/"+shortname+"/jingjiren/"+CurrentUser.usersid;
        if(agentShareType == 'md'){
            switch (shareType) {
                case 'weChatQuan':
                    Share.weChatQuan(shareUrl,imgUrl,title);
                    break;
                case 'weChatFriends':
                    title = "我爱我家经纪人"+ name +"的移动店铺";
                    // alert("shareUrl"+shareUrl+">>imgUrl"+imgUrl+">>title"+title+">>content"+content)
                    Share.weChatFriend(shareUrl,imgUrl,title,content);
                    break;
                case 'qqFriends':
                    title = "我爱我家经纪人"+ name +"的移动店铺";
                    shareUrl = "http://m.5i5j.com/"+shortname+"/jingjiren/"+CurrentUser.usersid;
                    content = "最新最好的房源都在这里,快点联系我吧!"
                    Share.shareQFriend(title,content,shareUrl,imgUrl);
                    break;
            }
        }else if(agentShareType == 'fy'){
            //房源的分享
            var fyType = GetLS('agentShareListType');
            var danjia = parseInt(parseInt(GetLS('agentShareHousePrice'))*10000/parseInt(GetLS('agentShareHouseArea'))) + "元/㎡";
            if(fyType == 'exchange') {
                shareUrl = 'http://m.5i5j.com/'+shortname+'/ershoufang/'+GetLS('agentShareHouseId')+'.html';
            }else if(fyType == 'rent') {
                shareUrl = 'http://m.5i5j.com/'+shortname+'/zufang/'+GetLS('agentShareHouseId')+'.html';
            }
            title = GetLS('agentShareHouseName');
            imgUrl  = "http://image.5i5j.com/picture/weixin_image/share_house/80.jpg";
            switch (shareType) {
                case 'weChatQuan':
                    content = GetLS('agentShareHouseName') +","+GetLS('agentShareHousePrice')+","+(fyType=='exchange'?danjia+",":"")+GetLS('agentShareHouseArea')+","+GetLS('agentShareHouseBedroom');
                    Share.weChatQuan(shareUrl,imgUrl,content);
                    break;
                case 'weChatFriends':
                    // title = "我爱我家经纪人"+ name +"的移动店铺";
                    content = GetLS('agentShareHousePrice')+","+(fyType=='exchange'?danjia+",":"")+GetLS('agentShareHouseArea')+","+GetLS('agentShareHouseBedroom');
                    Share.weChatFriend(shareUrl,imgUrl,title,content);
                    break;
                case 'qqFriends':
                    // title = "我爱我家经纪人"+ name +"的移动店铺";
                    // shareUrl = "http://m.5i5j.com/"+shortname+"/jingjiren/"+CurrentUser.usersid;
                    content = GetLS('agentShareHousePrice')+","+(fyType=='exchange'?danjia+",":"")+GetLS('agentShareHouseArea')+","+GetLS('agentShareHouseBedroom');
                    Share.shareQFriend(title,content,shareUrl,imgUrl);
                    break;
            }
        }
    },
    openDetailWith: function(houseId,distance,houseType) {
        // SetLS('detailsId',houseId);
        // SetLS('detailsDistance',distance);
        // SetLS('detailcityid',AgentShare.cityid);
        // if('rent' == houseType){
        //     if(checkAddCity()){
        //         OpenNewWin('../rent/detailsLeague',2);
        //     }else{
        //         OpenNewWin('../rent/details',2);
        //     }
        // }else if('exchange' == houseType){
        //     if(checkAddCity()){
        //         OpenNewWin('../sale/detailsLeague',2);
        //     }else{
        //         OpenNewWin('../sale/details',2);
        //     }
        // }else{
        //     appcan.window.openToast({msg:'数据异常!',duration:1500,position:5,type:0});
        // }
        SetLS('detailsBrokerid',CurrentUser.usersid);
        SetLS('detailsId',houseId);
        SetLS('detailsDistance',distance);
        //设置了detailcityid，OpenNewWin时resetCity设置为true
        SetLS('detailcityid',AgentShare.cityid);
        if(checkAddCity()){
            if('rent' == houseType){
                OpenNewWin('../rent/detailsStoreLeague',2,0,'../rent/detailsStoreLeague',true);
            }else if('exchange' == houseType){
                OpenNewWin('../sale/detailsStoreLeague',2,0,'../sale/detailsStoreLeague',true);
            }else{
                appcan.window.openToast({msg:'数据异常!',duration:1500,position:5,type:0});
            }
            //appcan.window.openToast({msg:'此城市暂时不可浏览房源详情!',duration:1500,position:5,type:0});
        }else{
            if('rent' == houseType){
                OpenNewWin('../rent/detailsStore',2,0,'../rent/detailsStore',true);
            }else if('exchange' == houseType){
                OpenNewWin('../sale/detailsStore',2,0,'../sale/detailsStore',true);
            }else{
                appcan.window.openToast({msg:'数据异常!',duration:1500,position:5,type:0});
            }
        }
    }
}
