var SearchContent = {
    CITYID: GetLS('detailcityid') ? GetLS('detailcityid') : GetLS('cityid'),
    init: function() {},
    search: function(isFocus) {
        var sear = GetLS('sear');
        var str = "";
        var history;
        if (IsDefine(sear)) {
            $.ajax({
                url: Core.API_VER + "/search/" + SearchContent.CITYID + "/suggestcount?keywords=" + encodeURIComponent(sear),
                type: 'get',
                dataType: 'json',
                success: function(data) {
                    //alert(JSON.stringify(data.data));
                    // console.log(data)
                    var contentCount = 0;
                    if (200 == data.status && data.data.length > 0) {
                        str += '<ul class="ub ub-f1 ub-ver up-pa9 bc-bg" id="huxingview">';
                        for (var i = 0; i < data.data.length; i++) {
                            if(contentCount >= 20)
                                break;
                            if (data.data[i].exchangeHouseCount > 0) {
                                str += SearchContent.detailstr(data.data[i].searchId, data.data[i].searchName, data.data[i].x, data.data[i].y, data.data[i].exchangeHouseCount, data.data[i].adminType, 0);
                                contentCount += 1;
                            }
                            if (data.data[i].rentHouseCount > 0) {
                                str += SearchContent.detailstr(data.data[i].searchId, data.data[i].searchName, data.data[i].x, data.data[i].y, data.data[i].rentHouseCount, data.data[i].adminType, 1);
                                contentCount += 1;
                            }
                        }
                        str += '</ul>';
                        $('#listview').html(str);
                    } else {
                        $('#listview').html(SearchContent.initstr());
                    }
                },
                error: function(xhr, type) {
                    $('#listview').html(SearchContent.initstr());
                }
            })
        } else if (IsDefine(GetLS('indexSearch' + SearchContent.CITYID))) {
            history = GetLS('indexSearch' + SearchContent.CITYID);
            str += '<ul class="ub ub-f1 ub-ver up-pa9 bc-bg" id="huxingview">';
            for (var i = 0; i < history.length; i++) {
                str += SearchContent.detailstr(history[i].id, history[i].name, history[i].x, history[i].y, history[i].count, history[i].type, history[i].houseType);
            }
            str += '</ul>' + SearchContent.footerstr();
            $('#listview').html(str);
            //给删除历史搜索记录按钮绑定执行方法
            SearchContent.clearHistory();
            SearchContent.bindButton();
        } else {
            $('#listview').html(SearchContent.initstr());
            SearchContent.bindButton();
        }
        if (isFocus) {
            appcan.window.evaluateScript('search/indexSearch', 'Search.focusInput()');
        }
    },
    detailstr: function(id, name, x, y, count, type, houseType) {
        var str =   '<li class="ub bor-fb bc-text ub-ac umh8 umar-fr" onclick="SearchContent.detailItem(\'' + id + '\',\'' + name + '\',\'' + x + '\',\'' + y + '\',\'' + count + '\',\'' + type + '\',\'' + houseType + '\');">' +
                    '   <div class="lv_title marg-l ub ub-ver ut-m line1 ulev-4-0 t-qy-color" style="max-width: 60%;">' + name +'</div>' +
                    '   <div class="ub-f1 serzi-color">-' + (houseType == 1 ? '租房' : '二手房') + '</div>' +
                    '   <div class="lv_title marg-l ub ub-ver tx-r ut-m line1 ulev-4-0 serzi-color">' + count + '套</div>' +
                    '</li>';
        return str;
    },
    initstr: function() {
        var str = '<div class="ub ub-ac ub-pc ">' +
            '<div class="ub-f1"></div>' +
            '<div class="ub ub-f3 ub-ac ub-pc bor-fb umh5 umar-ftop tse-color ulev2-2">搜索更多内容</div>' +
            '<div class="ub-f1"></div>' +
            '</div>' +
            '<div class="ub serzi-color">' +
            '<div class="ub-f1"></div>' +
            '<div class="ub-f1 ub ub-ver ub-ac ub-pc" id="fujin">' +
            '<div class="ub-img uwh-acc2 accIcon9 umar-t-2" id="zx_fang"></div>' +
            '<div class="umar-t-acc1 ulev-4-2">' +
            '附近房源' +
            '</div>' +
            '</div>' +
            // '<div class="ub-f1 ub ub-ver ub-ac ub-pc" id="xuequ">' +
            // '<div class="ub-img uwh-acc2 accIcon6 umar-t-2" id="yz_fang"></div>' +
            // '<div class="umar-t-acc1 ulev-4-2">' +
            // '学区' +
            // '</div>' +
            // '</div>' +
            '<div class="ub-f1 ub ub-ver ub-ac ub-pc" id="ditu">' +
            '<div class="ub-img uwh-acc2 accIcon7 umar-t-2" id="map_fang"></div>' +
            '<div class="umar-t-acc1 ulev-4-2">' +
            '地图找房' +
            '</div>' +
            '</div>' +
            '<div class="ub-f1"></div>' +
            '</div>';
        if (checkAddCity()) {
            //如果是加盟站 则不显示
            str = '';
        }
        return str;
    },
    footerstr: function() {
        var str = '<div class="ub ub-ac ub-pc tx-c bc-bg umar-t1 bor-fb">' +
            '<div class="ub ub-f1 ub-ac ub-pc up-padd bor-fb" id="del">' +
            '<div class="ub-img delwg delimg umar-r"></div>' +
            '<div class="ulev-4-0 serzi-color">' +
            '清空搜索历史' +
            '</div>' +
            '</div>' +
            '</div>';
        // if (!checkAddCity()) {
            // str+='<div class="ub-f1 ub ub-ver bc-mabg up-top sc-border-t us2-b">'+
            //     '<div class="ub-f4 ub ub-ac up-padd umar-fl bor-fb">'+
            //         '<div class="ulev-4-1 serzi-color">'+
            //             '搜索更多内容'+
            //         '</div>'+
            //     '</div>'+
            //     '<div class="ub umar-top">'+
            //         '<div class="ub-f1 ub ub-ac ub-pc up-padd " id="fujin">'+
            //             '<div class="ub-img xqwg fjimg-icon umar-r"></div>'+
            //             '<div class="ulev-4-1 serzi-color">'+
            //                 '附近房源'+
            //             '</div>'+
            //         '</div>'+
            //         '<div class="ub-f1 ub ub-ac ub-pc up-padd  bor-fl bor-fr" id="xuequ">'+
            //             '<div class="ub-img xqwg xqimg-icon umar-r"></div>'+
            //             '<div class="ulev-4-1 serzi-color">'+
            //                 '学区'+
            //             '</div>'+
            //         '</div>'+
            //         '<div class="ub-f1 ub ub-ac ub-pc up-padd " id="ditu">'+
            //             '<div class="ub-img xqwg dtimg-icon umar-r"></div>'+
            //             '<div class="ulev-4-1 serzi-color">'+
            //                 '地图找房'+
            //             '</div>'+
            //         '</div>'+
            //     '</div>'+
            // '</div>';
        // }
        return str;
    },
    detailItem: function(id, name, x, y, count, type, houseType) {
        //清理缓存信息
        ClearLS('searchid');
        ClearLS('searchname');
        ClearLS('searchconmmunityInLat');
        ClearLS('searchconmmunityInLog');
        ClearLS('searchdatatype');
        ClearLS('searchdatahousetype');
        //继续执行
        var history = [];
        var items = [];
        var flag = 1;
        var arr = [];
        SetLS('searchid', id);
        SetLS('searchconmmunityInLat', x);
        SetLS('searchconmmunityInLog', y);
        SetLS('searchname', name);
        SetLS('searchdatatype', type);
        SetLS('searchdatahousetype', houseType);
        history = GetLS('indexSearch' + SearchContent.CITYID);
        var item = {
            "id": id,
            "name": name,
            "x": x,
            "y": y,
            "count": count,
            "type": type,
            "houseType": houseType
        };
        if (IsDefine(history)) {
            arr[0] = item;
            for (var i = 0; i < history.length; i++) {
                if (history[i].name != item.name || history[i].count != item.count) {
                    arr[flag] = history[i];
                    flag++;
                    if (flag > 19) {
                        break;
                    }
                }
            }
            SetLS('indexSearch' + SearchContent.CITYID, eval(arr));
        } else {
            SetLS('indexSearch' + SearchContent.CITYID, eval([item]));
        }
        if (houseType == 1) {
            SetLS("searchtype","keywords");
            appcan.window.evaluateScript('rentsearchlist', 'List.inputInit()');
            appcan.window.evaluatePopoverScript("rentsearchlist", "content", "SaleSearchListContent.rentList(true)");
            setTimeout(function() {
                OpenNewWin('rentsearchlist', 2);
            }, 100)
        } else {
            SetLS("searchtype","keywords");
            appcan.window.evaluateScript('salesearchlist', 'List.inputInit()');
            appcan.window.evaluatePopoverScript("salesearchlist", "content", "SaleSearchListContent.saleList(true)");
            setTimeout(function() {
                OpenNewWin('salesearchlist', 2);
            }, 100)
        }
        Event.EvtSearchHouse();
    },
    clearHistory: function() {
        appcan.button("#del", "btn-act", function() {
            appcan.window.confirm({
                title: '提示',
                content: '您确定清除历史搜索记录吗?',
                buttons: ['确定', '取消'],
                callback: function(err, data, dataType, optId) {
                    if (err) {
                        //如果出错了
                        return;
                    }
                    if (data == 0) {
                        ClearLS('indexSearch' + SearchContent.CITYID);
                        //清除后重新查询一次刷新页面
                        SearchContent.search();
                    } else if (data == 1) {}
                }
            });
        })
    },
    gotoFujin: function() {
        ClearLS('detailcityid');
        SetLS('isNearList', true);
        OpenNewWin('../sale/list', 2, 0, 'sale/list');
        setTimeout(function() {
            appcan.window.evaluatePopoverScript('sale/list', 'content', 'ListContent.saleNearList(true)');
        }, 100);
        Event.EvtChannelNearHouse();
    },
    gotoXuequ: function() {
        //清除爱聊房源历史记录的城市标记
        ClearLS('detailcityid');
        OpenNewWin('../school/school_list', 2, 0, 'school/school_list');
        Event.EvtSearchSchool();
    },
    gotoDitu: function() {
        //进入地图 默认为二手房
        SetLS('maptype', 'exchange');
        SetLS('mapselecttype', 0);
        //清理缓存信息
        ClearLS('conditiondistrct');
        ClearLS('conditiondistrctname');
        ClearLS('conditionarea');
        ClearLS('conditionareaname');
        ClearLS('conditionprice');
        ClearLS('conditionbroom');
        ClearLS('conditionbarea');
        ClearLS('conditionheading');
        ClearLS('conditiontag');
        ClearLS('conditiontype');
        ClearLS('conditionyear');
        ClearLS('conditionorder');
        ClearLS('conditioncommunityid');

        ClearLS('xqchecking');
        ClearLS('xqchecked');
        ClearLS('sqchecked');
        OpenNewWin('../map/mapfind', 2, 0, 'map/mapfind');
        Event.EvtSearchMapS();
    },
    bindButton: function() {
        appcan.button("#fujin", "btn-act", function() {
            SearchContent.gotoFujin();
        });
        appcan.button("#xuequ", "btn-act", function() {
            SearchContent.gotoXuequ();
        });
        appcan.button("#ditu", "btn-act", function() {
            SearchContent.gotoDitu();
        });
    }
}
