var SearchStore = {

	searchInit:function(){
		// 初始化时展示历史记录
		var searchHistory = GetLS("huo_searchHistory");
		SearchStore.showSearchHistory(searchHistory)
	},

	showSearchHistory:function(result){
		// 历史记录数据渲染
		var html ='<ul class="ub ub-f1 ub-ver up-pa9 bc-bg" id="huxingview">';
        var length = result&&result.length||0;
        for(var i = 0;i < length;i++){
            html +='<li class="ub bor-fb bc-text ub-ac umh8 umar-fr"  onclick="SearchStore.detailItem(\''+result[i].searchId+'\',\''+result[i].searchName+'\');">'+
                '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1 ulev-4-0  t-qy-color">'+result[i].searchName+'</div>'+
             '</li>';
        }
        html +='</ul>'
		var str ='<div class="ub ub-ac ub-pc tx-c bc-bg umar-t1 bor-fb">'+
        '<div class="ub ub-f1 ub-ac ub-pc up-padd bor-fb" id="del">'+
            '<div class="ub-img delwg delimg umar-r"></div>'+
                '<div class="ulev-4-0 serzi-color">'+
                    '清空搜索历史'+
                '</div>'+
            '</div>'+
        '</div>';

        if (length != 0) {
        	$('#listview').html(html+str+SearchStore.searchInitHtml());
        }else{
        	$('#listview').html(SearchStore.searchInitHtml());
        };

        $("#del").click(function(){
        	SetLS("huo_searchHistory",[]);
        	$('#listview').html(SearchStore.searchInitHtml());
        })

        appcan.button("#ditu", "btn-act", function() {
            SetLS("maptype","store")
            OpenNewWin('../map/mapfind',2,0,"map/mapfind");
            setTimeout(function () {
                appcan.window.evaluatePopoverScript('map/mapfind','content','storeClick()');
            }, 1000);
        });

        appcan.button("#fujin", "btn-act", function() {
        	if (uexWidgetOne.platformName == "android") {
        		uexWindow.hideSoftKeyboard()
        	};

        	var ifLocation = GetLS("store_ifLocation");
        	if (ifLocation) {
            	SetLS("huo_fromPage","search");
        	};

            OpenNewWin("../stores/store_details",2,0,"stores/store_details");
            setTimeout(function(){
                appcan.window.evaluateScript('stores/store_details','StoreDetail.init()');
            },100)
            var fromPage = GetLS("search_fromPage");
            if (fromPage == "choose_search") {
                SetLS("search_fromPage",null);
                setTimeout(function(){
                    appcan.window.evaluateScript('search/choose_search','appcan.window.close(-1)');  
                },1000)
            }
        });
	},

	search:function(){
		// 搜索方法
		var key = GetLS("huo_searchKey")
		var area = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
		var url = encodeURI('/search/'+area+'/shopnamesuggest?aHouseType=SHOPNAME&keywords='+key);
		$ajaxAuto({
			url: Core.API_VER+url,
			type:"get",
			dara:{},
			success:function(result){
				if (result.status == "200") {
					SearchStore.showSearchResults(result.data)
				}else{
					$("#listview").html(SearchStore.searchInitHtml());
				};
			}
		})
	},

	showSearchResults:function(result){
		// 搜索结果渲染
		var html = '<ul class="ub ub-f1 ub-ver up-pa9 bc-bg" id="huxingview">';
		var length = result&&result.length||0;
		for (var i = 0; i < length; i++) {
			html += '<li class="ub bor-fb bc-text ub-ac umh8 umar-fr"  onclick="SearchStore.detailItem(\''+result[i].searchId+'\',\''+result[i].searchName+'\');">'+
                '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1 ulev-4-0  t-qy-color">'+result[i].searchName+'</div>'+
                '<div class="lv_title ub-f1 marg-l ub ub-ver tx-r ut-m line1 ulev-4-0 serzi-color serwidt"></div>'+
             '</li>'
		};
		$('#listview').html(html);
	},

	detailItem:function(id,searchName){
		// 点击某个门店，保存历史记录，跳到门店页
		var searchHistory = GetLS("huo_searchHistory")||[];
		var historyItem = new Object();
		historyItem.searchId = id;
		historyItem.searchName = searchName;
		var length = searchHistory&&searchHistory.length||0;
		var idArr = [];
		if (length != 0){
			for (var i = 0; i < length; i++) {
				idArr.push(searchHistory[i].searchId)
			};
		}

		if (uexWidgetOne.platformName == "android") {
    		uexWindow.hideSoftKeyboard()
    	};

		if (!idArr.contains(id)||length==0) {
			searchHistory.unshift(historyItem);
		};

		SetLS("huo_searchHistory",searchHistory.slice(0,10));
		SetLS("huo_searchStoreId",id);
        appcan.window.evaluateScript('stores/store_details','StoreDetail.init()');
        setTimeout(function(){
            OpenNewWin("../stores/store_details",2,0,"stores/store_details");      
        },200)
        var fromPage = GetLS("search_fromPage");
        if (fromPage == "choose_search") {
            SetLS("search_fromPage",null);
            setTimeout(function(){
                appcan.window.evaluateScript('search/choose_search','appcan.window.close(0)');  
            },200)
        }else{
            
        };
	},

	searchInitHtml:function(){
		// 进入搜索后显示的内容
		var initHtml ='<div class="ub ub-ac ub-pc ">'+
                '<div class="ub-f1"></div>'+
                '<div class="ub ub-f3 ub-ac ub-pc bor-fb umh5 umar-ftop tse-color ulev2-2">搜索更多内容</div>'+
                '<div class="ub-f1"></div>'+
            '</div>'+
            '<div class="ub serzi-color">'+
                '<div class="ub-f1"></div>'+
                '<div class="ub-f1 ub ub-ver ub-ac ub-pc" id="fujin">'+
                    '<div class="ub-img uwh-acc2 accIcon9 umar-t-2" id="zx_fang"></div>'+
                    '<div class="umar-t-acc1 ulev-4-2">'+
                        '附近门店'+
                    '</div>'+
                '</div>'+
                '<div class="ub-f1 ub ub-ver ub-ac ub-pc" id="xuequ">'+
                    '<div class="ub-img uwh-acc2 umar-t-2" id="yz_fang"></div>'+
                    '<div class="umar-t-acc1 ulev-4-2">'+
                        ''+
                    '</div>'+
                '</div>'+
                '<div class="ub-f1 ub ub-ver ub-ac ub-pc" id="ditu">'+
                    '<div class="ub-img uwh-acc2 accIcon7 umar-t-2" id="map_fang"></div>'+
                    '<div class="umar-t-acc1 ulev-4-2">'+
                        '地图找房'+
                    '</div>'+
                '</div>'+
                '<div class="ub-f1"></div>'+
            '</div>';
            return initHtml;
	}
}


Array.prototype.contains = function(obj){
       var i = this.length;
       while (i--){
           if (this[i] === obj){
               return true;
           }
       }
       return false;
}