 var StoreDetail = {
 	CITYID : GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid'),
	init:function(){
		// 地区列表
		StoreDetail.areaList();
		var fromPage = GetLS("huo_fromPage");
		if (fromPage&&fromPage != "") {
			$('#goSubmit').addClass('lans1');
            $('#goSubmit').removeClass('chaxbg');
            $("#xzlan").addClass("storex");
            $("#xzlan").removeClass("storebx");
            $("#boxsbtn").find("div").addClass("active-green")
            //门店列表 
			StoreDetail.showStoreByDistance(true)
		}else{
			var timestamp = Date.parse(new Date());
            var storesdate = GetLS('storesdate'+StoreDetail.CITYID)?GetLS('storesdate'+StoreDetail.CITYID):0;
            var storeshistory = GetLS('storeshistory'+StoreDetail.CITYID);
            if(timestamp > storesdate+43200000 || !IsDefine( storeshistory)){
				StoreDetail.showStoreByDistance(false);
            }else{
            	StoreDetail.listHtml(storeshistory);
            }
		};
	},

	showStoreOnConditions:function(url){
		StoreDetail.ajax(url,{},function(result){
			var flag = StoreDetail.checkStatus(result.status);
			if (flag) {
				if (url.indexOf("nearby=false") != -1) {
					var timestamp = Date.parse(new Date());
					SetLS('storesdate'+ StoreDetail.CITYID,timestamp);
                    SetLS('storeshistory'+StoreDetail.CITYID,result.data);
					StoreDetail.listHtml(result.data);
				}else{
					StoreDetail.listAreaHtml(result.data);
				};
			};
		})
	},

	listHtml:function(results){
		var storesArr = [];
		// 各个城市的缓存区域缓存
		var areaData = GetLS("huo_areaData"+StoreDetail.CITYID);
		var length = areaData&&areaData.length||0;
		var idArr = [];
		// 数据整理，后台返回的城市的门店数据没有按区域返回， 故将获取的城市的门店数据整理成｛areaname:[门店列表]｝形式
		for (var i = 0; i < length; i++) {
			if (!idArr[areaData[i].areaname]) idArr[areaData[i].areaname] = areaData[i].areaid;
			if(!storesArr[areaData[i].areaname]) storesArr[areaData[i].areaname] = [];
		};
		results.each(function(i, item){
			if(!storesArr[item.areaname]) storesArr[item.areaname] = [];
			 storesArr[item.areaname].push(item);
			 // 门店搜索后跳到门店列表页，弹出搜索门店的信息，通过存储搜索的门店id和对比列表的门店id 实现
			 if(item.id == GetLS("huo_searchStoreId")){
			 	SetLS("huo_storeDetailShow",item);
			 	setTimeout(function () {
			 		// 打开弹层
                    StoreDetail.storeDetailShow();
                }, 400);
			 }
		})

		var html = '';
		var flag = false;
		for (var areaname in storesArr) {
			if(!areaname) continue;
			var storeHtml = '';
			var storeArr;
			if (typeof storesArr[areaname] == 'object') {
				storeHtml = '<li class="ub bor-fb bc-text ub-ac umh4-1 up-pa9 ub-fh bghuis storeItem" style="width:100%;box-sizing:border-box;-webkit-box-sizing:border-box;" data-id="'+idArr[areaname]+'" id="firstli"><div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1 ulev-4-0 bghuis ub-fh" id="fixedTittle">'+(areaname?areaname:"")+'</div></li>';
				storeArr = storesArr[areaname];
				var length = storeArr&&storeArr.length||0;
				for (var i = 0; i < length; i++) {
					flag = (storeArr[i].distance.indexOf("k") != -1&&parseInt(storeArr[i].distance)>150)?true:false;
					storeHtml += '<li class="ub bor-fb ub-ver up-pa9 t-qy-color storeItemDetail" data-shopsid="'+storeArr[i].shopsid+'" data-shopname='+ areaname+' data-i='+i+' data-id="'+storeArr[i].id+'" ontouchstart="appcan.touch("btn-act")">'+
						 '<div class="ub umhline umar-ft3">'+
						 '<div class="ub-f1 storcolor ulev-1-1 umhline" >'+(storeArr[i].shopsname?storeArr[i].shopsname:"")+'</div>'+
						 '<div class="umar-mar1 ulev-4 umhline">'+ (storeArr[i].distance?storeArr[i].distance:"")+'</div>'+
						 '</div>'+
						 '<div class="neircolor ulev-4 umhline umar-2t umar-mar1 umar-b-2" style="overflow:hidden;text-overflow:ellipsis;white-space:nowrap">'+storeArr[i].shopsaddress+'</div></li>';
				};
			};
			html += storeHtml;
		};
		$("#reachview1").html(html);
		StoreDetail.areaHighLight();
		// 通过flag 判断距离，若存在较远的门店，则不显示地图按钮，判断距离设定为150km
        if (flag) {
        	$("#fang-info").remove();
       		// 清空是否定位的缓存
        	SetLS("store_ifLocation",false);
        }else{
        	SetLS("store_ifLocation",true);
        };

        // 页面滚动监听dom 
        $(".storeItem").each(function(){
			$(this).next().addClass("scrollListener");
			$(this).prev().addClass("scrollListener");
		})

        var titHeight = $('#list-header')[0].offsetHeight;
        // 初始化左右的高度，宽度，点击附近按钮会隐藏左边区域列表
        var contheight = $(window).height() - $("#list-header").outerHeight();
        $("#reachview1").css({
        	"width":"70%",
        	"left":"30%",
        	"height":contheight
        })
        $("#reachview").css({
        	"width":"30%",
        	"height": contheight
        })

        // 解决苹果上区域名称不显示的问题
        setTimeout(function(){
        	$("#content").css("margin-top",titHeight);
			$("#content").css("width",$("#content").outerWidth()+1);
        },100);

        // 右侧显示的区域固定，并加字体颜色
		$('#firstli').addClass("fixed");
		$('#firstli').addClass("font-color1");
		var storeItemHeight = $('#firstli').height();
		$("#reachview1 li:nth-child(2)").css("margin-top",storeItemHeight);
		// 从门店搜素跳过来，初始化所选门店所在的区域
		var searchStoreId = GetLS("huo_searchStoreId");
		if (searchStoreId) {
			$(".storeItemDetail").each(function(){
				if (searchStoreId == $(this).data("id")) {
					var offsetTop = $(this)[0].offsetTop;
					var areaname = $(this).data("shopname");
					$("#reachview1").scrollTop(offsetTop - storeItemHeight);
					$(".storeItem:first-child").find("div").text(areaname);
					$(".areaItem").each(function(){
						if (areaname == $(this).data("areaname")) {
							$(".areaItem").removeClass("active-green");
							$(this).addClass("active-green");
							$(this).attr("style","");
						};
					})
				};
			})
		}else{
			$("#reachview1").scrollTop(0)
		};
		$(".storeItemDetail").click(function(){
			var areaname = $(this).data("shopname");
			var i = $(this).data('i');
			SetLS("huo_storeDetailShow",storesArr[areaname][i]);
			StoreDetail.storeDetailShow()
		})
	},
	areaList:function(){
		var data = new Object();
		var area = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
		StoreDetail.ajax('/v1/physicalstore/'+ area +'/arealist',data,function(result){
			var status = result.status;
			var flag = StoreDetail.checkStatus(status);
			if (flag) {
				SetLS("huo_areaData"+StoreDetail.CITYID,result.data)
				StoreDetail.areaHtml(result.data);
				StoreDetail.areaHighLight();
				$(".areaItem").click(function(){
					var areaid = $(this).data("areaid");
					$(".areaItem").removeClass("active-green");
					$(this).addClass("active-green");
					$(this).attr("style","");
					var index = $(this).index();
					var areaname = $(this).data("areaname")
					$(".storeItem").each(function(){
						if (areaid == $(this).data("id")) {
							var top = $(this)[0].offsetTop;
							SetLS("huo_scrollArea",areaname)
							SetLS("huo_scrollFrom",true)
							if (index == 0) {
								$('#reachview1').scrollTop(0);
							}else{
								$('#reachview1').scrollTop(top);
							}; 
						};
					})
				})
			}
		})
	},

	areaHtml:function (result) {
		var length = result&&result.length||0;
		var html = '';
		for (var i = 0; i < length; i++) {
			html += '<li class="ub bor-fb bc-text ub-ac umh8 t-qy-color umar-fl areaItem"  style="color: rgb(56, 60, 64);width:100%;box-sizing:border-box;-webkit-box-sizing:border-box;" ontouchstart="appcan.touch("btn-act") data-areaid="'+(result[i].areaid?result[i].areaid:"")+'"  data-areaname="'+ (result[i].areaname?result[i].areaname:"") +'">'+
				 '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1 ulev-4-0">'+ (result[i].areaname?result[i].areaname:"")+'</div>'+
				 '<div class="tx-r diansty ub-img dianhide umar-mar1"></div>'+
				 '</li>';
		};
		$("#reachview").html(html);
		var titHeight = $('#list-header')[0].offsetHeight;
		var contheight=$(window).height() - $("#list-header").outerHeight();
		$("#reachview").css("height",contheight);
		StoreDetail.checkShowStore();
	},

	checkStatus:function(status){

		if (status == 200 ) {
			return true;
		};
		if (status == 500) {
			return false;
		};
		return false;
	},

	ajax:function(url,data,callback){
		$ajax({
			url:  url,
			type:"get",
			data:data,
			success:function(res){
				callback&&callback(res)
			}
		})
	},

	storeDetailShow:function(){
		var storeItem = GetLS("huo_storeDetailShow")
		$(".storeName").text(storeItem.shopsname)
		$(".shopAddress").text(storeItem.shopsaddress)
		$(".shopPhone").text(storeItem.shopstell);
		$(".shopDistance").text(storeItem.distance?('离您的位置还有'+storeItem.distance):"位置不详");
		$("#checkin").css("display","block");

		if (storeItem.distance) {
			var distance = (storeItem.distance.indexOf("k") == -1)?parseFloat(storeItem.distance)*0.001:parseFloat(storeItem.distance)
			if (distance <= 1 ) {
				$("#driving").removeClass("lans1")
				$("#driving").removeClass("b-d9");
				$("#walking").addClass("lans1");
				$("#walking").addClass("b-d9");
			}else{
				$("#walking").removeClass("lans1")
				$("#walking").removeClass("b-d9");
				$("#driving").addClass("lans1");
				$("#driving").addClass("b-d9");
			};
		};
		SetLS("huo_searchStoreId",null);
		$("#close").click(function(){
			$("#checkin").css("display","none")
		})

		$("#walking").click(function(){
			$("#driving").removeClass("lans1");
			$("#driving").removeClass("b-d9");
			$("#walking").addClass("lans1");
			$("#walking").addClass("b-d9");
			SetLS("pathPlan_type","walk");
			SetLS("pathPlan_store",storeItem);
			OpenNewWin("../map/pathPlan",2,0,"pathPlan");
			$("#checkin").css("display","none");
			Event.EvtStoreGO();
		})

		$("#driving").click(function(){
			$("#walking").removeClass("lans1");
			$("#walking").removeClass("b-d9");
			$("#driving").addClass("lans1");
			$("#driving").addClass("b-d9");
			SetLS("pathPlan_type","drive");
			SetLS("pathPlan_store",storeItem)
			OpenNewWin("../map/pathPlan",2,0,"pathPlan");
			$("#checkin").css("display","none");
			Event.EvtStoreCar();
		})

		$(".storeName").click(function(){
			$("#checkin").css("display","none")
			SetLS('mdchecking', storeItem.shopsid);
			StoreDetail.location(storeItem)
		})

		$(".shopAddress").click(function(){
			$("#checkin").css("display","none")
			SetLS('mdchecking', storeItem.shopsid);
			StoreDetail.location(storeItem)
		})
		Event.EvtStore();
	},

	showStoreByDistance:function(flag){
		// flag 是否点击附近，或者是否执行附近
		var area = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
		var inLat = GetLS("inLat") ? GetLS("inLat") : 40.05846;
    	var inLog = GetLS("inLog") ? GetLS("inLog") : 116.41032;
		var distance = '&distance='+inLat+','+inLog;
		var fromPage = GetLS("huo_fromPage");
		var url = '/v1/physicalstore/'+area+'/list?&nearby='+flag+distance;
		if (fromPage == "map") {
		// 地图跳过来的接口
			var mapCenter = GetLS("centerClickItem");
			url  = '/v1/physicalstore/' + area + '/physicalscopelist?lon='+mapCenter.lon+'&lat='+mapCenter.lat+'&toplon='+mapCenter.northeast_lng+'&toplat='+mapCenter.northeast_lat+'&page=0&pcount=500'
		}else if(fromPage == "search"){
			// 搜索跳过来的接口
			url = '/v1/physicalstore/'+area+'/list?&nearby='+flag+distance;

		}else{
			// 频道正常进入的接口 
			url = '/v1/physicalstore/'+area+'/list?&nearby='+flag+distance;
		};
		StoreDetail.showStoreOnConditions(url);
	},

	listAreaHtml:function(storeArr){
		var length = storeArr&&storeArr.length||0;
		var areaname = storeArr[0].areaname||"";
		var storeHtml = '';
		for (var i = 0; i < length; i++) {
			storeHtml += '<li class="ub bor-fb ub-ver up-pa9 t-qy-color storeItemDetail" data-i="'+i+'" data-id="'+storeArr[i].id+'" ontouchstart="appcan.touch("btn-act")">'+
				 '<div class="ub umhline umar-ft3">'+
				 '<div class="ub-f1 storcolor ulev-1-1 umhline">'+(storeArr[i].shopsname?storeArr[i].shopsname:"")+'</div>'+
				 '<div class="umar-mar1 ulev-4 umhline">'+ (storeArr[i].distance?storeArr[i].distance:"")+'</div>'+
				 '</div>'+
				 '<div class="neircolor ulev-4 umhline  umar-2t umar-mar1 umar-b-2" style="overflow:hidden;text-overflow:ellipsis;white-space:nowrap">'+storeArr[i].shopsaddress+'</div></li>';
		};

		$("#reachview1").html(storeHtml);
		if (GetLS("huo_fromPage") == "map") {
        	$("#fang-info").remove();
        	var titHeight = $('#list-header')[0].offsetHeight;
        	$("#content").css("margin-top",titHeight);
        	var contheight=$(window).height() - $("#list-header").outerHeight();
        	$("#reachview1").css("height",contheight);
        };

		SetLS("huo_fromPage","");

        $("#reachview").css({
        	"width":"0",
        	"height":"0"
        })
        $("#reachview1").css({
        	"width":"100%",
        	"left":"0"
        })


        $('#reachview1').scrollTop(0);
		$(".storeItemDetail").click(function(){
			var i = $(this).data('i');
			SetLS("huo_storeDetailShow",storeArr[i]);
			StoreDetail.storeDetailShow()
		})
	},

	location:function(storeItem){
		SetLS('location-store',{
            x:storeItem.x,
            y:storeItem.y
        })
        SetLS('maptype', 'store');
		OpenNewWin("../map/mapfind",2,0,"map/mapfind");
		appcan.window.evaluatePopoverScript('map/mapfind','content','closeList()');
	},

	areaHighLight:function(){
		var areaname = $(".storeItem:first-child").find("div").text();
		$(".areaItem").each(function(){
			if (areaname == $(this).data("areaname")) {
                $(".areaItem").removeClass("active-green");
                 $(this).addClass("active-green");
                 $(this).attr("style","")
            } ;
		})
	},

	checkShowStore:function(){
		var fromPage = GetLS("huo_fromPage");
		if (fromPage&&fromPage != "") {
			$('#goSubmit').addClass('lans1');
            $('#goSubmit').removeClass('chaxbg');
            $("#xzlan").addClass("storex");
            $("#xzlan").removeClass("storebx");
            $("#boxsbtn").find("div").addClass("active-green")
            //门店列表 
			StoreDetail.showStoreByDistance(true)
		}else{
			var timestamp = Date.parse(new Date());
            var storesdate = GetLS('storesdate'+StoreDetail.CITYID)?GetLS('storesdate'+StoreDetail.CITYID):0;
            var storeshistory = GetLS('storeshistory'+StoreDetail.CITYID);
            if(timestamp > storesdate+43200000 || !IsDefine( storeshistory)){
				StoreDetail.showStoreByDistance(false);
            }else{
            	StoreDetail.listHtml(storeshistory);
            }
		};
	}
}

Array.prototype.each = function(callback) {
    if (!this) return false;
    var arr = this,
        len = arr.length;
    if (len > 0) {
        for (var i = 0, arrSingle; arrSingle = arr[i++];) {
            callback && callback.call(this, (i - 1), arrSingle);
        }
    }
}

Array.prototype.contains = function(obj){
       var i = this.length;
       while (i--){
           if (this[i] === obj){
               return true;
           }
       }
       return false;
}
