var CalculatorContent = {
    init : function() {
        var crf = GetLS('crf');
        if(crf){
            $("#interestb").val(crf);
            $("#interest2").val(crf);
        }
    },
    init1 : function() {
        var cml = GetLS('cml');
        if(cml){
            $("#interesta").val(cml);
            $("#interest1").val(cml);
        }
    },
    calculationCrf : function(a){
        var formatNum = Math.pow(10,2);
        SetLS('crf',Math.round(a*3.25*formatNum)/formatNum);
        appcan.window.evaluateScript('calculator/mortgage','CalculatorContent.init()');
        CalculatorContent.closeWindow();
    },
    calculationCml : function(a){
        var formatNum = Math.pow(10,2);
        SetLS('cml',Math.round(a*4.9*formatNum)/formatNum);
        // SetLS('cml',a);
        appcan.window.evaluateScript('calculator/mortgage','CalculatorContent.init1()');
        CalculatorContent.closeWindow();
    },
    closeWindow : function(){
        appcan.window.close(-1);
    },
    opencrf : function(){
        OpenNewWin('crf',2);
    },
    opencml : function(){
        OpenNewWin('cml',2);
    },
    power : function (a, b) {
        var Num = a;
        for (var i = 1; i < b; i++) {
            Num = Num * a;
        }
        return Num;
    },

    fmoney : function (s, n) {
        n = n > 0 && n <= 20 ? n : 2;
        s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
        var l = s.split(".")[0].split("").reverse(),
       r = s.split(".")[1];
        t = "";
        for (i = 0; i < l.length; i++) {
            t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
        }
        if (r === undefined) {
            return "0.00";
        }
        return t.split("").reverse().join("") + "." + r;
    },
    //等额本金计算(贷款本金, 利率, 贷款年限, 是否格式化结果)
    averageCapital: function(money, interest, aDate, flag) {
        //贷款月利率
        var interest2 = interest / 100 / 12;
        //贷款期限
        var repaymentDate2 = (isNaN(aDate) ? 0 : aDate) * 12;
        //利息总金额
        var repayment = 0;
        //还款总额
        var sum = 0;
        //未还本金
        var b = money;
        //分期详情
        var stages = [];

        //总还款=还款月数×(总贷款额×月利率-月利率×(总贷款额÷还款月数)*(还款月数-1)÷2+总贷款额÷还款月数)
        sum = repaymentDate2 * (money * interest2 - interest2 * (money / repaymentDate2) * (repaymentDate2 - 1) / 2 + money / repaymentDate2);
        for (var i = 0; i < repaymentDate2; i++) {
            //分期还款详情 每月月供额=(贷款本金÷还款月数)+(贷款本金-已归还本金累计额)×月利率
            var stagesInfo = Math.round((parseFloat(money / (repaymentDate2) + parseFloat((b * interest2)))) * 100) / 100;
            if(flag)
                stagesInfo = CalculatorContent.fmoney(stagesInfo, 2);
            stages.push(stagesInfo);
            //还款利息：剩余本金×月利率=(贷款本金-已归还本金累计额)×月利率
            repayment += (b * interest2);
            b = b - money / (repaymentDate2);
        }
        return {
            stages: stages, //分期详情
            sum: sum, //还款总额
            repayment: repayment //利息总额
        }
    },
    //等额本息计算(贷款本金, 利率, 贷款年限)
    averageCapitalBX: function(money, interest, aDate) {
        //贷款月利率
        var interest2 = interest / 100 / 12;
        //贷款期限
        var repaymentDate2 = (isNaN(aDate) ? 0 : aDate) * 12;
        //利息总金额
        var repayment = 0;
        //未还本金
        var b = money;
        //次方
        var a = CalculatorContent.power(1 + interest2, repaymentDate2);
        var d = interest2 + 1;
        //每期还款
        var Passed = money * interest2 * a / (a - 1);
        //每期还款（本金）
        var repaymoeny = 0;

        for (var i = 0; i < repaymentDate2; i++) {
            if (i == 0) {
                repaymoeny = money * interest2 * 1 / (a - 1);
            } else {
                repaymoeny = money * interest2 * d / (a - 1);
                d = d * (interest2 + 1);
            }
            repayment += Passed - repaymoeny;
            b -= repaymoeny;
        }
        return {
            Passed: CalculatorContent.fmoney(Math.round(Passed * 100) / 100, 2), //每期还款
            repayment: CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2) //利息总额
        }
    },
    //计算公积金
    crf : function(){
        /**
         *公积金等额本息计算
         */
        //贷款本金
        if ($.trim($("#money2").val()) == "") {
            uexWindow.toast("0","5","请输入贷款本金","2000");
            return false;
        }

        var money2 = $("#money2").val() * 10000;
        //alert('贷款本金'+money2);
        //贷款月利率
        var interest2 = $("#interest2").val() / 100 / 12;
        //贷款期限
        if ($.trim($("#repaymentDate2").val()) == "") {
            uexWindow.toast("0","5","请输入贷款年限","2000");
            return false;
        }
        var aDate = $("#repaymentDate2").val();
        var repaymentDate2 = (isNaN(aDate) ? 0 : aDate) * 12;
        //alert('贷款期限'+repaymentDate2);
        //利息总金额
        var repayment = 0;
        //次方
        var a = CalculatorContent.power(1 + interest2, repaymentDate2);
        var d = interest2 + 1;
        //每期还款
        var Passed = money2 * interest2 * a / (a - 1);
        //alert('每期还款'+Passed);
        //未还本金
        var b = money2;
        //每期还款（本金）
        //[1000000×(6.55/12/100)×(1+(6.55/12/100))^240]÷[(1+(6.55/12/100))^240-1]
        var repaymoeny = 0;

        for (var i = 0; i < repaymentDate2; i++) {
            if (i == 0) {
                repaymoeny = money2 * interest2 * 1 / (a - 1);
            } else {
                repaymoeny = money2 * interest2 * d / (a - 1);
                d = d * (interest2 + 1);
            }
            repayment += Passed - repaymoeny;
            b -= repaymoeny;
            //                    list.append("<tr><td>" + (i + 1) + "期</td><td>" + fmoney(Math.round((Passed - repaymoeny) * 100) / 100, 2) + "</td><td>" + fmoney(Math.round(repaymoeny * 100) / 100, 2) + "</td><td>" + fmoney(Math.round(b * 100) / 100, 2) + "</td></tr>");
        }
        //alert('利息总金额'+repayment);
        $("#TotalLoans2").html(CalculatorContent.fmoney(Math.round(money2 * 100) / 100, 2)+'元');
        $("#LoanTimeLimit2").html(repaymentDate2+'期');
        $("#EachPayment2").html(CalculatorContent.fmoney(Math.round(Passed * 100) / 100, 2)+'元');
        $("#PayTheInterest2").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        $("#ReimbursementAmount2").html(CalculatorContent.fmoney(Math.round((parseFloat(repayment) + parseFloat(money2)) * 100) / 100, 2)+'元');

        /**
         *公积金等额本金计算
         */
        // //贷款本金
        // var money2 = $("#money2").val() * 10000;
        // //贷款月利率
        // var interest2 = $("#interest2").val() / 100 / 12;
        // //贷款期限
        // var aDate = $("#repaymentDate2").val()
        // var repaymentDate2 = (isNaN(aDate) ? 0 : aDate) * 12;
        // //利息总金额
        // var repayment = 0;
        // //首期还款
        // var Passed = 0;
        // //次方
        // var a = 1 + interest2;
        // //未还本金
        // var b = money2;
        // for (var i = 0; i < repaymentDate2; i++) {
        //     a += a * (1 + interest2);
        // }
        // Passed = ((b * interest2 * a) / (a - 1)) + (money2 / (repaymentDate2));
        // var list = $("#tableId2").find(".list");
        //             //    list.html("");
        // for (var i = 0; i < repaymentDate2; i++) {
        //     //分期还款详情
        //     console.log("<tr><td>" + (i + 1) + "期</td><td>" + CalculatorContent.fmoney(Math.round((b * interest2 * a) / (a - 1) * 100) / 100, 2) + "</td><td>" + CalculatorContent.fmoney(Math.round((parseFloat(money2 / (repaymentDate2) + parseFloat((b * interest2 * a) / (a - 1)))) * 100) / 100, 2) + "</td><td>" + CalculatorContent.fmoney(Math.round((money2 - (money2 / (repaymentDate2) * (i + 1))) * 100) / 100, 2) + "</td></tr>");
        //     repayment += (b * interest2 * a) / (a - 1);
        //     a = a / (1 + interest2);
        //     b = b - money2 / (repaymentDate2);
        // }
        // $("#TotalLoans22").html(CalculatorContent.fmoney(Math.round(money2 * 100) / 100, 2)+'元');
        // $("#LoanTimeLimit22").html(repaymentDate2+'期');
        // $("#EachPayment22").html(CalculatorContent.fmoney(Math.round(Passed * 100) / 100, 2)+'元');
        // $("#PayTheInterest22").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        // $("#ReimbursementAmount22").html(CalculatorContent.fmoney(Math.round((parseFloat(repayment) + parseFloat(money2)) * 100) / 100, 2)+'元');
        //贷款本金
        var money2 = $("#money2").val() * 10000;
        //贷款利率
        var interest2 = $("#interest2").val();
        //贷款期限
        var aDate = $("#repaymentDate2").val();
        var result = CalculatorContent.averageCapital(money2, interest2, aDate, true);
        //利息总金额
        var repayment = result.repayment;
        //还款总额
        var sum = result.sum;
        //分期详情(先取第一个月的)
        var stages = result.stages[0];

        $("#TotalLoans22").html(CalculatorContent.fmoney(Math.round(money2 * 100) / 100, 2)+'元');
        $("#LoanTimeLimit22").html(aDate * 12 +'期');
        $("#EachPayment22").html(stages +'元');
        $("#PayTheInterest22").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        $("#ReimbursementAmount22").html(CalculatorContent.fmoney(Math.round(sum * 100) / 100, 2)+'元');
        Event.EvtCalculator_query();
    },

    //商业贷款
    cl : function(){
        /**
         * 商业贷款等额本息
         */
        //贷款本金
        if ($.trim($("#money1").val()) == "") {
            uexWindow.toast("0","5","请输入贷款本金","2000");
            return false;
        }
        var money1 = $("#money1").val() * 10000;
        //贷款月利率
        var interest1 = $("#interest1").val() / 100 / 12;
        //贷款期限
        if ($.trim($("#repaymentDate1").val()) == "") {
            uexWindow.toast("0","5","请输入贷款年限","2000");
            return false;
        }
        var aDate = $("#repaymentDate1").val();
        var repaymentDate1 = (isNaN(aDate) ? 0 : aDate) * 12;
        //利息总金额
        var repayment = 0;
        //次方
        var a = CalculatorContent.power(1 + interest1, repaymentDate1);
        var d = interest1 + 1;
        //每期还款
        var Passed = money1 * interest1 * a / (a - 1);
        //未还本金
        var b = money1;
        //每期还款（本金）
        //[1000000×(6.55/12/100)×(1+(6.55/12/100))^240]÷[(1+(6.55/12/100))^240-1]
        var repaymoeny = 0;
        for (var i = 0; i < repaymentDate1; i++) {
            if (i == 0) {
                repaymoeny = money1 * interest1 * 1 / (a - 1);
            } else {
                repaymoeny = money1 * interest1 * d / (a - 1);
                d = d * (interest1 + 1);
            }
            repayment += Passed - repaymoeny;
            b -= repaymoeny;
        }
        $("#TotalLoans1").html(CalculatorContent.fmoney(Math.round(money1 * 100) / 100, 2)+'元');
         $("#LoanTimeLimit1").html(repaymentDate1+'期');
        $("#EachPayment1").html(CalculatorContent.fmoney(Math.round(Passed * 100) / 100, 2)+'元');
        $("#PayTheInterest1").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        $("#ReimbursementAmount1").html(CalculatorContent.fmoney(Math.round((parseFloat(repayment) + parseFloat(money1)) * 100) / 100, 2)+'元');

        /**
         *商业贷款等额本金
         */
        // //贷款本金
        // var money1 = $("#money1").val() * 10000;
        // //贷款月利率
        // var interest1 = $("#interest1").val() / 100 / 12;
        // //贷款期限
        // var aDate = $("#repaymentDate1").val()
        // var repaymentDate1 = (isNaN(aDate) ? 0 : aDate) * 12;
        // //利息总金额
        // var repayment = 0;
        // //首期还款
        // var Passed = 0;
        // //次方
        // var a = 1 + interest1;
        // //未还本金
        // var b = money1;
        // for (var i = 0; i < repaymentDate1; i++) {
        //     a += a * (1 + interest1);
        // }
        // Passed = ((b * interest1 * a) / (a - 1)) + (money1 / (repaymentDate1));
        // //                list.html("");
        // for (var i = 0; i < repaymentDate1; i++) {
        //     //分期还款详情
        //     console.log("<tr><td>" + (i + 1) + "期</td><td>" + CalculatorContent.fmoney(Math.round((b * interest1 * a) / (a - 1) * 100) / 100, 2) + "</td><td>" + CalculatorContent.fmoney(Math.round((parseFloat(money1 / (repaymentDate1) + parseFloat((b * interest1 * a) / (a - 1)))) * 100) / 100, 2) + "</td><td>" + CalculatorContent.fmoney(Math.round((money1 - (money1 / (repaymentDate1) * (i + 1))) * 100) / 100, 2) + "</td></tr>");
        //     repayment += (b * interest1 * a) / (a - 1);
        //     a = a / (1 + interest1);
        //     b = b - money1 / (repaymentDate1);
        // }
        //
        // $("#TotalLoans21").html(CalculatorContent.fmoney(Math.round(money1 * 100) / 100, 2)+'元');
        // $("#LoanTimeLimit21").html(repaymentDate1+'期');
        // $("#EachPayment21").html(CalculatorContent.fmoney(Math.round(Passed * 100) / 100, 2)+'元');
        // $("#PayTheInterest21").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        // $("#ReimbursementAmount21").html(CalculatorContent.fmoney(Math.round((parseFloat(repayment) + parseFloat(money1)) * 100) / 100, 2)+'元');
        //贷款本金
        var money1 = $("#money1").val() * 10000;
        //贷款利率
        var interest1 = $("#interest1").val();
        //贷款期限
        var aDate = $("#repaymentDate1").val();
        var result = CalculatorContent.averageCapital(money1, interest1, aDate, true);
        //利息总金额
        var repayment = result.repayment;
        //还款总额
        var sum = result.sum;
        //分期详情(先取第一个月的)
        var stages = result.stages[0];

        $("#TotalLoans21").html(CalculatorContent.fmoney(Math.round(money1 * 100) / 100, 2)+'元');
        $("#LoanTimeLimit21").html(aDate * 12 +'期');
        $("#EachPayment21").html(stages +'元');
        $("#PayTheInterest21").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        $("#ReimbursementAmount21").html(CalculatorContent.fmoney(Math.round(sum * 100) / 100, 2)+'元');
        Event.EvtCalculator_query();
    },

   //组合贷款
   cm : function(){
       /**
        *等额本息
        */
       //贷款本金
       if ($.trim($("#moneya").val()) == "") {
            uexWindow.toast("0","5","请输入贷款本金","2000");
            return false;
        }
        if ($.trim($("#moneyb").val()) == "") {
            uexWindow.toast("0","5","请输入贷款本金","2000");
            return false;
        }
        var Shop_money = $("#moneya").val() * 10000;
        var Public_money = $("#moneyb").val() * 10000;
        //贷款月利率
        var Shop_interest = $("#interesta").val() / 100 / 12;
        var Public_interest = $("#interestb").val() / 100 / 12;
        //贷款期限
        if ($.trim($("#Shop_Date").val()) == "") {
            uexWindow.toast("0","5","请输入贷款年限","2000");
            return false;
        }
        var aDate = $("#Shop_Date").val()
        var Shop_Date = $("#Shop_Date").val();
        var repaymentDate3 = (isNaN(aDate) ? 0 : aDate) * 12;
        var Shop_repaymentDate = (isNaN(Shop_Date) ? 0 : Shop_Date) * 12;
        //利息总金额
        var repayment = 0;
        //次方
        var Shop_a = CalculatorContent.power(1 + Shop_interest, Shop_repaymentDate);
        var Public_a = CalculatorContent.power(1 + Public_interest, repaymentDate3);
        var Shop_d = Shop_interest + 1;
        var Public_d = Public_interest + 1;
        //每期还款
        var Passed = parseFloat(Shop_money * Shop_interest * Shop_a / (Shop_a - 1)) + parseFloat(Public_money * Public_interest * Public_a / (Public_a - 1));
        //未还本金
        var Shop_b = Shop_money;
        var Public_b = Public_money;
        //每期还款（本金）
        //[1000000×(6.55/12/100)×(1+(6.55/12/100))^240]÷[(1+(6.55/12/100))^240-1]
        for (var i = 0; i < (repaymentDate3 < Shop_repaymentDate ? Shop_repaymentDate : repaymentDate3); i++) {
            var Shop_repaymoeny = 0;
            var Public_repaymoeny = 0;
            if (i == 0) {
                if (i < Shop_repaymentDate) {
                    Shop_repaymoeny = Shop_money * Shop_interest * 1 / (Shop_a - 1);
                }
                if (i < repaymentDate3) {
                    Public_repaymoeny = Public_money * Public_interest * 1 / (Public_a - 1);
                }
            } else {
                if (i < Shop_repaymentDate) {
                    Shop_repaymoeny = Shop_money * Shop_interest * Shop_d / (Shop_a - 1);
                    Shop_d = Shop_d * (Shop_interest + 1);
                }
                if (i < repaymentDate3) {
                    Public_repaymoeny = Public_money * Public_interest * Public_d / (Public_a - 1);
                    Public_d = Public_d * (Public_interest + 1);
                }
            }
            repayment += Passed - Shop_repaymoeny - Public_repaymoeny;
            Shop_b -= Shop_repaymoeny;
            Public_b -= Public_repaymoeny;
        }
        $("#TotalLoans3").html(CalculatorContent.fmoney(Math.round((Shop_money + Public_money) * 100) / 100, 2)+'元');
        $("#LoanTimeLimit3").html(repaymentDate3 < Shop_repaymentDate ? Shop_repaymentDate : repaymentDate3 +'期');
        $("#EachPayment3").html(CalculatorContent.fmoney(Math.round(Passed * 100) / 100, 2)+'元');
        $("#PayTheInterest3").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        $("#ReimbursementAmount3").html(CalculatorContent.fmoney(Math.round((parseFloat(repayment) + parseFloat(Shop_money + Public_money)) * 100) / 100, 2)+'元');

        /**
        *等额本金
        */
        // //贷款本金
        // var Shop_money = $("#moneya").val() * 10000;
        // var Public_money = $("#moneyb").val() * 10000;
        // //贷款月利率
        // var Shop_interest = $("#interesta").val() / 100 / 12;
        // var Public_interest = $("#interestb").val() / 100 / 12;
        // //贷款期限
        // var aDate = $("#Shop_Date").val()
        // var Shop_Date = $("#Shop_Date").val()
        // var repaymentDate3 = (isNaN(aDate) ? 0 : aDate) * 12;
        // var Shop_repaymentDate = (isNaN(Shop_Date) ? 0 : Shop_Date) * 12;
        // //利息总金额
        // var repayment = 0;
        // //首期还款
        // var Passed = 0;
        // //次方
        // var Shop_a = 1 + Shop_interest;
        // var Public_a = 1 + Public_interest;
        // //未还本金
        // var Shop_b = Shop_money;
        // var Public_b = Public_money;
        // for (var i = 0; i < (repaymentDate3 < Shop_repaymentDate ? Shop_repaymentDate : repaymentDate3); i++) {
        //     if (i < Shop_repaymentDate) {
        //         Shop_a += Shop_a * (1 + Shop_interest);
        //     }
        //     if (i < repaymentDate3) {
        //         Public_a += Public_a * (1 + Public_interest);
        //     }
        // }
        // Passed = ((Shop_b * Shop_interest * Shop_a) / (Shop_a - 1) + (Shop_money / (Shop_repaymentDate))) + ((Public_b * Public_interest * Public_a) / (Public_a - 1) + (Shop_money / (Shop_repaymentDate)));
        // for (var i = 0; i < (repaymentDate3 < Shop_repaymentDate ? Shop_repaymentDate : repaymentDate3); i++) {
        //     //分期还款详情
        //     console.log("<tr><td>" + (i + 1) + "期</td><td>" + CalculatorContent.fmoney(Math.round(((Shop_b * Shop_interest * Shop_a) / (Shop_a - 1) * 100) + ((Public_b * Public_interest * Public_a) / (Public_a - 1) * 100)) / 100, 2) + "</td><td>" + CalculatorContent.fmoney(Math.round(((parseFloat(Shop_money / (Shop_repaymentDate) + parseFloat((Shop_b * Shop_interest * Shop_a) / (Shop_a - 1)))) + ((parseFloat(Public_money / (Shop_repaymentDate) + parseFloat((Public_b * Public_interest * Public_a) / (Public_a - 1)))))) * 100) / 100, 2) + "</td><td>" + CalculatorContent.fmoney(Math.round(((Shop_money - (Shop_money / (Shop_repaymentDate) * (i + 1))) * 100) + ((Public_money - (Public_money / (Shop_repaymentDate) * (i + 1))) * 100)) / 100, 2) + "</td></tr>");
        //     if (i < Shop_repaymentDate) {
        //         repayment += (Shop_b * Shop_interest * Shop_a) / (Shop_a - 1);
        //         Shop_a = Shop_a / (1 + Shop_interest);
        //         Shop_b = Shop_b - Shop_money / Shop_repaymentDate;
        //     }
        //     if (i < repaymentDate3) {
        //         repayment += (Public_b * Public_interest * Public_a) / (Public_a - 1);
        //         Public_a = Public_a / (1 + Public_interest);
        //         Public_b = Public_b - Public_money / repaymentDate3;
        //     }
        // }
        // //$("body").animate({ scrollTop: $(document).height() + 1 }, 1000);
        // $("#TotalLoans23").html(CalculatorContent.fmoney(Math.round((Shop_money + Public_money) * 100) / 100, 2)+'元');
        // $("#LoanTimeLimit23").html(repaymentDate3 < Shop_repaymentDate ? Shop_repaymentDate : repaymentDate3 +'期');
        // $("#EachPayment23").html(CalculatorContent.fmoney(Math.round(Passed * 100) / 100, 2)+'元');
        // $("#PayTheInterest23").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        // $("#ReimbursementAmount23").html(CalculatorContent.fmoney(Math.round((parseFloat(repayment) + parseFloat(Shop_money + Public_money)) * 100) / 100, 2)+'元');
        //贷款本金
        var Shop_money = $("#moneya").val() * 10000;
        var Public_money = $("#moneyb").val() * 10000;
        //贷款月利率
        var Shop_interest = $("#interesta").val();
        var Public_interest = $("#interestb").val();
        //贷款期限
        var aDate = $("#Shop_Date").val();
        var result_shop = CalculatorContent.averageCapital(Shop_money, Shop_interest, aDate, false);
        var result_public = CalculatorContent.averageCapital(Public_money, Public_interest, aDate, false);
        //利息总金额
        var repayment = result_shop.repayment + result_public.repayment;
        //还款总额
        var sum = result_shop.sum + result_public.sum;
        //分期详情(先取第一个月的)
        var stages = result_shop.stages[0] + result_public.stages[0];

        $("#TotalLoans23").html(CalculatorContent.fmoney(Math.round((Shop_money + Public_money) * 100) / 100, 2)+'元');
        $("#LoanTimeLimit23").html(aDate * 12 +'期');
        $("#EachPayment23").html(CalculatorContent.fmoney(stages, 2) +'元');
        $("#PayTheInterest23").html(CalculatorContent.fmoney(Math.round(repayment * 100) / 100, 2)+'元');
        $("#ReimbursementAmount23").html(CalculatorContent.fmoney(Math.round(sum * 100) / 100, 2)+'元');
        Event.EvtCalculator_query();
   }

}
