var UseChatContent = {
    callPerson : function() {
        var broker = msg_house_broker;
        if(IsDefine(broker) && IsDefine(broker.handset)){
            uexCall.dial(broker.handset);
        }else{
            appcan.window.openToast({msg:'抱歉!该经纪人未登记手机号码!',duration:2000,position:5,type:0});
        }
        Event.EvtExchangeBrokeTel();
    },
    messagePerson : function(type,id,name,handset,companysid,action){
        //检查爱聊登录状态
        ChatContent.checkChatState();
        //检查经纪人ID是否为空
       if(!UseChatContent.checkUserId(id)){
           return;
       }
       var CurrentUser = GetLS("CurrentUser")?GetLS("CurrentUser"):'';
       var cityid = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
       if(IsDefine(CurrentUser) && IsDefine(CurrentUser.usersid)){
            //登录
            ChatContent.login();
            ChatContent.isfriend(formatUsersidByCity(companysid,id),formatUsersidByCity(CurrentUser.companysid,CurrentUser.usersid),name);
            ChatContent.openDetail(name,formatUsersidByCity(companysid,id),handset);
       }else{
       		if(IsDefine(action)){
           		SetLS('openMethodNo',action);
           		ClearLS('openMethod');
           		ClearLS('openPage');
       		}
       		appcan.window.evaluateScript('index','Index.openLogin()');
        }
    },
    messagePersonWithHouse : function(type,action){
        //检查爱聊登录状态
        ChatContent.checkChatState();
        var broker = msg_house_broker;
        //检查经纪人ID是否为空
        if(!UseChatContent.checkUserId(broker.userid)){
            return;
        }
        var house = msg_house_data;
        //alert(JSON.stringify(house));
        var CurrentUser = GetLS("CurrentUser")?GetLS("CurrentUser"):'';
        //alert(JSON.stringify(CurrentUser));
        var cityid = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
        var price = ""
        if(type == 'rent'){
            price = "元/月";
        }else{
            price = "万";
        }
        var imgs = JSON.parse(checkNull(house.imgs,"","","[]"));
        var img1='';
        var img2='';
        var img3='';
        if(imgs != null){
            if(imgs.length>0){
                img1 = imgs[0].img;
            }
            if(imgs.length>1){
                img2 = imgs[1].img;
            }
            if(imgs.length>2){
                img3 = imgs[2].img;
            }
        }
       if(IsDefine(CurrentUser) && IsDefine(CurrentUser.usersid)){
            //登录
            ChatContent.login();
            ChatContent.isfriend(formatUsersidByCity(house.cityid,broker.userid),formatUsersidByCity(CurrentUser.companysid,CurrentUser.usersid),broker.username);
            uexEasemob.sendText('{"username":"'+formatUsersidByCity(house.cityid,broker.userid)+'","chatType":"0","content":"我对这套房源感兴趣，请联系我!"}');
            uexEasemob.sendText('{"username":"'+formatUsersidByCity(house.cityid,broker.userid)+'","chatType":"0","content":"'+house.housetitle+'||'+house.bedroom+'||'+house.livingroom+'||'+house.buildarea+'||'+house.heading+'||'+house.price+price+'||'+house.imgurl+'||'+house.id+'||'+house.distance+'||'+type+'||'+cityid+'||'+house.housesid+'||'+house.conmmunityname+'||'+img1+'||'+img2+'||'+img3+'","ext":"house"}');
            ChatContent.openDetail(broker.username,formatUsersidByCity(house.cityid,broker.userid),broker.handset);
       }else{
            if(IsDefine(action)){
           		SetLS('openMethod',action);
           		ClearLS('openPage');
       		}
       		appcan.window.evaluateScript('index','Index.openLogin()');
        }
    },
    messagePersonWithCommunity : function(type,id,name,handset,companysid,action){
        //检查爱聊登录状态
        ChatContent.checkChatState();
       //检查经纪人ID是否为空
       if(!UseChatContent.checkUserId(id)){
           return;
       }
       var house = msg_community_data;
       var CurrentUser = GetLS("CurrentUser")?GetLS("CurrentUser"):'';
       var cityid = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
       if(IsDefine(CurrentUser) && IsDefine(CurrentUser.usersid)){
            //登录
            ChatContent.login();
            ChatContent.isfriend(formatUsersidByCity(companysid,id),formatUsersidByCity(CurrentUser.companysid,CurrentUser.usersid),name);
            ChatContent.openDetail(name,formatUsersidByCity(companysid,id),handset);
       }else{
            if(IsDefine(action)){
               SetLS('openMethod',action);
               ClearLS('openPage');
           	}
           	appcan.window.evaluateScript('index','Index.openLogin()');
       }
    },
    messagePersonWithSchool : function(action){
       //检查爱聊登录状态
       ChatContent.checkChatState();
       var school = msg_school_data;
       var brokers = JSON.parse(msg_school_data.schoolExpert);
       var userid = GetLS('schoolagentid');
       var broker;
       for(var i=0;i<brokers.length;i++){
           if(userid == brokers[i].userid){
               broker = brokers[i];
               break;
           }
       }
         //检查经纪人ID是否为空
       if(!UseChatContent.checkUserId(broker.userid)){
           return;
       }
       //alert(JSON.stringify(school));
       var cityid = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
       var CurrentUser = GetLS("CurrentUser")?GetLS("CurrentUser"):'';
       if(!IsDefine(broker)){
           appcan.window.openToast({msg:'置业顾问信息获取失败!',duration:1500,position:5,type:0});
           return;
       }
       if(IsDefine(CurrentUser) && IsDefine(CurrentUser.usersid)){
            //登录
            ChatContent.login();
            ChatContent.isfriend(formatUsersidByCity(school.companysid,broker.userid),formatUsersidByCity(CurrentUser.companysid,CurrentUser.usersid),broker.username);
            var imgurl = IsDefine(school.schoolPic)?(JSON.parse(school.schoolPic)[0].imgpath):'';
            uexEasemob.sendText('{"username":"'+formatUsersidByCity(school.companysid,broker.userid)+'","chatType":"0","content":"'+school.schoolName+'||'+school.qyName+'||'+school.dxqName+'||'+(IsDefine(school.schoolCommunity)?(checkZero(JSON.parse(school.schoolCommunity).length)):0)+'||'+school.saleCount+'||'+school.minPrice+'||'+imgurl+'||'+school.schoolId+'||'+cityid+'||'+(IsDefine(school.middleSchoolList)?(checkZero(JSON.parse(school.middleSchoolList).length)):0)+'","ext":"school"}');
            ChatContent.openDetail(broker.username,formatUsersidByCity(school.companysid,broker.userid),broker.phonenum);
       }else{
            if(IsDefine(action)){
               	SetLS('openMethod',action);
               	ClearLS('openPage');
           	}
           	appcan.window.evaluateScript('index','Index.openLogin()');
       }
    },
    agentStore : function(brokerid){
        if(IsDefine(brokerid)){
            var cityid = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
            $ajax({
                url : '/v2/broker/'+cityid+'/list?page=0&pcount=1&brokerid='+brokerid,
                type : 'get',
                data : {},
                success : function(data) {
                    //alert(JSON.stringify(data));
                    if(data.status=='200'){  
                        if(data.data.length>0){
                            var str='';
                            //循环展示数据
                            var arrData = data.data;
                            SetLS('brokerDetails',arrData[0]);
                            OpenNewWin('../agent/broker_details',2,4,'broker_details');
                        }else{
                            appcan.window.openToast({msg:'抱歉!经纪人信息不全,无法打开店铺.',duration:2000,position:5,type:0});
                        }
                    }else if(data.status=='204'){
                        appcan.window.openToast({msg:'抱歉!经纪人信息不全,无法打开店铺.',duration:2000,position:5,type:0});
                    }else if(data.status=='500'){
                        appcan.window.openToast({msg:'获取数据失败!',duration:1500,position:5,type:0});
                    }
                }
            }); 
        }else{
            appcan.window.openToast({msg:'抱歉!经纪人信息不全,无法打开店铺.',duration:2000,position:5,type:0});
        }
    },
    checkUserId : function(brokerid){
        if(!IsDefine(brokerid)){
            appcan.window.openToast({msg:'抱歉!经纪人数据不全!',duration:2000,position:5,type:0});
            return false;
        }
        return true;
    }
}
