var geocoder; 
var arr = ['超市','医院','学校','地铁站','银行','公交站','美食','药店','商场','ATM','加油站','停车场','KTV','丽人','景点','洗浴'];
var img = ['cs-iconh.png','yy-iconh.png','xx-iconh.png','dt-iconh.png','yh-iconh.png','gj-iconh.png','ms-iconh.png','yd-iconh.png','sc-iconh.png','atm-iconh.png','jyz-iconh.png','tcc-iconh.png','ktv-iconh.png','lr-iconh.png','jd-iconh.png','xy-iconh.png'];
var lng,lat;

function geocoderCode(x, y) {
	lng = x;
	lat = y;
    var lnglatXY = [x, y];
    geocoder.getAddress(lnglatXY, function(status, result) {
        var address;
        if (status === 'complete' && result.info === 'OK') {
            var addressComponent = result.regeocode.addressComponent; //返回地址描述
            address = checkNull(addressComponent.province) + checkNull(addressComponent.city) + checkNull(addressComponent.district)+
            checkNull(addressComponent.township)+checkNull(addressComponent.street)+checkNull(addressComponent.streetNumber);
        }
        SetLS("subwayaddress",address);
        typeSearch();
    });
}

function searchNear(id,callback){
    AMap.service(["AMap.PlaceSearch"], function() {
        var placeSearch = new AMap.PlaceSearch({ //构造地点查询类
          pageSize:10000
        });
        //查找地图周边并作出标记
        placeSearch.searchNearBy(arr[id], [lng,lat], 500, function(status, result) {
            var count = 0;
            var pois = "";
            if (status === 'complete' && result.info === 'OK') {
                pois = result.poiList.pois;
                count = pois.length;
            }
            SetLS("commnearmaptype"+id,count);
            if (id == 3) {
              SetLS("commnearmaptypedata0",pois);
            };
            callback&&callback.call();
        });
    });   
}

function typeSearch(){
    searchNear(3,function(){
      searchNear(0,function(){
        searchNear(1,function(){
          searchNear(2,function(){
            searchNear(5);
            setTimeout(function(){
              DetailComm.showCommNearMapByType();
            },2000)
          })
        })
      });
    });
}

