var Core = {
	//API_VER:"http://10.10.105.175:7099",
	//API_VER:"http://10.1.71.57:8081/app-web/",
	//API_VER:"http://101.251.207.114",
	API_VER:"http://app.5i5j.com",
	IMG_VER:"http://image.5i5j.com/picture/",
	IMG_VER_SCHOOL:"http://image.5i5j.com/",
	ATTACH_VER:"http://182.92.221.113:7000/upload/",
	DEBUG: false,
    VERSION:"2.3.1",
    /**
     * 格式化时间
     */
    offsetDate: function(UTCTime) {
        if (UTCTime == "" || UTCTime == undefined)
            return "";
        var now = new Date();
        var date = new Date(UTCTime);

        var offsetMS = parseInt((now.getTime() - date.getTime()) / 1000 / 60);
        if (offsetMS < 5)
            return "刚刚";
        else if (offsetMS < 60)
            return offsetMS + "分钟前";
        else if (now.pattern("yyyy-MM-dd") == date.pattern("yyyy-MM-dd"))
            return date.pattern("HH:mm");
        else if (now.pattern("yyyy") == date.pattern("yyyy"))
            return date.pattern("yyyy-M-d")
        else
            return date.pattern("yyyy-M-d");
    },
    loveChatInfoDateNow: function(UTCTime) {
        var now = new Date();
        //实时消息使用
        if (UTCTime == "" || UTCTime == undefined)
            return now.pattern("HH:mm");
        var date = new Date(UTCTime);
        var offsetMS = parseInt((now.getTime() - date.getTime()) / 1000);
        if (offsetMS < 31){
            return "";
        }else{
            return now.pattern("HH:mm");
        }
    },
    loveChatInfoDate: function(UTCTime1,UTCTime2) {
        //"yyyy-MM-dd EEE hh:mm:ss"
        if (((UTCTime1 == "" || UTCTime1 == undefined) && (UTCTime2 == "" || UTCTime2 == undefined)) || (UTCTime2 == "" || UTCTime2 == undefined)){
            return "";
        }
        var now = new Date();
        var date1 = new Date(UTCTime1);
        var date2 = new Date(UTCTime2);
        var offsetMS2 = parseInt((now.getTime() - date2.getTime()) / 1000);
        if (UTCTime1 == "" || UTCTime1 == undefined){
            if (now.pattern("yyyy-MM-dd") == date2.pattern("yyyy-MM-dd")){
                return date2.pattern("HH:mm");
            }else if(offsetMS2 < 60 * 60 * 24 * 7){
                return date2.pattern("EEE HH:mm")
            }else if(now.pattern("yyyy") == date2.pattern("yyyy") && offsetMS2 > 60 * 60 * 24 * 7){
                return date2.pattern("MM-dd HH:mm");
            }else{
                return date2.pattern("yyyy-MM-dd HH:mm");
            }
        }else{
            var offsetMS0 = parseInt((date2.getTime() - date1.getTime()) / 1000);
            if (offsetMS0 < 31){
                return "";
            }else{
                if (now.pattern("yyyy-MM-dd") == date2.pattern("yyyy-MM-dd")){
                    return date2.pattern("HH:mm");
                }else if(offsetMS2 < 60 * 60 * 24 * 7){
                    return date2.pattern("EEE HH:mm")
                }else if(now.pattern("yyyy") == date2.pattern("yyyy") && offsetMS2 > 60 * 60 * 24 * 7){
                    return date2.pattern("MM-dd HH:mm");
                }else{
                    return date2.pattern("yyyy-MM-dd HH:mm");
                }
            }
        }
    },
    ifSimulator: function(callback) {
        window.uexOnload = function(type) {
            if (!type)
                if(uexWidgetOne.platformName == "Simulator")
                    callback(true);
        }
    }
}

function showLoading(id){
    //return;
    if (!id)
        id = "body";
    else
        id = "#" + id;
    var loading =   '<div style="width:100%;height:100%;position: fixed;z-index:999998;background:red;"><div id="loading" class="fakeloader" style="position: fixed; width: 100%; height: 100%; top: 0px; left: 0px;z-index: 999999;opacity:0.6;">' +
                    '    <div class="fl spinner2" style="position: absolute; left: 45%; top: 45%;">' +
                    '       <img src="../img/loading.gif" style="width:4em;height:4em;"/>'+
                    '    </div>' +
                    '</div></div>';
    $(id).append(loading);
}
function showLoad(){
    //if(type == 0){
        var loading =   '<div id="loading" style="position: fixed; width: 100%; height: 100%; top: 0px; left: 0px;z-index: 999999;"><div class="ui-ios-overlay-no">' +
                            //正在加载 （方案一）
                            '<div class="loadimg"><img src="../img/loading.gif" style="width:5.5em;height:5.5em;"/></div>' +
                            //'<div class="fontc-8 ulev-4 tx-c">正在加载</div>' +
                            //正在加载 （方案二）
                            //'<div class="loadimg"><img src="../img/load5.gif" style="width:7.8125em;height:7.8125em;"/></div>' +
                        '</div></div>';
    //}
    $('body').append(loading);
}
function showResult(msg,time){
    var loading = '<div id="msgdiv" class="ub-img ui-ios-overlay">' +
                    //加载成功，对号
                    //'<div class="loadimg"><img src="../img/success.png" style="width:1.5em;height:1.5em;"/></div>' +
                    '<div class="fontc-8 tx-c umartop325 infoline2">'+msg+'</div>' +
                    //一行文字提示
                    //'<div class="fontc-8 ulev-4 tx-c tishis">共 2011894256套</div>' +
                '</div>';
    $('body').append(loading);
    setTimeout(function () {
        $("#msgdiv").remove();
    }, time);
}
function hideLoading(){
    //return;
    $("#loading").remove();
}



/** * 对Date的扩展，将 Date 转化为指定格式的String * 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q)
    可以用 1-2 个占位符 * 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) * eg: * (new
    Date()).pattern("yyyy-MM-dd hh:mm:ss.S")==> 2006-07-02 08:09:04.423
 * (new Date()).pattern("yyyy-MM-dd E HH:mm:ss") ==> 2009-03-10 二 20:09:04
 * (new Date()).pattern("yyyy-MM-dd EE hh:mm:ss") ==> 2009-03-10 周二 08:09:04
 * (new Date()).pattern("yyyy-MM-dd EEE hh:mm:ss") ==> 2009-03-10 星期二 08:09:04
 * (new Date()).pattern("yyyy-M-d h:m:s.S") ==> 2006-7-2 8:9:4.18
 */

Date.prototype.pattern = function(fmt) {
    var o = {
        "M+": this.getMonth() + 1, //月份
        "d+": this.getDate(), //日
        "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时 (12小时制)
        "H+": this.getHours(), //小时 (24小时制)
        "m+": this.getMinutes(), //分
        "s+": this.getSeconds(), //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        "S": this.getMilliseconds() //毫秒
    };
    var week = {
        "0": "\u65e5",
        "1": "\u4e00",
        "2": "\u4e8c",
        "3": "\u4e09",
        "4": "\u56db",
        "5": "\u4e94",
        "6": "\u516d"
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    if (/(E+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "\u661f\u671f" : "\u5468") : "") + week[this.getDay() + ""]);
    }
    for (var k in o) {
        if (new RegExp("(" + k + ")").test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        }
    }
    return fmt;
}


//获取这个月一共多少天
function GetDaysInMonth(year, month){
      month = parseInt(month,10)+1;
      var temp = new Date(year+"/"+month+"/0");
      return temp.getDate();
}

var ajaxUrl = {};
function $ajax(opt,type) {
    //showLoading();<!--yuze-->
    showLoad();
    opt.url = Core.API_VER+opt.url;
    if (ajaxUrl[opt.url]) {
        return false;
    }
    ajaxUrl[opt.url] = true;
    if(IsDefine(opt.type)){
        opt.type = opt.type;
    }else{
        opt.type = 'post';
    }
    opt.dataType = "json";
    opt.cache = false;
    opt.error = function(XMLHttpRequest, textStatus) {
        if(IsDefine(type)){
            appcan.window.resetBounceView(type);
        }
        if(textStatus=='timeout'){//超时,textStatus还有success,error等值的情况
            ajaxTimeout.abort();//取消请求
            alert("网络异常,请求超时!");
　　　　    }
        hideLoading();
        var status = XMLHttpRequest.status;
        if (status == 0)
            return;
        else if (status == 500)
            $alert("服务器错误");
        else
            $alert("请检查您的网络。");
    };
    opt.goSuccess = opt.success;
    opt.success = function(res) {
        hideLoading();
        opt.goSuccess(res);
    }
    opt.complete = function() {
        hideLoading();
        delete ajaxUrl[opt.url];
    }
    var ajaxTimeout = appcan.request.ajax(opt);
}
//不带加载提示使用
function $ajaxIndex(opt,type) {
    opt.url = Core.API_VER+opt.url;
    if (ajaxUrl[opt.url]) {
        return false;
    }
    ajaxUrl[opt.url] = true;
    if(IsDefine(opt.type)){
        opt.type = opt.type;
    }else{
        opt.type = 'post';
    }
    opt.dataType = "json";
    opt.cache = false;
    opt.error = function(XMLHttpRequest, textStatus) {
        if(IsDefine(type)){
            appcan.window.resetBounceView(type);
        }
        if(textStatus=='timeout'){//超时,textStatus还有success,error等值的情况
            ajaxTimeout.abort();//取消请求
            alert("网络异常,请求超时!");
　　　　    }
        var status = XMLHttpRequest.status;
        if (status == 0)
            return;
        else if (status == 500)
            $alert("服务器错误");
        else
            $alert("请检查您的网络。");
    };
    opt.goSuccess = opt.success;
    opt.success = function(res) {
        opt.goSuccess(res);
    }
    opt.complete = function() {
        delete ajaxUrl[opt.url];
    }
    var ajaxTimeout = appcan.request.ajax(opt);
}

//执行外部接口  不带加载提示使用
function $ajaxOther(opt,type) {
    opt.url = opt.url;
    if (ajaxUrl[opt.url]) {
        return false;
    }
    ajaxUrl[opt.url] = true;
    if(IsDefine(opt.type)){
        opt.type = opt.type;
    }else{
        opt.type = 'post';
    }
    opt.dataType = "json";
    opt.cache = false;
    opt.error = function(XMLHttpRequest, textStatus) {
        if(IsDefine(type)){
            appcan.window.resetBounceView(type);
        }
        if(textStatus=='timeout'){//超时,textStatus还有success,error等值的情况
            ajaxTimeout.abort();//取消请求
            alert("网络异常,请求超时!");
　　　　    }
        var status = XMLHttpRequest.status;
        if (status == 0)
            return;
        else if (status == 500)
            $alert("服务器错误");
        else
            $alert("请检查您的网络。");
    };
    opt.goSuccess = opt.success;
    opt.success = function(res) {
        opt.goSuccess(res);
    }
    opt.complete = function() {
        delete ajaxUrl[opt.url];
    }
    var ajaxTimeout = appcan.request.ajax(opt);
}

function $ajaxAuto(opt,type) {
    //showLoading();
    opt.url = opt.url;
    if (ajaxUrl[opt.url]) {
        return false;
    }
    ajaxUrl[opt.url] = true;
    if('get' == type || opt.type == 'get'){
        opt.type = "get";
    }else{
        opt.type = "post";
    }
    opt.dataType = "json";
    opt.cache = false;
    opt.error = function(XMLHttpRequest, textStatus) {
        if(textStatus=='timeout'){//超时,textStatus还有success,error等值的情况
            ajaxTimeout.abort();//取消请求
            alert("网络异常,请求超时!");
　　　　}
        //hideLoading();
        var status = XMLHttpRequest.status;
        if (status == 0)
            return;
        else if (status == 500)
            $alert("服务器错误");
        else
            $alert("请检查您的网络。");
    };
    opt.goSuccess = opt.success;
    opt.success = function(res) {
        //hideLoading();
        opt.goSuccess(res);
    }
    opt.complete = function() {
        //hideLoading();
        delete ajaxUrl[opt.url];
    }
    var ajaxTimeout = $.ajax(opt);
    return ajaxTimeout;
}
//带加载框可取消
function $ajaxSigle(opt,type) {
    showLoad();
    opt.url = Core.API_VER+opt.url;
    if (ajaxUrl[opt.url]) {
        return false;
    }
    ajaxUrl[opt.url] = true;
    if('get' == type || opt.type == 'get'){
        opt.type = "get";
    }else{
        opt.type = "post";
    }
    opt.dataType = "json";
    opt.cache = false;
    opt.error = function(XMLHttpRequest, textStatus) {
        if(textStatus=='timeout'){//超时,textStatus还有success,error等值的情况
            ajaxTimeout.abort();//取消请求
            alert("网络异常,请求超时!");
　　　　}
        //hideLoading();
        var status = XMLHttpRequest.status;
        if (status == 0)
            return;
        else if (status == 500)
            $alert("服务器错误");
        else
            $alert("请检查您的网络。");
    };
    opt.goSuccess = opt.success;
    opt.success = function(res) {
        hideLoading();
        opt.goSuccess(res);
    }
    opt.complete = function() {
        hideLoading();
        delete ajaxUrl[opt.url];
    }
    var ajaxTimeout = $.ajax(opt);
    return ajaxTimeout;
}

//提示框只加载一次
function $ajaxList(opt,type) {
    if (opt.url.indexOf("ajaxtime=1")!=-1) {
        showLoad();
    }
    opt.url = Core.API_VER+opt.url;
    // console.log(opt.url);
    if (ajaxUrl[opt.url]) {
        return false;
    }
    ajaxUrl[opt.url] = true;
    if(IsDefine(opt.type)){
        opt.type = opt.type;
    }else{
        opt.type = 'post';
    }
    opt.dataType = "json";
    opt.cache = false;
    opt.error = function(XMLHttpRequest, textStatus) {
        if(IsDefine(type)){
            appcan.window.resetBounceView(type);
        }
        if(textStatus=='timeout'){//超时,textStatus还有success,error等值的情况
            ajaxTimeout.abort();//取消请求
            alert("网络异常,请求超时!");
　　　　    }
        hideLoading();
        var status = XMLHttpRequest.status;
        if (status == 0)
            return;
        else if (status == 500)
            $alert("服务器错误");
        else
            $alert("请检查您的网络。");
    };
    opt.goSuccess = opt.success;
    opt.success = function(res) {
        hideLoading();
        opt.goSuccess(res);
        // checkLoadDown();
    }
    opt.complete = function() {
        hideLoading();
        delete ajaxUrl[opt.url];
    }
    var ajaxTimeout = appcan.request.ajax(opt);
}

var CurrentUser = GetLS("CurrentUser")?GetLS("CurrentUser"):'';
//var CurrentUser = JSON.parse('{"name":"高欢","usersid":"204603","utype":"user","tel":"15856261335"}');


String.prototype.cutString = function(str, length) {
    // if (str != null && str != "" && str.length === 4) {
    //  return str;
    // }
    if (str != null && str != "" && str.length > length - 1) {
        return str.substring(0, length - 1) + "...";
    }
    return str;
}



'use strict';
/**全局错误捕获处理*/
var ErrTxt = '';
window.onerror = function(msg, url, l) {
    ErrTxt = "There was an error on this page.<br/>";
    ErrTxt += "Error: " + msg + "<br/>";
    ErrTxt += "URL: " + url + "<br/>";
    ErrTxt += "Line: " + l + "<br/>";
    ErrTxt += "Click OK to continue.";
    if (Core.DEBUG){
        alert(ErrTxt);
        // uexWindow.toast(0, '5', ErrTxt, 2000);
    }
}
