var IsPhone = (window.navigator.platform != "Win32");
var maincityid = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
/**
 * @param String inWndName 新窗口名称
 * @param String html       新窗口路径
 * @param String inAniID    打开动画
 * @param String f
 */
function OpenNewWin(id, aimID,type,name,resetCity){
    if (!aimID)
        aimID = 0;
    if (!type)
        type = 0;
    if (!name)
        name = id;
    //resetCity 当为true时不做城市ID重置操作（当进入APP在root页时 需要清理一下detailcityid）
    //当存在跨城市时，为保证不会出现城市ID的混淆，把每个页面使用的城市ID锁定在每个页面上（页面使用的城市ID为初始化页面时赋值的，不会改变）。
    //当由本页面打开其他的页面时，把detailcityid重置成本页面的城市ID。
    //当本页面打开的其他页面为跨城市页面时（比如关注、爱聊发送的房源等）。在打开页面前设置城市ID，打开时不重置。
    if (!resetCity){
        if(IsDefine(maincityid)){
            SetLS("detailcityid",maincityid);
        }
    }
    SetLS("WINID", name);
    //uexWindow.open(id, 0, id + ".html", aimID, "", "", 0, 350);
    appcan.window.open(name,id + ".html",aimID,type,0,0,0,350);
}

//打开支持侧滑关闭的新窗口
// function OpenNewWinWithSwipeClose(id, aimID,type,name){
//     if (!aimID)
//         aimID = 0;
//     if (!type)
//         type = 0;
//     if (!name)
//         name = id;
//     SetLS("WINID", name);
//     uexWindow.open(name, '0', id + '.html', aimID, 0, 0, 1024, 350);
// }

/**
 * 关闭窗口
 * @param string n 关闭窗口动画，默认-1
 */
function WinClose(n){
    if (n) {
        uexWindow.close(n);
        return;
    }
    uexWindow.close(-1);
}

function Zycon(url, top, id){
    var bottom = $(".footerEvent").outerHeight();
    if (!bottom)
        bottom = 0;

    if (!id)
        id = "content";

    if (id == $(".footerEvent").attr("id") || $(".footerEvent").hasClass("hide"))
        bottom = 0;

    if (uexWidgetOne.platformName != "android" && url != "chat_detail_content" && url != "space_detail_content")
        bottom = 0;
    if (url.indexOf(".html") == -1)
        url += ".html";
    zy_con(id, url, 0, top, bottom);
}


/**
 * 输出loag
 * @param String s 需要输出的信息
 * @param String a 添加的标注信息
 */
function Logs(s,a){
    if(typeof s == 'object'){
        s = JSON.stringify(s);
    }
    a = a ? a : "";
    if(!IsPhone){
        console.log(a+s);
    }else{
        uexLog.sendLog(a+s);
    }
}

/**
 * localStorage保存数据
 * @param String key  保存数据的key值
 * @param String value  保存的数据
 */
function SetLS(key, json){
    appcan.locStorage.setVal(key, JSON.stringify(json));
}

/**
 * 根据key取localStorage的值
 * @param Stirng key 保存的key值
 */
function GetLS(key){
    var str = appcan.locStorage.getVal(key);
    //2016-03-11 增加undefined判断
    if (str != null && str != "" && str != "undefined")
        return JSON.parse(str);
    else
        return false;
}

/**
 * 清除缓存
 * @param Striong key  保存数据的key，如果不传清空所有缓存数据
 */
function ClearLS(key){
    if(key)
        window.localStorage.removeItem(key);
    else
        window.localStorage.clear();
}

function CCall(js, id){
    if (!id)
        id = "content";
    uexWindow.evaluatePopoverScript("", id, js);
}

function PCall(id, js){
    uexWindow.evaluateScript(id, 0, js);
}
function RegNotification(channelID, cbFun) {
    uexWindow.onNotification = function(content) {
        cbFun(JSON.parse(content));
    };
    uexWindow.subscribeChannelNotification(channelID, "onNotification");
}
function SendNotification(channelID, json) {
    uexWindow.publishChannelNotification(channelID, JSON.stringify(json));
}
/**
 * 判断是否是空
 * @param value
 */
function IsDefine(value){
    if(value == null || value == "" || value == "undefined" || value == undefined || value == "null" || value == "(null)" || value == 'NULL' || typeof(value) == 'undefined'){
        return false;
    }
    else{
        value = value+"";
        value = value.replace(/\s/g,"");
        if(value == ""){
            return false;
        }
        return true;
    }
}
/**
 * checkNull
 * @param value 做判断的值
 * @param before 前置附加字符串
 * @param after  后置附加字符串
 * @param def  value为空时默认字符串
 */
function checkNull(value,before,after,def){
    var result='';
    if(IsDefine(value)){
        result=value;
        if(IsDefine(before)){
            result=before+result;
        }
        if(IsDefine(after)){
            result=result+after;
        }
    }else if(IsDefine(def)){
        result=def;
    }
    return result;
}
/**
 * checkNull
 * @param value
 */
function checkZero(value){
    if(IsDefine(value)){
        return value;
    }else{
        return 0;
    }
}

// arg[0] = String title
// arg[1] = String cancel
// arg[2] = Array  actionSheet
// arg[3...] = Function actionSheetArr click callback
function ActionSheet() {
    var args = arguments;
    if (args.length < 3) {
        console.log("ActionSheet args length < 3");
        return;
    }
    uexWindow.cbActionSheet = function(opId, dataType, data) {
        if (data == args[2].length)
            return;
        var i = Number(data) + 3;
        if (args[i] == undefined)
            args[3](data);
        else
            args[i](data);
    }
    uexWindow.actionSheet(args[0], args[1], args[2]);
}


function ImageBrowser(url) {
    var arr = new Array();
    var no = 0;
    $(".photoBrowserEvent").each(function(i) {
        var src = $(this).data("url");
        if (src != "undefined") {
            arr.push(Core.id2url(src, "photo"));
        }
        if (src == url)
            no = arr.length-1;
    });
    uexImageBrowser.open(arr, no, 1);
}

/**
 * alert 和 confirm 弹出框
 * @param String str 提示语
 * @param Function callback confirm的回调函数
 */
function $alert(str,callback){
    if(callback){
        uexWindow.cbConfirm = function(opId,dataType,data){
            if(data == 0)
                callback();
        }
        uexWindow.confirm('提示',str,['确定','取消']);
    }else
        uexWindow.alert('提示',str,'确定');
}

/**
 * 显示加载框
 * @param String mes 显示的提示语
 * @param String t  毫秒数 窗口存在时间 有的话显示框不显示那个“圈”，并且在t时间后消失
 */
function $toast(mes,t){
    uexWindow.toast(t?'0':'1','5',mes,t?t:2000);
}

/**
 * 手动关闭加载框
 */
function $closeToast(){
    uexWindow.closeToast();
}

/**设置安卓back和menu按键事件监听
 * @b: back键，1为监听。
 * @m: menu键，1为监听。
 * @cb1: back键监听处理回调方法。
 * @cb2: menu键监听处理回调方法。
 */
function AddKeyListener(b, cb1, m, cb2){
    uexWindow.onKeyPressed = function(keyCode){
        if(keyCode==0){
            if(cb1)  cb1();
            //uexWidget.finishWidget(''); //退出应用
        }
        else{
            if(cb2) cb2();
        }
    }
    if(b) uexWindow.setReportKey('0', '1');
    if(m) uexWindow.setReportKey('1', '1');
}

// 设置ios7头部透明问题
function Add20ToHeader(){
    if (uexWidgetOne.platformName == "android")
        return;
    if (GetLS('IOS7Plus')) {
        try {
            if (GetLS('IOS7Plus') == 2) {
                if ($("#header").css("padding-top")) {
                    $("#header").css("padding-top", parseInt($("#header").css("padding-top")) + 20) + "px";
                }
                else {
                    $("#header").css("padding-top", "20px");
                }
                $("#panel").css("padding-top", "20px");
            }
        }
        catch (e) {
        }
    }
    else {
        uexDevice.cbGetInfo = function(opId, dataType, data){
            if (data) {
                var device = JSON.parse(data);
                var os = parseInt(device.os);

                if (os >= 7) {
                    SetLS('IOS7Plus',2);
                    try {
                        if ($("#header").css("padding-top"))
                            $("#header").css("padding-top", parseInt($("#header").css("padding-top")) + 20) + "px";
                        else
                            $("#header").css("padding-top", "20px");
                        $("#panel").css("padding-top", "20px");
                    }
                    catch (e) {
                    }
                } else {
                    SetLS('IOS7Plus', 1);
                }
            }
        };
        uexDevice.getInfo('1');
    }
}

// 给iPhone 系统版本号是否大于 4 加头
function gt_iOS4() {
  if((navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPod/i))) {
    $(".iospad-top").css("padding-top","1.625em");
    $(".ioslist-top").css("padding-top","1em");
    $(".iosproduct-top").css("padding-top","0.5em");
    $(".proinfo").css("top","19em");
    $("#pro-info").css("top","19em");
    $(".bor-k5").css("border-bottom","0.5px solid #e9e9e9");

    return Boolean(navigator.userAgent.match(/OS [5-9]_\d[_\d]* like Mac OS X/i));
  } else {
      $(".proinfo").css("top","20em");
      $("#pro-info").css("top","20em");
    return false;
  }
}

function houseiostop() {
  if((navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPod/i))) {
    $(".ioslist-top").css("padding-top","1em");
    $(".iospad-top").css("padding-top","1.625em");     //智能选房 IOS头部的样式
    $(".iosindex-top").css("margin-top","-1em");       //首页IOS头部样式
    //var margT = - parseInt($(".iosindex-top").css('margin-top'));
    $(".iosfixedtop").css("top","1em");                //二手房和租房详情页头部导航ios
    $(".iosfixedtop1").css("top","0em");                //二手房和租房详情页头部导航ios
    $(".closebtn").css("padding","1.625em 0 1em 0");
    $(".proinfo").css("top","13.5em");
    $("#pro-info").css("top","13.5em");
    return Boolean(navigator.userAgent.match(/OS [5-9]_\d[_\d]* like Mac OS X/i));
  } else {
      $(".proinfo").css("top","20em");
      $("#pro-info").css("top","20em");
    return false;
  }
}
//登录注册 获取焦点图标变亮
function focusOrBlur(){
    $(".inputfocus input,.inputfocusone input").focus(function(){
        $(this).parent().children(".uinsty").removeClass("focus");//移除同级的蓝色背景
        $(this).prev().addClass("focus");//获得焦点时 切换背景
    })
    $(".inputfocus input,.inputfocusone input").blur(function(){
        $(this).parent().children().removeClass("focus");//失去焦点时删除蓝色背景
    });
}
//百度地图坐标转成高德地图坐标
function  bd_decrypt(bd_lat,bd_lon,gg_lat,gg_lon){
    //如果是iPhone设备 则appcan的location定位返回的是高德地图 所以不用进行转换
     if(navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPod/i)){
         return bd_lat+','+bd_lon;
     }
     var gg_lat = 0;
     var gg_lon = 0;
     var x_pi = 3.14159265358979324 * 3000.0 / 180.0;
     var x = bd_lon - 0.0065, y = bd_lat - 0.006;
     var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * x_pi);
     var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * x_pi);
     gg_lon = z * Math.cos(theta);
     gg_lat = z * Math.sin(theta);
     return gg_lat+','+gg_lon;
}

function checkHtml(myhtml,flag){
    if(myhtml){
       //用1q2w3e4r5t6y7u8i9o0p替换要保留转换成<br>的字段
        if(flag){
            myhtml = myhtml.replace(/\<\/p\>/g, '1q2w3e4r5t6y7u8i9o0p')
        }
        myhtml = myhtml.replace(/<[^>]+>/g,"");
        if(flag){
            myhtml = myhtml.replace(/1q2w3e4r5t6y7u8i9o0p/g,'<br>');
        }
    }
    return myhtml;
}
//处理JSON串中不合法的字符
function valueReplace(v){
    v=v.toString().replace(new RegExp('(["\"])', 'g'),"\\\"");
    return v;
}
//处理JSON串中不合法的字符为空字符串 以及单引号
function valueReplaceNull(v){
    v=v.toString().replace(new RegExp('(["\"\'])', 'g'),"");
    return v;
}
function trim(str){
    return str.replace(/(^\s*)|(\s*$)/g, "");
}
function trimText(str) {
    //return str.replace(/(\n|\r|(\r\n)|(\u0085)|(\u2028)|(\u2029))/g, "</br>");
    return str.replace(/(\n|\r|(\r\n)|(\u0085)|(\u2028)|(\u2029))/g, "");
}
/*
 * 检查手机号码格式
 */
function checkMobile(str){
    //var re = /^1[3|4|5|7|8][0-9]\d{8}$/;
    var re = /^(13[0-9]|14[0-9]|15[0-9]|17[0-9]|18[0-9])\d{8}$/;
    if (!re.test(str)) {
        //$alert("请输入正确的手机号码");
        return false;
    } else {
       return true;
    }
}
/*
 * 检查email格式
 */
function checkEmail(str){
    var re = /^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/;
    if(!re.test(str)){
       //alert("请输入正确的邮箱");
       return false;
    } else
        return true;
}
/*
 * 检查是否为非负整数
 */
function checkNum(str){
    var re = /^(0|[1-9]\d*)$/;
    if (!re.test(str)) {
        return false;
    } else {
       return true;
    }
}
//过滤emoji表情
function emojiFilter(str){
    var ranges = [
        '\ud83c[\udf00-\udfff]', 
        '\ud83d[\udc00-\ude4f]', 
        '\ud83d[\ude80-\udeff]'
    ];
    return str = str .replace(new RegExp(ranges.join('|'), 'g'), '');
}

// function checkNumMixChar(str,toast){
//  var reg=/^(([a-z]+[0-9]+)|([0-9]+[a-z]+))[a-z0-9]*$/i;
//  if (!reg.test(str)) {
//     uexWindow.toast("0",toast,"2000");
//  }
//  return reg.test(str);
// }
// 校验数字和字母
function checkNumberMixChar(str){
 var reg = /^[0-9a-zA-Z]*$/g;
 return reg.test(str);
}

//校验昵称
function checkNickName(name) {
    var nicknamereg = /^[\u4e00-\u9fa5a-zA-Z]{1,7}$/;
    var flag = false;
    if (!nicknamereg.test(name)) {
        uexWindow.toast("0","5","昵称至少1个字符，最多7个字符！","2000");
    }else {
        flag = true;
    }
    return flag;
}

function IdentityCodeValid(code) {
    var city={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江 ",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北 ",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏 ",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外 "};
    var tip = "";
    var pass= true;

    if(!code || !/^\d{6}(18|19|20)?\d{2}(0[1-9]|1[12])(0[1-9]|[12]\d|3[01])\d{3}(\d|X)$/i.test(code)){
        tip = "身份证号格式错误";
        pass = false;
    }

   else if(!city[code.substr(0,2)]){
        tip = "地址编码错误";
        pass = false;
    }
    else{
        //18位身份证需要验证最后一位校验位
        if(code.length == 18){
            code = code.split('');
            //∑(ai×Wi)(mod 11)
            //加权因子
            var factor = [ 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2 ];
            //校验位
            var parity = [ 1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2 ];
            var sum = 0;
            var ai = 0;
            var wi = 0;
            for (var i = 0; i < 17; i++)
            {
                ai = code[i];
                wi = factor[i];
                sum += ai * wi;
            }
            var last = parity[sum % 11];
            if(parity[sum % 11] != code[17]){
                tip = "校验位错误";
                pass =false;
            }
        }
    }
    //不通过原因提示
    //if(!pass) alert(tip);
    return pass;
}
/*
 * 检查是否为加盟站
 */
function checkAddCity(id){
    var cityid = GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid');
    if(IsDefine(id)){
        cityid = id;
    }
    //武汉改为直营站
    //if(cityid == 101 || cityid == 102 || cityid == 103){
    //        南昌                                         长沙             
    if(cityid == 101 || cityid == 102 ){
        return true;
    }
    return false;
}
/*提示信息*/
/*其他与加载动画有关的在core.js文件*/
function showMsg(msg,time){
    var loading = '<div id="msgdiv" class="ui-ios-overlay linegaoios">' +
                    '<div class="fontc-8 ulev-4 tx-c">'+msg+'</div>' +
                    //一行文字提示
                    //'<div class="fontc-8 ulev-4 tx-c tishis">共 2011894256套</div>' +
                '</div>';
    $('body').append(loading);
    setTimeout(function () {
        $("#msgdiv").remove();
    }, time);
}

/*
 * 获取或生产手机唯一标识符
 */
function getDeviceUniqueIdentifier(callback){
    if(!IsDefine(GetLS('DeviceUniqueIdentifier'))){
        if (uexWidgetOne.platformName == "android") {
            //获取手机唯一标识 登录匿名账号
            appcan.device.getInfo(10,function(err,data,dataType,optId){
                if(err){
                    //alert('get device error');
                    return;
                }
                if(IsDefine(data) && IsDefine(JSON.parse(data).imei) && JSON.parse(data).imei.length == 15){
                    //全局唯一标识
                    SetLS('DeviceUniqueIdentifier',JSON.parse(data).imei.toLowerCase());
                }else{
                    appcan.window.openToast({msg:'IMEI获取失败!请登陆后使用爱聊!',duration:1500,position:5,type:0});
                }
            });
        }else if(uexWidgetOne.platformName == "iOS"){
            uexKeyChain.cbGetDeviceUniqueIdentifier = function(data){
                //全局唯一标识
                SetLS('DeviceUniqueIdentifier',JSON.parse(data).uid.toLowerCase());
            }
            uexKeyChain.getDeviceUniqueIdentifier();
        }else{
            ClearLS('DeviceUniqueIdentifier');
        }
    }
}

function checkFunctionEnable(type,time){
    var timestamp = Date.parse(new Date());
    if(IsDefine(time)){
        var functionDateOld = GetLS('functionDate');
        //如果设置时间,则根据时间来判断是否需要检查
        if(IsDefine(functionDateOld) && timestamp < functionDateOld+time){
            return;
        }
    }
    //缓存检查的时间
    SetLS('functionDate',timestamp);
    //0 : GPS             定位
    //1 : BLUETOOTH       蓝牙
    //2 : NOTIFICATION    推送通知设置(仅iOS)
    var arr = ['GPS','BLUETOOTH','NOTIFICATION'];
    var arrText = ['GPS','蓝牙','消息通知'];
    if(type == 0 || type == 1 || type == 2){
        var params = {
            setting:arr[type]
        };
        uexDevice.cbIsFunctionEnable = function(data){
            var data = JSON.parse(data);
            if(!data.isEnable){
                appcan.window.confirm({
                    title:'提示',
                    content:'您的'+arrText[type]+'未开启,您需要前往开启功能吗?',
                    buttons:['确定','取消'],
                    callback:function(err,data,dataType,optId){
                        if(err){
                            //如果出错了
                            return;
                        }
                        if(data == 0){
                            var data = JSON.stringify(params);
                            uexDevice.openSetting(data);
                        }
                    }
                });
            }
        };
        var data = JSON.stringify(params);
        uexDevice.isFunctionEnable(data);
    }
}


function checkFunctionEnableForPush(type){
    //0 : GPS             定位
    //1 : BLUETOOTH       蓝牙
    //2 : NOTIFICATION    推送通知设置(仅iOS)
    var flag = 1;
    var arr = ['GPS','BLUETOOTH','NOTIFICATION'];
    var arrText = ['GPS','蓝牙','消息通知'];
    if(type == 0 || type == 1 || type == 2){
        var params = {
            setting:arr[type]
        };
        uexDevice.cbIsFunctionEnable = function(data){
            var data = JSON.parse(data);
            //alert(data.isEnable);
            if(!data.isEnable){
                flag = 0;
            }
        };
        var data = JSON.stringify(params);
        uexDevice.isFunctionEnable(data);
    }
    return flag;
}
/*
 * 缓存信息列表
 */
function saveLS(name,id,cityid,date,data){
    var history = GetLS(name);
    var arr = [];
    var flag = 1;
    if(IsDefine(history)){
        var item = {"id":id,"cityid":cityid,"date":date,"data":data};
        arr[0] = item;
        for(var i=0;i<history.length;i++){
            if(history[i].id != item.id){
                arr[flag] = history[i];
                flag++;
                //最多保存30条
                if(flag>30){
                    break;
                }
            }
        }
    }else{
        var item = {"id":id,"cityid":cityid,"date":date,"data":data};
        arr[0] = item;
    }
    SetLS(name,eval(arr));
}
//根据经纪人的城市ID来确定这个经纪人在爱聊相关的位置使用什么格式的爱聊用户ID
//加盟站的经纪人需要在自身的usersid前加上城市的简写
function formatUsersidByCity(companysid,usersid){
    if(companysid == 101){
        return 'nc_'+usersid;
    }else if(companysid == 102){
        return 'cs_'+usersid;
    // }else if(companysid == 103){
        // return 'wh_'+usersid;
    }else{
        return usersid;
    }
}
//反处理
function unformatUsersidByCity(usersid){
    var usersid = usersid+'';
    if(IsDefine(usersid)){
        if(usersid.indexOf('nc_') > -1 || usersid.indexOf('cs_') > -1 || usersid.indexOf('wh_') > -1){
            usersid = usersid.substring(3);
        }

    }
    return usersid;
}

//手动引入js
var JsLoader_browser = new Object(); // 浏览器对象，判断浏览器版本
JsLoader_browser.ua = window.navigator.userAgent.toLowerCase();
JsLoader_browser.ie = /msie/.test(JsLoader_browser.ua); //IE
JsLoader_browser.moz = /gecko/.test(JsLoader_browser.ua); //firefox
JsLoader_browser.tt = /tencent/.test(JsLoader_browser.ua); //tt
function JsLoader(sUrl, fCallback) // js装载对象
{
    var _script = document.createElement("script");
    _script.setAttribute("type", "text/javascript");
    _script.setAttribute("src", sUrl);
    document.getElementsByTagName("head")[0].appendChild(_script);
    if (JsLoader_browser.ie) {
        _script.onreadystatechange = function() {
            if (this.readyState == "loaded" || this.readyState == "complete") {
                fCallback();
            }
        };
    } else if (JsLoader_browser.moz) {
        _script.onload = function() {
            fCallback();
        };
    } else {
        fCallback();
    }
}

//打开登录页
function openLoginPage(ifNotSameUrl, ifOldUrl){
    var str = '';

    if(ifNotSameUrl) {
        str = '../';
    }
    if(ifOldUrl) {
        // if(true) {
        OpenNewWin(str+'loginregister/login',2,0,'loginregister/login');
    }else {
        if(uexWidgetOne.platformName == "android") {
            OpenNewWin(str+'loginregister/login_new_android',2,0,'loginregister/login_new');
        }else {
            OpenNewWin(str+'loginregister/login_new',2,0,'loginregister/login_new');
        }
    }
}

//修改个人信息(type 1:头像2:昵称3:性别4:区域)
function editUserInfoByType(type, parameter1, parameter2, callback) {
    var parameter = '';
    var data = {
        // uid: '230989',
        uid: CurrentUser.uid,
        optype: type
    }
    switch (type) {
        //头像
        case 1:
            data.headimg = parameter1;
            break;
        //昵称
        case 2:
            data.nickname = parameter1;
            break;
        //性别
        case 3:
            data.gender = parameter1;
            break;
        //区域
        case 4:
            data.city = parameter1;
            data.region = parameter2;
            break;
        //微信
        case 5:
            data.wechat = parameter1;
            break;
        //qq
        case 6:
            data.qq = parameter1;
            break;
    }
    
    $ajaxIndex({
        url : '/user/edituserinfo',
        type : 'post',
        data : data,
        success : function(data) {
            if (data.status == '200') {
                appcan.window.openToast({
                    msg: '修改成功!',
                    duration: 2000,
                    position: 5,
                    type: 0
                });
                callback && callback();
            } else {
                appcan.window.openToast({
                    msg: data.msg,
                    duration: 2000,
                    position: 5,
                    type: 0
                });
            }
        }
    });
}

//设置支持侧滑关闭
// function swipeClose() {
//     var params  = {
//         enable:1,
//     };
//     var paramStr = JSON.stringify(params);
//     uexWindow.setSwipeCloseEnable(paramStr);
// }
