var BusinessCiycle = {
    init: function() {
        var price = GetLS("conditionprice") ? ('&price=' + GetLS("conditionprice")) : '';
        var broom = GetLS("conditionbroom") ? ('&broom=' + GetLS("conditionbroom")) : '';
        var buildarea = GetLS("conditionbarea") ? ('&buildarea=' + GetLS("conditionbarea")) : '';
        var heading = GetLS("conditionheading") ? ('&heading=' + GetLS("conditionheading")) : '';
        var buildyear = GetLS("conditionyear") ? ('&buildyear=' + GetLS("conditionyear")) : '';
        var tag = GetLS("conditiontag") ? ('&tag=' + GetLS("conditiontag")) : '';
        var housetype = GetLS("conditiontype") ? ('&housetype=' + GetLS("conditiontype")) : '';
        var condition = price + broom + buildarea + heading + buildyear + tag + housetype;
        var maptype = GetLS('maptype');
        var centerClickItem = GetLS("centerClickItem");
        var cityid = GetLS('detailcityid') ? GetLS('detailcityid') : GetLS('cityid'); //城市id
        var url = "/v1/exchange/"+cityid+"/scopemapsqlist?lon=" + centerClickItem.lon + "&lat=" + centerClickItem.lat + "&toplon=" + centerClickItem.northeast_lng + "&toplat=" + centerClickItem.northeast_lat + "&page=0&pcount=1000" + condition;
        var title = "二手房";
        if (maptype == "rent") {
            title = "租房";
            url = "/v1/rent/"+cityid+"/scopemapsqlist?lon=" + centerClickItem.lon + "&lat=" + centerClickItem.lat + "&toplon=" + centerClickItem.northeast_lng + "&toplat=" + centerClickItem.northeast_lat + "&page=0&pcount=1000" + condition;
        }
        $("#title").text(title);
        BusinessCiycle.ajax(url, {}, function(res) {
            if (res.status == 200) {
                BusinessCiycle.showAreaResults(res)
            };
        })
    },

    showAreaResults: function(res) {
		var maptype = GetLS('maptype');
        var result = res.data;
        var html = '';
        var length = result && result.length || 0;
        for (var i = 0; i < length; i++) {
            html += '<li class="hourse-list-item" data-x="'+result[i].x+'" data-y="'+result[i].y+'" data-id="'+result[i].searchId+'">' +
                    '   <span href="javascript:;" class="address">'+result[i].searchName+'</span>' +
                    '   <a href="javascript:;" class="hourse-num">'+(maptype=='rent'?checkZero(result[i].rentHouseCount):checkZero(result[i].exchangeHouseCount))+'套</a>' +
                    '</li>';
        };

        $(".hourse-list").html(html)
        $("#count").text(length);

        appcan.button('.hourse-list-item', 'btn-act', function() {
            var x = $(this).data('x') || 11649674;
            var y = $(this).data('y') || 3993258;
			var id = $(this).data('id') || '';
            SetLS('locationBytype', {
                x: x,
                y: y,
                type: 2,
				id: id
            });
            appcan.window.evaluatePopoverScript('map/mapfind', 'content', 'locationBytype()');
            appcan.window.evaluateScript('businessCiycle', 'appcan.window.close();');
        });
    },

    ajax: function(url, data, callback) {
        $.ajax({
            url: Core.API_VER + url,
            type: "get",
            data: data,
            beforeSend: function() {
                showLoad();
            },

            success:function(res){
                hideLoading();
                var status = res.status;
                if (status == 200)
                   callback&&callback(res);
                else if (status == 500)
                    appcan.window.openToast({msg:'服务器错误',duration:1500,position:5,type:0});
                else
                    appcan.window.openToast({msg:'请检查您的网络。',duration:1500,position:5,type:0});
            },

            error:function(res){
                hideLoading();
                var status = res.status;
                if (status == 0)
                    return;
                else if (status == 500)
                    appcan.window.openToast({msg:'服务器错误',duration:1500,position:5,type:0});
                else
                    appcan.window.openToast({msg:'请检查您的网络。',duration:1500,position:5,type:0});
            },

            complete : function() {
                hideLoading();
                delete url;
            }
        })
    },
}
