var villageSelect = {
    init: function() {
        var maptype = GetLS('maptype');
        var centerClickItem = GetLS("centerClickItem");
        var price = GetLS("conditionprice") ? ('&price=' + GetLS("conditionprice")) : '';
        var broom = GetLS("conditionbroom") ? ('&broom=' + GetLS("conditionbroom")) : '';
        var buildarea = GetLS("conditionbarea") ? ('&buildarea=' + GetLS("conditionbarea")) : '';
        var heading = GetLS("conditionheading") ? ('&heading=' + GetLS("conditionheading")) : '';
        var buildyear = GetLS("conditionyear") ? ('&buildyear=' + GetLS("conditionyear")) : '';
        var tag = GetLS("conditiontag") ? ('&tag=' + GetLS("conditiontag")) : '';
        var housetype = GetLS("conditiontype") ? ('&housetype=' + GetLS("conditiontype")) : '';
        var condition = price + broom + buildarea + heading + buildyear + tag + housetype;
        var cityid = GetLS('detailcityid') ? GetLS('detailcityid') : GetLS('cityid'); //城市id
        var url = "/v1/exchange/"+cityid+"/scopemapcomunitylist?lon=" + centerClickItem.lon + "&lat=" + centerClickItem.lat + "&toplon=" + centerClickItem.northeast_lng + "&toplat=" + centerClickItem.northeast_lat + "&page=0&pcount=1000" + condition;
        var title = "二手房";
        if (maptype == "rent") {
            title = "租房";
            url = "/v1/rent/"+cityid+"/scopemapcomunitylist?lon=" + centerClickItem.lon + "&lat=" + centerClickItem.lat + "&toplon=" + centerClickItem.northeast_lng + "&toplat=" + centerClickItem.northeast_lat + "&page=0&pcount=1000" + condition;
        }
        $("#title").text(title);
        villageSelect.ajax(url, {}, function(res) {
            if (res.status == 200) {
                villageSelect.showAreaResults(res)
            };
        })
    },

    showAreaResults: function(res) {
		var maptype = GetLS('maptype');
        var result = res.data;
        var html = '';
        var length = result && result.length || 0;
        for (var i = 0; i < length; i++) {
            html += '<li class="hourse-list-item" data-name="'+result[i].address+'" data-count="'+checkZero(maptype=='rent'?result[i].rentcount:result[i].salecount)+'" data-price="'+result[i].price+'" data-x="'+result[i].x+'" data-y="'+result[i].y+'" data-id="'+result[i].communityid+'">' +
                '	<span href="javascript:;" class="address">'+result[i].address+'</span>' +
                '	<a href="javascript:;" class="hourse-num">'+(maptype=='rent'?checkZero(result[i].rentcount)+'套':checkZero(result[i].price)+'元/m&sup2;')+'</a>' +
                '</li>'
        };

        $(".hourse-list").html(html)
        $("#count").text(length);

        appcan.button('.hourse-list-item', 'btn-act', function() {
            var x = $(this).data('x') || 11649674;
            var y = $(this).data('y') || 3993258;
			var id = $(this).data('id') || '';
			var name = $(this).data('name') || '';
			var count = $(this).data('count') || '';
			var price = $(this).data('price') || '';
            SetLS('locationBytype', {
                x: x,
                y: y,
                type: 3,
				id: id,
				name: name,
				count: count,
				price: price
            });
            appcan.window.evaluatePopoverScript('map/mapfind', 'content', 'locationBytype()');
            appcan.window.evaluateScript('village', 'appcan.window.close();');
        });
    },

    ajax: function(url, data, callback) {
        $.ajax({
            url: Core.API_VER + url,
            type: "get",
            data: data,
            beforeSend: function() {
                showLoad();
            },
            success: function(res) {
                hideLoading();
                showResult("", 1000);
                callback && callback(res)
            }
        })
    },
}
