var housepriceContent = {
    CITYID : GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid'),
    // openDis : function(methodName){
        // SetLS('methodName',methodName);
        // OpenNewWin('reach',2);
    // },
    checkDrive : function(conmmunityname){
        // housepriceContent.getPriceData();
       if (uexWidgetOne.platformName == "iOS"){
           housepriceContent.initChartForIOS(conmmunityname);
       } else{
           housepriceContent.initChartForANDROID(conmmunityname);
       }
       // housepriceContent.topData();
    },
    initChartForANDROID : function(conmmunityname){
        Highcharts.setOptions({ 
            colors: ['#FF9D6F', '#2894FF'] 
        });
           $('#main').highcharts({
            // chart: {
                // borderColor: '#ACD6FF',
                // borderRadius: 20,
                // borderWidth: 4,
                // type: 'line'
            // },
            title: {
                text: conmmunityname+'价格走势',
                style: {
                    fontWeight: 'bold'
                }
            },
            exporting: {
                enabled: false
            },
            xAxis: {
                lineColor: '#66B3FF',
                categories: GetLS("chart").months,
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:'20px'  //字体
                    }
                },
                gridLineWidth: 4,       //网格线
                gridLineColor: '#efefef',
                gridLineDashStyle: 'ShortDot',
                tickmarkPlacement : 'on'
            },
            yAxis: {
                lineColor: '#66B3FF',
                allowDecimals: false,
                tickPixelInterval:100,
                title: {
                    text: ''
                },
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:'20px'  //字体
                    },
                    formatter: function () {
                        return this.value/10000+'万';
                    }
                },
                plotLines: [{
                    value: 0,
                    width: 2,
                    color: '#808080'
                }],
                lineWidth: 1
                
            },
            tooltip: {
                    shared: true,
                    crosshairs: true,
                    useHTML: true,
                    valueSuffix: '元',
                    style: {
                        padding: 5,
                        fontWeight: 'bold',
                        fontSize: '24px'
                    }
            },
            
            legend: {
                 borderColor: '#84C1FF',
                 itemDistance: 50
            },
            plotOptions: {
                series: {
                    animation: true,
                    borderColor: '#303030',
                    marker: {
                        radius: 13,  //曲线点半径，默认是4
                        symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                    }
                }
            },
            
            series: [{
                name: '挂牌均价',
                lineWidth: 10,
                data: GetLS("chart").gpAvgPrice
            }, {
                name: '成交均价',
                lineWidth: 10,
                data: GetLS("chart").cjAvgPrice
            }]
        });
       },
       
       initChartForIOS : function(conmmunityname){
        Highcharts.setOptions({ 
            colors: ['#FF9D6F', '#2894FF'] 
        });
           $('#main').highcharts({
            // chart: {        //边框线
                // borderColor: '#ACD6FF',
                // borderRadius: 20,
                // borderWidth: 1,
                // type: 'line'
                // // marginLeft: 40
            // },
            title: {
                text: conmmunityname+'价格走势',
                style: {
                    fontWeight: 'bold',
                    fontSize: "10px"
                }
            },
            exporting: {
                enabled: false
            },
            xAxis: {
                lineColor: '#66B3FF',
                categories: GetLS("chart").months,
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:7
                    }
                },
                gridLineWidth: 1,       //网格线
                gridLineColor: '#efefef',
                gridLineDashStyle: 'ShortDot',
                tickmarkPlacement : 'on'
            },
            yAxis: {
                lineColor: '#66B3FF',
                allowDecimals: false,
                tickPixelInterval:100,//y轴数据密度
                gridLineDashStyle: 'longdash',
                title: {
                    text: ''
                },
                labels: {
                    style: {
                        color: '#000000',//颜色
                        fontSize:8
                    },
                    formatter: function () {
                        return this.value/10000+'万';
                    }
                },
                plotLines: [{
                    value: 0,
                    width: 2,
                    color: '#808080'
                }],
                lineWidth: 1
                
            },
            tooltip: {
                    shared: true,
                    crosshairs: true,
                    useHTML: true,
                    valueSuffix: '元',
                    style: {
                        padding: 5,
                        fontWeight: 'bold'
                    }
            },
            
            legend: {
                 borderColor: '#84C1FF',
                 itemDistance: 50
            },
            plotOptions: {
                series: {
                    animation: true,
                    borderColor: '#303030',
                    marker: {
                        radius: 3,  //曲线点半径，默认是4
                        symbol: 'circle' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                    }
                }
            },
            
            series: [{
                name: '挂牌均价',
                lineWidth: 1,
                data: GetLS("chart").gpAvgPrice
                }, {
                name: '成交均价',
                lineWidth: 1,
                data: GetLS("chart").cjAvgPrice
                }
            ]
        });
       },
       
       getPriceData : function(communityid,conmmunityname){
            $ajax({
                url : '/v1/community/'+housepriceContent.CITYID+'/chart?communityid='+communityid,
                type : 'get',
                data : {},
                success : function(data) {
                    var str='';
                    if(data.status=='200'){
                        var arrData = data.data;
                        SetLS("chart",arrData);
                        housepriceContent.checkDrive(conmmunityname);
                    }
                }
            });
       },
       
       // topData : function(){
           // if(GetLS("chart") != ''){
               // var monthArray = new Array();
               // monthArray = GetLS("chart").months;
               // var lastMonth = monthArray[11];
//                
               // var cjArray = new Array();
               // cjArray = GetLS("chart").cjAvgPrice;
               // var cj1 = cjArray[10];
               // var cj2 = cjArray[11];
               // var hb = ((parseInt(cj2) - parseInt(cj1))/parseInt(cj1)).toFixed(2);
               // //赋值top数据
               // if(hb > 0){
                   // $("#hb").html("环比上月涨"+hb+"%");
               // }else{
                   // $("#hb").html("环比上月跌"+hb+"%");
               // }
               // $("#lastprice").html(cj2);
               // $("#lastMonth").html(lastMonth+"月成交均价");
//                
               // //赋值城市区域商圈
               // var city = housepriceContent.CITYID;
               // var qyname = GetLS("conditiondistrctname")?(GetLS("conditiondistrctname")):'';
               // var sqname = GetLS("conditionareaname")?(GetLS("conditionareaname")):'';
               // var cityname = '';
                // for(var i=0;i<City.city.length;i++){
                    // if(city == City.city[i].cityid){
                        // cityname = City.city[i].city;
                        // break;
                    // }else{
                        // continue;
                    // }
                // }
                // $("#cityname").html(cityname+"&nbsp"+qyname+"&nbsp"+sqname);
           // }
       // },
       
       // clearHistory : function(){
            // ClearLS('conditiondistrctname');
            // ClearLS('conditiondistrct');
            // ClearLS('conditionareaname');
            // ClearLS('conditionarea');
        // }
}