var PriceContent = {
    CITYID : GetLS('detailcityid')?GetLS('detailcityid'):GetLS('cityid'),
    init: function(){
        PriceContent.initHtml();
        appcan.button(".nav-btn", "btn-act", function() {
            PriceContent.closeWindow();
        })
        var titcontent = $(window).height()-$('#header').outerHeight();
        $("#pirceview").css("height",titcontent);
        //除了不限和自定义价格以外的价格按钮绑定事件在价格选项组装的时候进行绑定
        PriceContent.bindButton();
        PriceContent.autoSelect();
    },
    removeColor : function(){
        for(var i=0;i<7;i++){
            $('#'+i).removeClass("font-color1");
        }
    },
    checkNum : function(num){
        //严重非负整数
        var r = /^(0|[1-9]\d*)$/;
        return r.test(num);
    },
    autoSelect : function(){
        var isSelect = false;
        var condition = Condition['21'][PriceContent.CITYID]['price'];
        var conditionprice = GetLS('conditionprice');
        if(conditionprice){
            PriceContent.removeColor();
            for(var i=0;i<condition.length;i++){
                for(var k in condition[i]) {
                    if(k == conditionprice){
                        isSelect = true;
                        $('#'+(i+1)).removeClass("t-qy-color");
                        $('#'+(i+1)).addClass("font-color1");
                    }
                }
            }
            if(!isSelect){
                var arr = conditionprice.split(',');
                if(arr.length > 0){
                    $('#min').val(arr[0]);
                    $('#max').val(arr[1]);
                }
            }
        }
    },
    initHtml : function(){
        var str = '';
        var condition = Condition['21'][PriceContent.CITYID]['price'];
        str += 
                '<li class="ub bor-fb bc-text ub-ac umh8" >'+
                    '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1 ulev-4-0 t-gra-b1" id="0">不限</div>'+
                '</li>';
                for(var i=0;i<condition.length;i++){
                    for(var k in condition[i]) {
                        str += 
                        '<li class="ub bor-fb bc-text ub-ac  umh8" >'+
                        '<div class="lv_title ub-f1 marg-l ub ub-ver ut-m line1 ulev-4-0 t-qy-color" key="'+k+'" id="'+(i+1)+'">'+condition[i][k]+'</div>'+
                        '</li>';
                    }
                }
                str += 
                '<li class="ub bor-fb bc-text ub-ac umh8 ub-pc " >'+
                    '<div class="ub lv_title ub-f1 marg-l ub ub-ver ut-m line1t-qy-color ulev-4-0 umar-r-2 pri-color">自定义价格</div>'+
                    '<div class="ub lv_title marg-l ub ub-ver ut-m line1 ulev-4-3">'+
                        '<input placeholder="最小" id="min" type="number" class="ulev-4-0 input-w padbg pri-color uc-a1 border-a uinn3">万'+
                    '</div>'+
                    '<div class="umar-l-bus umar-r-bus pri-color">-</div>'+
                    '<div class="ub lv_title marg-l ub ub-ver ut-m line1 ulev-4-3 ">'+
                        '<input placeholder="最大" id="max" type="number" class="ulev-4-0 input-w padbg pri-color uc-a1 border-a uinn3">万'+
                    '</div>'+
                    '<div class="ub ub-f1 nav-btn nav-bt ulev-4-0 sc-text-xf" id="custom">确定</div>'+
                '</li>';
        $("#pirceview").html(str);
        //绑定按钮事件
        appcan.button("#0", "btn-act", function() {
            PriceContent.removeColor();
            $('#0').removeClass("t-gra-b1");
            $('#0').addClass("font-color1");
            ClearLS('conditionprice');
            appcan.window.evaluateScript('sale/list','List.refreshLoad(true)');
            PriceContent.closeWindow();
        });
        appcan.button("#custom", "btn-act", function() {
            PriceContent.removeColor();
            var min = $('#min').val();
            var max = $('#max').val();
            if(PriceContent.checkNum(min) && PriceContent.checkNum(max)){
                if(parseInt(min) >= parseInt(max)){
                    appcan.window.openToast({msg:'注意!最大自定义价格必须大于最小自定义价格!',duration:2000,position:5,type:0});
                }else{
                    SetLS('conditionprice',min+','+max);
                    appcan.window.evaluateScript('sale/list','List.refreshLoad(true)');
                    PriceContent.closeWindow();
                }
            }else{
                appcan.window.openToast({msg:'注意!自定义价格必须为整数!',duration:2000,position:5,type:0});
            }
        });
    },
    bindButton : function(){
        var condition = Condition['21'][PriceContent.CITYID]['price'];
        for(var i=0;i<condition.length;i++){
            for(var k in condition[i]) {
                //绑定点击事件
                appcan.button("#"+(i+1), "btn-act", function() {
                    PriceContent.removeColor();
                    $("#"+$(this).attr('id')).removeClass("t-qy-color");
                    $("#"+$(this).attr('id')).addClass("font-color1");
                    SetLS('conditionprice',$(this).attr('key'));
                    appcan.window.evaluateScript('sale/list','List.refreshLoad(true)');
                    PriceContent.closeWindow();
                });
            }
        }
    },
    closeWindow : function(){
        appcan.window.close(-1);
    }
}